<?php

/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

$hoz_style = diopter_global_var('folio_style');
?>
<?php
if(is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
$post_args = array(
    'post_type' => 'portfolio',
    'paged' => $paged,
    'posts_per_page'=> diopter_global_var('folio_posts_per_page'),
    'orderby'=> diopter_global_var('folio_archive_orderby'),
    'order'=> diopter_global_var('folio_archive_order'),
);

$folio_posts = new WP_Query($post_args);
?>

<?php if($folio_posts->have_posts()) : ?>

<div class="archive-portfolio-horizontal-style-wrap full-height">
        

        <div class="resize-carousel-holder hpw no-authei no-autfg">
            <div class="fixed-panel fixed-filter">
                <?php 

                if( diopter_global_var('folio_show_filter') ) : 

                    $term_args = array(
                        'orderby'           => diopter_global_var('folio_filter_orderby'),
                        'order'             => diopter_global_var('folio_filter_order'),
                  
                    ); 

                    $term_args['taxonomy'] = 'portfolio_cat';

                    $portfolio_cats = get_terms($term_args); 

                ?>
                    <?php if(count($portfolio_cats)): ?>
                    <div class="filter-button"><?php esc_html_e('Filter','diopter' );?></div>
                    <div class="gallery-filters ">
                        <span><?php esc_html_e('Filter: ','diopter' );?></span>
                        <a href="#" class="gallery-filter transition2 gallery-filter_active" data-filter="*"><?php esc_html_e('All','diopter' );?></a>
                        <?php foreach($portfolio_cats as $portfolio_cat) { ?>
                        <a href="#" class="gallery-filter transition2" data-filter=".portfolio_cat-<?php echo esc_attr($portfolio_cat->slug ); ?>"><?php echo esc_html($portfolio_cat->name ); ?></a>
                        <?php } ?>
                    </div>
                    
                    

                    <?php endif; 
                endif; //end showfillter
                ?>

                <?php if( diopter_global_var('folio_show_counter') ) : ?>
                <div class="folio-counter inline-counter">
                    <div class="num-album"></div>
                    <div class="all-album"></div>
                    <i class="fa fa-align-right"></i>
                </div>
                <?php endif;?>

                

                <?php if( diopter_global_var('share_names') != '' ): ?>
                <div class="share-holder hid-share ">
                        <div class="showshare"><span><?php esc_html_e('Share ','diopter' );?></span><i class="fa fa-bullhorn"></i></div>
                        <div class="share-container  isShare" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", diopter_global_var('share_names') ) ) ) );?>']"></div>
                    </div>
                <?php endif;?>
                
                
            </div>
            <?php
            $grid_cls = 'folio-gallery';
            $grid_cls .= ' '.diopter_global_var('folio_column').'-ver-columns';
            $grid_cls .= ' hoz-'.diopter_global_var('folio_pad').'-pad';

            //show load more
            if(diopter_global_var('folio_show_loadmore'))
                $grid_cls .= ' use-loadmore';

            if(diopter_global_var('folio_enable_gallery'))
                $grid_cls .= ' gallery_enabled';




            switch ($hoz_style) {
                case 'style2':
                    $grid_cls .= ' vis-desc';
                    break;
                
                case 'style3':
                    $grid_cls .= ' hde';
                    break;

                default:
                    $grid_cls .= ' hid-desc';
                    break;
            }
             
            ?>

            <div class="p_horizontal_wrap res-protoc hoz-wrap-<?php echo diopter_global_var('folio_pad') ;?>-pad">
                <div id="portfolio_horizontal_container"  class="mb-ath folio-hoz-gallery <?php echo esc_attr($grid_cls );?>"
                <?php if( diopter_global_var('folio_show_loadmore') && (diopter_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > diopter_global_var('folio_posts_per_page') ) ):
                $lmore_data = $post_args;
                $lmore_data['action'] = 'diopter_lm_folio';
                $lmore_data['lmore_items'] = diopter_global_var('folio_loadmore_items');
                $lmore_data['layout'] = 'hoz';// grid, ver, hoz
                ?>
                 data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
                 data-lm-nonce="<?php echo wp_create_nonce( 'diopter_lm_folio' ); ?>"
                 data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
                <?php endif;?>
                >

                    <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                
                        <?php get_template_part( 'portfolio-hoz', $hoz_style ); ?>

                    <?php endwhile;?>  

                <?php if( diopter_global_var('folio_show_loadmore') && (diopter_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > diopter_global_var('folio_posts_per_page') ) ): ?>
                    <div class="hoz-folio-lmore-holder">
                        <a class="hoz-folio-load-more" data-remain="yes" data-click="1" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse"></i> <span class="sr-only">Loading...</span>','diopter'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
                    </div>  
                <?php endif; ?> 
                    
                </div>
            </div>

            </div>



</div>

<?php endif;?>
