<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

get_header(); 

$sb_w = diopter_global_var('blog-sidebar-width') ? diopter_global_var('blog-sidebar-width') : 4;

$show_user_info = get_user_meta(get_the_author_meta('ID'), '_diopter_show_user_info' ,true);

?>

<section  >
    <div class="section-title ">
        <h1 class="post-sec-title"><?php the_archive_title() ;?></h1> 
        <div class="dec-separator"><img src="<?php echo get_template_directory_uri();?>/images/sep.png" alt=""></div>
    </div>
    <div class="clearfix"></div>
    <div class="container <?php echo diopter_global_var('blog-grid-width');?>">
    <?php if(diopter_global_var('blog_list_share') || is_active_sidebar('blog_filter_widget') ) :?>
        <div class="fl-wrap inline-filter npf blog-filters-wrap">
        <?php 
        if(is_active_sidebar('blog_filter_widget')){?>
            <div class="blog-filters">
             
            <?php 
                dynamic_sidebar('blog_filter_widget');

            ?>
            
            </div>
        <?php 
        } 
            ?>
            <?php if( diopter_global_var('share_names') != '' && diopter_global_var('blog_list_share') ): ?>
            <div class="share-holder hid-share ">
                <div class="showshare"><span><?php esc_html_e('Share ','diopter' );?></span><i class="fa fa-bullhorn"></i></div>
                <div class="share-container  isShare" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", diopter_global_var('share_names') ) ) ) );?>']"></div>
            </div>
            <?php endif;?>
        </div>
    <?php endif;?>
        <div class="row">
            <?php if( diopter_global_var('blog_layout') ==='left_sidebar'):?>

            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar left-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>

            <?php endif;?>
            <?php if( diopter_global_var('blog_layout') ==='fullwidth'):?>
  
            <div class="col-md-12 display-posts nosidebar">
            <?php else:?>

            <div class="col-md-<?php echo (12 - $sb_w);?> col-wrap display-posts hassidebar">
            <?php endif;?>

                <?php if($show_user_info == 'yes') :?>
                   <div class="post-author">
                    <div class="post-author-wrap">
                        <div class="post-author-img">
                            <?php
                                echo get_avatar(get_the_author_meta('user_email'),$size='80',$default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80' );
                            ?>
                        </div>
                        
                        <h3><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_the_author_meta('nickname');?></a></h3>
                        <p><?php echo get_the_author_meta('description');?></p>
                    
                        <ul class="author-socials">
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_twitterurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on Twitter','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_twitterurl' ,true)); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_facebookurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Like on Facebook','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_facebookurl' ,true)); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_googleplusurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Circle on Google Plus','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_googleplusurl' ,true)) ;?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_linkedinurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Be Friend on Linkedin','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_linkedinurl' ,true) ); ?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_instagramurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on Instagram','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_instagramurl' ,true) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
                            <?php } ?>
                            <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_tumblrurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on  Tumblr','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_tumblrurl' ,true) ); ?>" target="_blank"><i class="fa fa-tumblr"></i></a></li>
                            <?php } ?>  
                        </ul>
                          
                    </div>
                </div> 
                <div class="clearfix"></div>
                <?php endif;?>


                <?php
                if(diopter_global_var('blog-grid-style') == 'list') {
                    get_template_part('blog-grid-list' );
                }else{
                    get_template_part('blog-grid-masonry' );
                }?>

            </div>

            <?php if( diopter_global_var('blog_layout') ==='right_sidebar'):?>
          
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar right-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
            
            <?php endif;?>

        </div>
    </div>
</section>

<?php 
if(is_active_sidebar('after_blog_widget')){ ?>
<div class="after-blog-widget-wrap">
<?php dynamic_sidebar('after_blog_widget'); ?>
</div>
<?php
} 
get_footer( );
