<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
?>

<article <?php post_class('content-content post-entry fw-artc');?>>
	<?php 
	// Get the list of files
    $slider_images = get_post_meta( get_the_ID(), '_diopter_post_slider_images', true);
    if( !empty($slider_images)&& diopter_global_var('blog_list_show_format') ){ ?>
	<div class="blog-media">
		<div class="gallery-items lightgallery has-popup <?php echo get_post_meta( get_the_ID() , '_diopter_gallery_cols', true );?>-columns">
			<div class="grid-sizer"></div>
			<div class="grid-sizer-second"></div>
			<div class="grid-sizer-three"></div>
		<?php 
        foreach ( (array) $slider_images as $img_id => $img_url ) {

        	$image_alt =    get_post_meta($img_id, '_wp_attachment_image_alt', true);
            $item_w = ' ';
            if(strpos($image_alt, "size-two") !== false){
                $item_w = ' gallery-item-second';
            }
            if(strpos($image_alt, "size-three") !== false){
                $item_w = ' gallery-item-three';
            }


	        ?>

	        <div class="gallery-item <?php echo esc_attr( $item_w );?>">
                <div class="grid-item-holder">
                    <div class="box-item fl-wrap popup-box">
                        <?php echo wp_get_attachment_image($img_id, 'diopter-gallery' ); ?>
                        <a data-src="<?php echo esc_url(wp_get_attachment_url( $img_id ) );?>" class="popup-image"><i class="fa fa-search"></i></a>
                    </div>
                </div>
            </div>

        <?php
	    }
		?>
        

    	</div>
    </div>
	<?php
	}elseif(has_post_thumbnail( )){ ?>
	<div class="blog-media">
        <?php the_post_thumbnail('diopter-thumb',array('class'=>'respimg') ); ?>
    </div>
	<?php } ?>
	<?php if( diopter_global_var('blog_date')  || diopter_global_var('blog_cats')  ):?>
	<ul class="cat-list">
        <?php if( diopter_global_var('blog_date') ) :?>
		<li><?php the_time(esc_html__('d M Y','diopter'));?></li>
		<?php endif;?>
		
		<?php if( diopter_global_var('blog_cats') ) :?>
			<?php if(get_the_category( )) { ?>
				<?php the_category( ); ?>		
			<?php } ?>	
		<?php endif;?>

    </ul>
	<?php endif;?>
    <h2><a href="<?php the_permalink();?>" class="ajax"><?php the_title( );?></a> <?php edit_post_link( esc_html__( 'Edit', 'diopter' ), '<span class="edit-link">', '</span>' ); ?></h2>
    <?php the_excerpt();?>
    <?php
		wp_link_pages( array(
		'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'diopter' ) . '</span>',
		'after'       => '</div>',
		'link_before' => '<span>',
		'link_after'  => '</span>',
		) );
	?>
	<?php if( diopter_global_var('blog_tags') ) :?>
	<div class="fl-wrap bl-opt">
		<?php if(get_the_tags( )) { ?>
		<div class="single-post-tags fl-left">
			<i class="fa fa-tags"></i>
			<?php the_tags('','','');?>	
        </div>
		<?php } ?>
    </div>
    <?php endif;?>

    <div class="art-opt fl-wrap">
        <a href="<?php the_permalink();?>" class=" btn anim-button flat-btn transition fl-l ajax" ><span><?php esc_html_e('Read more','diopter' );?></span><i class="fa fa-eye"></i></a>
        <?php if( ( diopter_global_var('blog_show_views') || diopter_global_var('blog_comments') ) && 'no' !== _x( 'yes', 'Show counter on post thumbnails: yes or no', 'diopter' ) ) :?> 
        <ul class="post-counter">
        	<?php if( diopter_global_var('blog_show_views') ) :?>
            <li><i class="fa fa-eye" aria-hidden="true"></i><span><?php echo diopter_get_post_views(get_the_ID()); ?></span></li>
            <?php endif;?>
            <?php if( diopter_global_var('blog_comments') ) :?>
            <li><a href="<?php comments_link(); ?>"><i class="fa fa-comment-o" aria-hidden="true"></i><span><?php comments_number( _x('0','0 comment text format', 'diopter'), _x('1','1 comment text format', 'diopter'), _x('%','plural comment text format', 'diopter') ); ?></span></a></li>
            <?php endif;?>
        </ul>
        <?php endif;?>
    </div>


</article>
