<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

if( diopter_global_var('blog_show_views') ){
	diopter_set_post_views(get_the_ID());
}

$show_page_title = get_post_meta(get_the_ID(),'_diopter_show_page_title',true );

?>
<article <?php post_class('diopter-single-post fw-artc' );?>>
	<?php if( diopter_global_var('blog_featured_single') ) :?>
		<?php 
		// Get the list of files
	    $slider_images = get_post_meta( get_the_ID(), '_diopter_post_slider_images', true);
	    if(!empty($slider_images)){ ?>
	    <div class="blog-media">
	    	<?php if(get_post_format( ) == 'gallery'):?>
	    		<div class="gallery-items lightgallery has-popup <?php echo get_post_meta( get_the_ID() , '_diopter_gallery_cols', true );?>-columns">
	    			<div class="grid-sizer"></div>
	    			<div class="grid-sizer-second"></div>
	    			<div class="grid-sizer-three"></div>
				<?php 
                foreach ( (array) $slider_images as $img_id => $img_url ) {

                	$image_alt =    get_post_meta($img_id, '_wp_attachment_image_alt', true);
		            $item_w = ' ';
		            if(strpos($image_alt, "size-two") !== false){
		                $item_w = ' gallery-item-second';
		            }
		            if(strpos($image_alt, "size-three") !== false){
		                $item_w = ' gallery-item-three';
		            }


			        ?>

			        <div class="gallery-item <?php echo esc_attr( $item_w );?>">
	                    <div class="grid-item-holder">
	                        <div class="box-item fl-wrap popup-box">
	                            <?php echo wp_get_attachment_image($img_id, 'diopter-gallery' ); ?>
	                            <a data-src="<?php echo esc_url(wp_get_attachment_url( $img_id ) );?>" class="popup-image"><i class="fa fa-search"></i></a>
	                        </div>
	                    </div>
	                </div>

                <?php
			    }
				?>
                

            	</div>
	    	<?php else :?>
				<div class="single-slider-holder fl-wrap">
	                <div class="single-slider owl-carousel owl-theme fl-wrap" data-loppsli="1">
	                   	<?php 
		                foreach ( (array) $slider_images as $img_id => $img_url ) {
					        echo '<div class="item">';
					        echo wp_get_attachment_image($img_id, 'diopter-large','',array('class'=>'respimg') );
					        echo '</div>';
					    }
						?>
	                   	
	                </div>
	                <div class="customNavigation gals">
	                    <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
	                    <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
	                </div>
	            </div>
        	<?php endif;?>
	    </div>
	    <?php }elseif(get_post_meta(get_the_ID(), '_diopter_embed_video', true)!=""){ ?>	
	    <div class="blog-media">
	    	<?php if(get_post_format( ) == 'audio'):?>
	    		<div class="resp-video-audio">
	    		<?php echo wp_oembed_get( esc_url(get_post_meta(get_the_ID(), '_diopter_embed_video', true) ) , array('height'=>'166')); ?>
	    		</div>
	    	<?php else :?>
	            <div class="resp-video">
	                <?php echo wp_oembed_get( esc_url(get_post_meta(get_the_ID(), '_diopter_embed_video', true) ) ); ?>
	            </div>
        	<?php endif;?>
        </div>
		<?php
		}elseif(has_post_thumbnail( )){ ?>
		<div class="blog-media">
            <?php the_post_thumbnail('diopter-large',array('class'=>'respimg') ); ?>
        </div>
		<?php } ?>

	<?php endif;?>
	<?php if( diopter_global_var('blog_date_single')  || diopter_global_var('blog_cats_single')  ):?>
    <ul class="cat-list">
    	<?php if( diopter_global_var('blog_date_single') ) :?>
		<li><?php the_time(esc_html__('d M Y','diopter'));?></li>
		<?php endif;?>
        <?php if( diopter_global_var('blog_cats_single') ) :?>
		<?php if(get_the_category( )) { ?>
			<?php the_category('' ); ?>	
		<?php } ?>	
		<?php endif;?>
    </ul>
	<?php endif;?>
    <?php if($show_page_title !== 'no') :?>
        <h1 class="single-post-title"><?php single_post_title( );?></h1>
    <?php endif;?>
    <div class="single-post-inner">
        <?php the_content();?>

        <?php
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'diopter' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );
		?>
	</div>
	<!--  tags share-->
    <div class="fl-wrap bl-opt">
        <?php if( diopter_global_var('blog_tags_single') ) :?>
			<?php if(get_the_tags( )) { ?>
			<div class="single-post-tags fl-left">
				<i class="fa fa-tags"></i>
				<?php the_tags('','','');?>	
	        </div>
			<?php } ?>
		<?php endif;?>
		<?php if( diopter_global_var('share_names') != '' && diopter_global_var('blog_show_share') ): ?>
		<div class="share-holder hid-share ">
            <div class="showshare"><span><?php esc_html_e('Share ','diopter' );?></span><i class="fa fa-bullhorn"></i></div>
            <div class="share-container  isShare" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", diopter_global_var('share_names') ) ) ) );?>']"></div>
        </div>
        <?php endif;?>
        
    </div>
    <!--  tags share end -->
</article>

<?php diopter_post_nav();?> 

<?php if( diopter_global_var('blog_author_single') && get_the_author_meta('description') !='' ) :?>
<div class="post-author">
    <div class="post-author-wrap">
        <div class="post-author-img">
            <?php 
	            echo get_avatar(get_the_author_meta('user_email'),$size='80',$default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80' );
	        ?>
        </div>
        <span><?php esc_html_e('Written By','diopter' );?></span>
        <h3><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_the_author_meta('nickname');?></a></h3>
        <p><?php echo get_the_author_meta('description');?></p>
        <?php if ( 'no' !== _x( 'yes', 'Show author socials on single post page: yes or no', 'diopter' ) ) : ?>
        <ul class="author-socials">
		    <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_twitterurl' ,true)!=''){ ?>
		    	<li><a title="<?php esc_html_e('Follow on Twitter','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_twitterurl' ,true)); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
		    <?php } ?>
		    <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_facebookurl' ,true)!=''){ ?>
		    	<li><a title="<?php esc_html_e('Like on Facebook','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_facebookurl' ,true)); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
		    <?php } ?>
		    <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_googleplusurl' ,true)!=''){ ?>
		    	<li><a title="<?php esc_html_e('Circle on Google Plus','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_googleplusurl' ,true)) ;?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
		    <?php } ?>
		    <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_linkedinurl' ,true)!=''){ ?>
		    	<li><a title="<?php esc_html_e('Be Friend on Linkedin','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_linkedinurl' ,true) ); ?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
		    <?php } ?>
		    <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_instagramurl' ,true)!=''){ ?>
		    	<li><a title="<?php esc_html_e('Follow on Instagram','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_instagramurl' ,true) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
		    <?php } ?>
		    <?php if(get_user_meta(get_the_author_meta('ID'), '_diopter_tumblrurl' ,true)!=''){ ?>
		    	<li><a title="<?php esc_html_e('Follow on  Tumblr','diopter');?>" href="<?php echo esc_url(get_user_meta(get_the_author_meta('ID'), '_diopter_tumblrurl' ,true) ); ?>" target="_blank"><i class="fa fa-tumblr"></i></a></li>
		    <?php } ?>	
		</ul>
		
		<?php endif; ?>	    
    </div>
</div>
<?php endif;?>

<?php if( diopter_global_var('blog_single_related') ) :?>
<?php
//for use in the loop, list 3 post titles related to first tag on current post
$tags = wp_get_post_tags($post->ID);
if ($tags) {
	$retags = array();
	foreach ($tags as $key => $tag) {
	 	$retags[] = $tag->term_id;
	}
	$args=array(
		'tag__in' => $retags,
		'post__not_in' => array($post->ID),
		'posts_per_page'=> diopter_global_var('blog_related_count') ,
	);
	$related = new WP_Query($args);
	if( $related->have_posts() ) { ?>

	<div class="clearfix"></div>
	<div class="post-related-wrap">
		<div class="post-related con-post-rel row">
        <?php
		while ($related->have_posts()) : $related->the_post(); ?>
            <div class="item-related col-sm-4">
                <?php if(has_post_thumbnail( )){ ?>
		    	<a href="<?php the_permalink();?>"><?php the_post_thumbnail('diopter-related' );?></a>
				<?php } ?>
                <h3><a href="<?php the_permalink();?>" class="ajax"><?php the_title(); ?></a></h3>
                <span class="post-date"><?php the_time(esc_html__('d M Y','diopter'));?></span>
            </div>
        <?php
		endwhile; ?>

        </div>

	</div>
	<?php
	}
	wp_reset_postdata();
}
?>
<?php endif;?>


<?php
if ( comments_open() || get_comments_number() ) :
	
 	comments_template(); 
 	
endif; ?> 
              
