<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

$showheader = get_query_var( 'show_header' , 'yes' );
?>
<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>"/>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
        <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
        <!-- Favicon -->        
        <link rel="shortcut icon" href="<?php echo esc_url( diopter_global_var('favicon','url',true) );?>"/>
        <?php } ?>
        
        <?php    
    
        wp_head(); ?>
    </head>
    <body <?php body_class();?>>
        <?php if( diopter_global_var("show_loader") ):?>
        <div id="diopter-loader" class="loader-holder">
            <div class="cssload-container">
                <div class="cssload-speeding-wheel"></div>
            </div>
        </div>
        <div id="main">
        <?php else :?>
        <div id="main" class="is-hide-loader">
        <?php endif;?>

        <?php if($showheader === 'yes') :?> 
            <header class="diopter-header main-header">
                <div class="header-inner">
                    <div class="logo-holder">
                        <a class="ajax" href="<?php echo esc_url(home_url('/'));?>">
                            <?php if( diopter_global_var('logo_first','url',true) ):?>
                            <img src="<?php echo esc_url( diopter_global_var('logo_first','url',true) );?>" 
                            <?php if( diopter_global_var('logo_size_width') != '' ):?>
                             width="<?php echo esc_attr( diopter_global_var('logo_size_width') );?>" 
                            <?php endif;?>
                            <?php if( diopter_global_var('logo_size_height') != '' ):?>
                             height="<?php echo esc_attr( diopter_global_var('logo_size_height') );?>" 
                             style="height:<?php echo esc_attr( diopter_global_var('logo_size_height') );?>px;"
                            <?php endif;?>
                             class="diopter-logo" alt="<?php bloginfo('name');?>" />
                            <?php endif;?>
                            <?php if( diopter_global_var('logo_text') != '' ):?>
                                <h1 class="logo_text"><?php echo esc_html( diopter_global_var('logo_text') );?></h1>
                            <?php endif;?>
                            <?php if( diopter_global_var('slogan') != '' ):?>
                                <h3 class="slogan"><em><?php echo esc_html( diopter_global_var('slogan') );?></em></h3>
                            <?php endif;?>
                        </a>
                    </div>
                    <div class="nav-holder">
                        <?php if(is_page_template('homepage-onepage.php' )):?>
                            <nav class="scroll-nav">
                                <?php 
                                    $defaults1= array(
                                        'theme_location'  => 'onepage',
                                        'menu'            => 'One Page Menu',
                                        'container'       => '',
                                        'container_class' => '',
                                        'container_id'    => '',
                                        'menu_class'      => 'diopter_onepage-nav',
                                        'menu_id'         => '',
                                        'echo'            => true,
                                        'fallback_cb'     => 'wp_page_menu',
                                        'walker'          => new Walker_Nav_Menu(),
                                        'before'          => '',
                                        'after'           => '',
                                        'link_before'     => '',
                                        'link_after'      => '',
                                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                        'depth'           => 0,
                                    );
                                    
                                    if ( has_nav_menu( 'onepage' ) ) {
                                        wp_nav_menu( $defaults1 );
                                    }
                                ?>
                            </nav>
                        <?php else :?>
                            <nav
                            <?php 
                            if( diopter_global_var('show_submenu_mobile') ){
                                echo ' class="show-sub-mobile"';
                            }?>
                            >
                                <?php 
                                    $defaults1= array(
                                        'theme_location'  => 'primary',
                                        'menu'            => 'Top Navigation Menu',
                                        'container'       => '',
                                        'container_class' => '',
                                        'container_id'    => '',
                                        'menu_class'      => 'diopter_main-nav',
                                        'menu_id'         => '',
                                        'echo'            => true,
                                        'fallback_cb'     => 'wp_page_menu',
                                        'walker'          => new Walker_Nav_Menu(),
                                        'before'          => '',
                                        'after'           => '',
                                        'link_before'     => '',
                                        'link_after'      => '',
                                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                                        'depth'           => 0,
                                    );
                                    
                                    if ( has_nav_menu( 'primary' ) ) {
                                        wp_nav_menu( $defaults1 );
                                    }
                                ?>
                            </nav>
                        <?php endif;?>
                    </div>

                    <div class="nav-button-holder">
                        <div class="nav-button vis-m"><span></span><span></span><span></span></div>
                    </div>
           
                    <?php if(diopter_global_var('show_sidebar_menu')):?>
               
                    <div class="info-button">
                        <div class="show-sb"><span class="tex-but"><?php esc_html_e('Menu','diopter');?></span> <span class="lin-but"></span> <span class="lin-but"></span> <span class="lin-but"></span></div>
                    </div>
                 
                    <?php endif;?>
                   
                    <?php if( diopter_global_var('topbar_socials') != '' ): ?>
                    <div class="header-social">
                        <?php echo do_shortcode( diopter_global_var('topbar_socials') ); ?>
                    </div>
                    <?php endif;?>
                  
                    <div class="header-title"><h1><a class="ajax" href="<?php echo esc_url(diopter_get_current_url() );?>"><?php diopter_dynamic_title(); ?></a></h1></div>
                    
                </div>
            </header>
        <?php endif;?>
            <!--=============== wrapper ===============-->  
            <div id="wrapper">
                <?php diopter_echo_vc_custom_styles();?>
                <div class="content-holder scale-bg2" id="diopter-content-wrapper">
                    
                    <div class="dynamic-title"><?php diopter_dynamic_title(); ?></div>
                    
                <?php
                $hide_navigation = 'no';
                if(is_singular( )){
                    $hide_navigation = get_post_meta(get_the_ID(),'_diopter_hide_navigation',true ) ;
                }

                if( $hide_navigation == 'yes') : //content  home-content class for hide header from script.js file?>
                    <div class="diopter-content full-height no-bg-con home-content" >
                <?php else :?>
                    <div class="diopter-content full-height scroll-content" >
                <?php endif;?>
                        




