<?php

/**
 *
 * @package Diopter - Responsive Architecture Theme
 * @author Cththemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 *
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

//For category taxonomy
// Add term page
function diopter_category_add_new_meta_field() {
    
    // this will add the custom meta field to the add new term page
    wp_enqueue_media();
    wp_enqueue_script('diopter_tax_meta', get_template_directory_uri() . '/inc/assets/upload_file.js', array('jquery'), null, true);
    diopter_radio_options_field(array(
                                'id'=>'tax_show_header',
                                'name'=>esc_html__('Show Header Section','diopter'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','diopter'),
                                        'no'=> esc_html__('No','diopter'),
                                    ),
                                'default'=>'yes'
    ));
    diopter_select_media_file_field('cat_header_image',esc_html__('Header Background Image','diopter'), array());
    diopter_radio_options_field(array(
                                'id'=>'tax_title_in_content',
                                'name'=>esc_html__('Show Category Info','diopter'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','diopter'),
                                        'no'=> esc_html__('No','diopter'),
                                    ),
                                
                                'default'=>'no'
    ) );
}
add_action('category_add_form_fields', 'diopter_category_add_new_meta_field', 10, 2);

// Edit term page
function diopter_category_edit_meta_field($term) {
    wp_enqueue_media();
    wp_enqueue_script('diopter_tax_meta', get_template_directory_uri() . '/inc/assets/upload_file.js', array('jquery'), null, true);
    
    // put the term ID into a variable
    $t_id = $term->term_id;
    
    // retrieve the existing value(s) for this meta field. This returns an array
    $term_meta = get_option("diopter_taxonomy_category_$t_id");
    diopter_radio_options_field(array(
                                'id'=>'tax_show_header',
                                'name'=>esc_html__('Show Header Section','diopter'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','diopter'),
                                        'no'=> esc_html__('No','diopter'),
                                    ),

                                'default'=>'tes'
    ),$term_meta,false);
    diopter_select_media_file_field('cat_header_image',esc_html__('Header Background Image','diopter'), $term_meta,false);
    diopter_radio_options_field(array(
                                'id'=>'tax_title_in_content',
                                'name'=>esc_html__('Show Category Info','diopter'),
                                'values' => array(
                                        'yes'=> esc_html__('Yes','diopter'),
                                        'no'=> esc_html__('No','diopter'),
                                    ),
                                
                                'default'=>'no'
    ) ,$term_meta,false);
}
add_action('category_edit_form_fields', 'diopter_category_edit_meta_field', 10, 2);

// Save extra taxonomy fields callback function.
function diopter_save_category_custom_meta($term_id) {
    if (isset($_POST['term_meta'])) {
        $t_id = $term_id;
        $term_meta = get_option("diopter_taxonomy_category_$t_id");
        $cat_keys = array_keys($_POST['term_meta']);
        foreach ($cat_keys as $key) {
            if (isset($_POST['term_meta'][$key])) {
                $term_meta[$key] = $_POST['term_meta'][$key];
            }
        }
        
        // Save the option array.
        update_option("diopter_taxonomy_category_$t_id", $term_meta);
    }
}
add_action('edited_category', 'diopter_save_category_custom_meta', 10, 2);
add_action('create_category', 'diopter_save_category_custom_meta', 10, 2);
