<?php
/**
 * Disable front-end builder
 */
function diopter_vc_remove_frontend_links() {
    vc_disable_frontend(); // this will disable frontend editor
}
add_action( 'vc_after_init', 'diopter_vc_remove_frontend_links' );

/**
 * Force Visual Composer to initialize as "built into the theme". This will hide certain tabs under the Settings->Visual Composer page
 */
add_action( 'vc_before_init', 'diopter_vcSetAsTheme' );
if(!function_exists('diopter_vcSetAsTheme')){
    function diopter_vcSetAsTheme() {
        vc_set_as_theme($disable_updater = true);
    }
}

// Add new Param in Row

if(function_exists('vc_add_param')){
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__('Diopter Predefined Section Layout', 'diopter'),
                                "param_name" => "cth_layout",
                                "value" => array(   
                                                esc_html__('Default', 'diopter') => 'default',  
                                                esc_html__('Diopter Home (Fullheight) Section', 'diopter') => 'diopter_homefullheight_sec',
                                                esc_html__('Diopter Page Section', 'diopter') => 'diopter_page_sec',



                                                esc_html__('Diopter Portfolio Style 1', 'diopter') => 'portfolio_style1_wrap',
                                                esc_html__('Diopter Portfolio Style 2', 'diopter') => 'portfolio_style2_wrap',
                                                esc_html__('Diopter Portfolio Style 3', 'diopter') => 'portfolio_style3_wrap',
                                                esc_html__('Diopter Portfolio Style 4', 'diopter') => 'portfolio_style4_wrap',
                                                esc_html__('Diopter Portfolio Style 5', 'diopter') => 'portfolio_style5_wrap',
                                                esc_html__('Diopter Portfolio Style 6', 'diopter') => 'portfolio_style6_wrap',
                                                esc_html__('Diopter Portfolio Style 7', 'diopter') => 'portfolio_style7_wrap',
                                                esc_html__('Diopter Portfolio Style 8', 'diopter') => 'portfolio_style7_2_wrap',
                                                esc_html__('Diopter Portfolio Fullscreen Video', 'diopter') => 'portfolio_style8_wrap',
                                                esc_html__('Diopter Portfolio Fullscreen Vimeo Video', 'diopter') => 'portfolio_style9_wrap',

                                              ),
                                "description" => esc_html__("Select one of the pre made page sections or using default", 'diopter'), 
                                "group" => "Diopter Theme",
                            ) 
    );

    vc_add_param('vc_row',array(
                            
                            "type"      => "textfield",
                            "heading"   => esc_html__("Your Video ID", 'diopter'),
                            "param_name"=> "video_id",
                            "value"     => "oDpSPNIozt8",
                            "description" => esc_html__("Your Youtube video: oDpSPNIozt8 or Vimeo video: 143243001", 'diopter'),
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style8_wrap','portfolio_style9_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );
    vc_add_param('vc_row',array(
                                "type" => "attach_image",
                             
                                "heading" => esc_html__('Video Background Image', 'diopter'),
                                "param_name" => "video_bg_id",
                                
                                
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style8_wrap','portfolio_style9_wrap' ),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Video Quality', 'diopter'),
                            "param_name" => "video_quality",
                            "value" => array(   
                                            'default' => 'default',  
                                            'small' => 'small',  
                                            'medium' => 'medium',  
                                            'large' => 'large',  
                                            'hd720' => 'hd720',  
                                            'hd1080' => 'hd1080',  
                                            'highres' => 'highres', 
                                                                                                                            
                                        ),
                            "std" => 'highres',
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style8_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Mute', 'diopter'),
                            "param_name" => "video_mute",
                            "value" => array(   
                                            esc_html__('Yes', 'diopter') => '1',  
                                            esc_html__('No', 'diopter') => '0',                                                     
                                        ),
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style8_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );


    vc_add_param('vc_row',array(
                                "type" => "attach_images",
                               
                                "heading" => esc_html__('Portfolio Images', 'diopter'),
                                "param_name" => "gallery_images",
                             
                                
                              
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap','portfolio_style7_wrap','portfolio_style7_2_wrap' ),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );

     vc_add_param('vc_row',array(
                            
                            "type" => "textfield",
                            "heading" => esc_html__("First Load items", 'diopter'),
                            "param_name" => "loaded",
                            "value"=>'10',
                            "description" => esc_html__("Number of images you want to display in the first load. Should be maller than your total images number to use INFINITE scroll option bellow.", 'diopter'),

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap','portfolio_style7_2_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "class"=>"",
                            "heading" => esc_html__('Use INFINITE scroll load more items?', 'diopter'),
                            "param_name" => "show_loadmore",
                            "value" => array(   
                                esc_html__('Yes', 'diopter') => 'yes',  
                                esc_html__('No', 'diopter') => 'no',  
                                    
                
                            ), 
                            "std"=>'yes',    
                            "description" => esc_html__("Images will automatically load and adding when you scroll to the bottom.", 'diopter'),

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap','portfolio_style7_2_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "textfield",
                            "heading" => esc_html__("Load more items", 'diopter'),
                            "param_name" => "lmore_items",
                            "value"=>'2',
                            "description" => esc_html__("Number of images you want to get in the next loadings.", 'diopter'),

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap','portfolio_style7_2_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );


    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Gallery Columns', 'diopter'),
                            "param_name" => "gal_columns",
                            "value" => array(   
                                            esc_html__('One column', 'diopter') => 'one',  
                                            esc_html__('Two Columns', 'diopter') => 'two',                                                     
                                            esc_html__('Three Columns', 'diopter') => 'three',                                                     
                                            esc_html__('Four Columns', 'diopter') => 'four',                                                     
                                            esc_html__('Five Columns', 'diopter') => 'five',                                                     
                                        ),
                            "std"=>'four',

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap','portfolio_style7_2_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Spacing', 'diopter'),
                            "param_name" => "gal_space",
                            "value" => array(   
                                            esc_html__('None', 'diopter') => 'none',  
                                            esc_html__('Extra Small', 'diopter') => 'extrasmall',                                                     
                                            esc_html__('Small', 'diopter') => 'small',                                                     
                                            esc_html__('Medium', 'diopter') => 'medium',                                                     
                                            esc_html__('Big', 'diopter') => 'big',                                                     
                                                                                                 
                                        ),
                            "std"=>'small',

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap','portfolio_style7_2_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Show image title', 'diopter'),
                            "param_name" => "show_img_title",
                            "value" => array(   
                                esc_html__('Yes', 'diopter') => 'yes',  
                                esc_html__('No', 'diopter') => 'no',  
                                    
                
                            ), 
                            "std"=>'no', 

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap','portfolio_style7_2_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Show image description', 'diopter'),
                            "param_name" => "show_img_desc",
                            "value" => array(   
                                esc_html__('Yes', 'diopter') => 'yes',  
                                esc_html__('No', 'diopter') => 'no',  
                                    
                
                            ), 
                            "std"=>'no', 

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'portfolio_style7_wrap','portfolio_style7_2_wrap'),
                                'not_empty' => false,
                            ),


                            "group" => esc_html__("Diopter Theme",'diopter'),   
                        ) 

    );


    vc_add_param('vc_row',array(
                                "type" => "textfield",
                                "heading" => esc_html__("Items", "diopter"),
                                "param_name" => "items",
                                "description" => esc_html__("The number of items you want to see on the screen. Ex: 3", "diopter"),
                                "value" => "3",

                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array('portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Center", "diopter"),
                                "param_name" => "center",
                                "description" => esc_html__("Center item. Works well with even an odd number of items.", "diopter"),
                                "value" => array(   
                                    esc_html__('No', 'diopter') => 'no',  
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                ),
                                "std"=>'yes', 

                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "textfield",
                                "heading" => esc_html__("smartSpeed", 'diopter'),
                                "param_name" => "smartspeed",
                                "value"=>'1300',
                                "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'diopter'),

                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Loop", "diopter"),
                                "param_name" => "loop",
                                
                                "value" => array(   
                                    esc_html__('No', 'diopter') => 'no',  
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );

    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Auto Width", "diopter"),
                                "param_name" => "autowidth",
                                "description" => esc_html__("Set non grid content. Try using width style on divs.", "diopter"),
                                "value" => array(   
                                    esc_html__('No', 'diopter') => 'no',  
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Auto Play", "diopter"),
                                "param_name" => "autoplay",
                               
                                "value" => array(   
                                    esc_html__('No', 'diopter') => 'no',  
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                ),
                                "std"=>'no', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show Zoom Image", "diopter"),
                                "param_name" => "show_zoom",
                                
                                "value" => array( 
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                    esc_html__('No', 'diopter') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap','portfolio_style7_wrap' ),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show Thumbnails", "diopter"),
                                "param_name" => "show_thumbs",
                             
                                "value" => array( 
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                    esc_html__('No', 'diopter') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show Caption", "diopter"),
                                "param_name" => "show_cap",
                             
                                "value" => array( 
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                    esc_html__('No', 'diopter') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style2_wrap','portfolio_style3_wrap','portfolio_style4_wrap','portfolio_style5_wrap','portfolio_style6_wrap'),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );
    vc_add_param('vc_row',array(
                                "type" => "dropdown",
                                "heading" => esc_html__("Show More Info", "diopter"),
                                "param_name" => "show_more_info",
                            
                                "value" => array( 
                                    esc_html__('Yes', 'diopter') => 'yes',   
                                    esc_html__('No', 'diopter') => 'no',  
                                      
                                ),
                                "std"=>'yes', 
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array( 'portfolio_style1_wrap', 'portfolio_style3_wrap','portfolio_style5_wrap','portfolio_style7_2_wrap','portfolio_style8_wrap','portfolio_style9_wrap' ),
                                    'not_empty' => false,
                                ),

                                "group" => esc_html__("Diopter Theme",'diopter'),   
                            )

    );




    /* end portfolio style */

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Fullwidth', 'diopter'),
                            "param_name" => "is_fullwidth",
                            "value" => array(   
                                            'Yes' => 'yes',  
                                            'No' => 'no',  
                                            'Wide' => 'wide',  
                                                                                                                            
                                        ),
                            "std" => 'no',
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'diopter_homefullheight_sec','diopter_page_sec'),
                                'not_empty' => false,
                            ),


                            "group" => "Diopter Theme",
                        ) 

    );



    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('No Padding', 'diopter'),
                            "param_name" => "no_padding",
                            "value" => array(   
                                            'Yes' => 'yes',  
                                            'No' => 'no',  
                                                                                                                            
                                        ),
                            "std" => 'no',
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'diopter_page_sec'),
                                'not_empty' => false,
                            ),


                            "group" => "Diopter Theme",
                        ) 

    );

    vc_add_param('vc_row',array(
                            
                            "type" => "dropdown",
                            "heading" => esc_html__('Background Color', 'diopter'),
                            "param_name" => "diopter_bg_color",
                            "value" => array(   
                                            'Theme Color' => 'color-bg',
                                            'White Color' => 'white-color-bg',
                                            'Dark Color' => 'dark-bg',
                                            'Gray Color' => 'gray-bg',
                                            'Transparent Color' => 'transparent-color-bg',
                                                                                                                            
                                        ),
                            "std" => 'white-color-bg',
                            

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array( 'diopter_homefullheight_sec','diopter_page_sec'),
                                'not_empty' => false,
                            ),


                            "group" => "Diopter Theme",  
                        ) 

    );

    vc_add_param('vc_row',array(
                                "type" => "attach_image",
                                "heading" => esc_html__('Parallax Background Image', 'diopter'),
                                "param_name" => "parallax_inner",
                                
                                
                                'dependency' => array(
                                    'element' => 'cth_layout',
                                    'value' => array('diopter_homefullheight_sec', 'diopter_page_sec'),
                                    'not_empty' => false,
                                ),

                                "group" => "Diopter Theme",
                            )

    );

    vc_add_param('vc_row', array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__( 'Overlay Background Color', 'diopter' ),
                    'param_name' => 'overlay_color',
                    'value'=>'#000',
                    'description' => esc_html__( 'Select custom background color color.', 'diopter' ),
                    'dependency' => array(
                        'element' => 'parallax_inner',
                        'not_empty' => true,
                    ),

                    "group" => "Diopter Theme",
        )
    );


    vc_add_param('vc_row', array(
                                "type"      => "textfield",
                                "heading"   => esc_html__("Overlay Opacity", 'diopter'),
                                "param_name"=> "parallax_inner_op",
                                "value"     => "0.2",
                                "description" => esc_html__("Overlay Opacity value 0.0 - 1. Ex: 0.2 or 0.5 for darker background", 'diopter'),

                                'dependency' => array(
                                    'element' => 'parallax_inner',
                                    'not_empty' => true,
                                ),

                                "group" => "Diopter Theme",
                            )

    );

    vc_add_param('vc_row',array(
                            "type" => "textfield",
                            "heading" => esc_html__('Background Parallax Value', 'diopter'),
                            "param_name" => "parallax_inner_val",
                            "value" => "",
                            "description" => esc_html__("Parallax CSS style values, separated by comma. Ex: translatex: '50px',translateY: '-350px'", 'diopter').'<a href="'.esc_url('https://github.com/iprodev/Scrollax.js/blob/master/docs/Markup.md' ).'" target="_blank">Scrollax Documentation</a>',

                            'dependency' => array(
                                'element' => 'parallax_inner',
                                'not_empty' => true,
                            ),


                            "group" => "Diopter Theme",
                        ) 

    );

    vc_add_param('vc_row',array(
                            "type" => "textfield",
                            "heading" => esc_html__('Section Title', 'diopter'),
                            "param_name" => "sec_number",
                            "value" => "",

                            'dependency' => array(
                                'element' => 'cth_layout',
                                'value' => array('diopter_homefullheight_sec', 'diopter_page_sec'),
                                'not_empty' => false,
                            ),
                            "group" => "Diopter Theme",
                        ) 

    );
    vc_add_param('vc_row',array(
                            "type" => "dropdown",
                            "heading" => esc_html__('Section Title Position', 'diopter'),
                            "param_name" => "sec_number_pos",
                            "value" => array(
                                        esc_html__('Right Position', 'diopter') => 'right',  
                                        esc_html__('Left Position', 'diopter') => 'left',
                                                ),
                            "std"=>'left',
                            "description" => esc_html__("Left or right position", 'diopter'),

                            'dependency' => array(
                                'element' => 'sec_number',
                                'not_empty' => true,
                            ),


                            "group" => "Diopter Theme",
                        ) 

    );
    vc_add_param('vc_row',array(
                            "type" => "textfield",
                            "heading" => esc_html__('Section Title Parallax Value', 'diopter'),
                            "param_name" => "sec_number_par",
                            "value" => "translateY: '-350px'",
                            "description" => esc_html__("Parallax CSS style values, separated by comma. Ex: translatex: '50px',translateY: '-350px'", 'diopter').'<a href="'.esc_url('https://github.com/iprodev/Scrollax.js/blob/master/docs/Markup.md' ).'" target="_blank">Scrollax Documentation</a>',

                            'dependency' => array(
                                'element' => 'sec_number',
                                'not_empty' => true,
                            ),


                            "group" => "Diopter Theme",
                        ) 

    );

    // For column element

    vc_add_param('vc_column',array(
                                "type" => "attach_image",
                                "heading" => esc_html__('Background Image', 'diopter'),
                                "param_name" => "parallax_inner",
                                


                                "group" => "Diopter Theme",
                            )

    );

    vc_add_param('vc_column', array(
                    'type' => 'colorpicker',
                    'heading' => esc_html__( 'Overlay Background Color', 'diopter' ),
                    'param_name' => 'overlay_color',
                    'value'=>'#000',
                    'description' => esc_html__( 'Select custom background color color.', 'diopter' ),
                    'dependency' => array(
                        'element' => 'parallax_inner',
                        'not_empty' => true,
                    ),

                    "group" => "Diopter Theme",
        )
    );


    vc_add_param('vc_column', array(
                                "type"      => "textfield",
                                "heading"   => esc_html__("Overlay Opacity", 'diopter'),
                                "param_name"=> "parallax_inner_op",
                                "value"     => "0.2",
                                "description" => esc_html__("Overlay Opacity value 0.0 - 1. Ex: 0.2 or 0.5 for darker background", 'diopter'),

                                'dependency' => array(
                                    'element' => 'parallax_inner',
                                    'not_empty' => true,
                                ),

                                "group" => "Diopter Theme",
                            )

    );

    vc_add_param('vc_column',array(
                            "type" => "textfield",
                            "heading" => esc_html__('Background Parallax Value', 'diopter'),
                            "param_name" => "parallax_inner_val",
                            "value" => "",
                            "description" => esc_html__("Parallax CSS style values, separated by comma. Ex: translatex: '50px',translateY: '-350px'", 'diopter').'<a href="'.esc_url('https://github.com/iprodev/Scrollax.js/blob/master/docs/Markup.md' ).'" target="_blank">Scrollax Documentation</a>',

                            'dependency' => array(
                                'element' => 'parallax_inner',
                                'not_empty' => true,
                            ),


                            "group" => "Diopter Theme",
                        ) 

    );

}