<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
get_header(); 

$sb_w = diopter_global_var('blog-sidebar-width') ? diopter_global_var('blog-sidebar-width') : 4;
?>

<?php
if( diopter_global_var('show_blog_header') ) :?>
    <?php if( diopter_global_var('blog_header_video') != '' ): ?>
    <div class="hero-wrap fl-wrap full-height fix-zindex youtube-video-bg-wrap">
        <div class="hero-wrap-item2  alt  ">
            <div class="container">
                <div class="section-title">
                    <h1 class="post-sec-title"><?php echo diopter_global_var('blog_home_text') ;?></h1>
                    <?php echo diopter_global_var('blog_home_text_intro') ;?> 
                </div>
            </div>
        </div>
        <div class="media-container" data-top-bottom="transform: translateY(300px);" data-bottom-top="transform: translateY(-300px);">
            <div class="video-mask"></div>
            <div class="bg mob-bg"  data-bg="<?php echo esc_url( diopter_global_var('blog_header_image','url', true ) );?>"></div>
            <div  class="background-youtube" data-vid="<?php echo esc_attr( diopter_global_var('blog_header_video') );?>" data-mv="<?php echo ( diopter_global_var('video_header_mute') )? '1':'0';?>"> </div>
        </div>
        <div class="overlay"></div>
        <a href="#sec1" class="sec-entr-link custom-scroll-link"><i class="fa fa-angle-double-down"></i></a>
    </div>
    <section id="sec1" class="blog-header-video">

    <?php else :

        $header_img = diopter_global_var('blog_header_image','url', true );
        if($header_img):
        ?>

        <section class="parallax-section" data-scrollax-parent="true">
            <div class="bg par-elem" data-bg="<?php echo esc_url($header_img );?>" data-scrollax="properties: { translateY: '30%' }"></div>
            <div class="overlay"></div>

            <div class="container">

                <div class="section-title">
                    <h1 class="post-sec-title"><?php echo diopter_global_var('blog_home_text') ;?></h1>
                    <?php echo diopter_global_var('blog_home_text_intro') ;?>   
                </div>
                
            </div>
        </section>
        <section class="blog-header-image">
        <?php
        else : ?>
        <section class="blog-header-none">
                <div class="section-title">
                    <h1 class="post-sec-title"><?php echo diopter_global_var('blog_home_text') ;?></h1>
                    <?php echo diopter_global_var('blog_home_text_intro') ;?>   
                </div>
        <?php
        endif;?>

    <?php endif;//end header view?>     
<?php endif;//end show blog header?>

    <div class="clearfix"></div>
    <div class="container blog-inner-content <?php echo diopter_global_var('blog-grid-width');?>">
    <?php if(diopter_global_var('blog_list_share') || is_active_sidebar('blog_filter_widget') ) :?>
        <div class="fl-wrap inline-filter npf blog-filters-wrap">
        <?php 
        if(is_active_sidebar('blog_filter_widget')){?>
            <div class="blog-filters">
             
            <?php 
                dynamic_sidebar('blog_filter_widget');

            ?>
            
            </div>
        <?php 
        } 
            ?>
            <?php if( diopter_global_var('share_names') != '' && diopter_global_var('blog_list_share') ): ?>
            <div class="share-holder hid-share ">
                <div class="showshare"><span><?php esc_html_e('Share ','diopter' );?></span><i class="fa fa-bullhorn"></i></div>
                <div class="share-container  isShare" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", diopter_global_var('share_names') ) ) ) );?>']"></div>
            </div>
            <?php endif;?>
        </div>
    <?php endif;?>
        <div class="row">
            <?php if( diopter_global_var('blog_layout') ==='left_sidebar'):?>
           
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar left-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
            
            <?php endif;?>
            <?php if( diopter_global_var('blog_layout') ==='fullwidth'):?>
              
            <div class="col-md-12 display-posts nosidebar">
            <?php else:?>
              
            <div class="col-md-<?php echo (12 - $sb_w);?> col-wrap display-posts hassidebar">
            <?php endif;?>

                <?php
                if(diopter_global_var('blog-grid-style') == 'list') {
                    get_template_part('blog-grid-list' );
                }else{
                    get_template_part('blog-grid-masonry' );
                }?>

            </div>
            
            <?php if( diopter_global_var('blog_layout') ==='right_sidebar'):?>
            
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar right-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
            
            <?php endif;?>

        </div>
    </div>
</section>

<?php 
if(is_active_sidebar('after_blog_widget')){ ?>
<div class="after-blog-widget-wrap">
<?php dynamic_sidebar('after_blog_widget'); ?>
</div>
<?php
} 
get_footer( );
