 <?php

/**
 * Template Name: Page No Sidebar
 *
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if ( post_password_required() ) {
    get_template_part( 'password_protected_page' );
    return;
}
$show_page_header = get_post_meta(get_the_ID(),'_diopter_show_page_header',true );
$show_page_title = get_post_meta(get_the_ID(),'_diopter_show_page_title',true );


get_header(); ?>
<?php if($show_page_header != 'no') :?>
<section class="single-page-header-sec no-padding-bottom">
    <div class="section-title ">
        <?php if($show_page_title != 'no') :?>
            <h1 class="post-sec-title"><?php single_post_title( );?></h1>
        <?php endif;?>
        <?php 
            echo wp_kses_post( get_post_meta(get_the_ID(),'_diopter_page_header_intro',true ) );
        ?>
        <div class="dec-separator"><img src="<?php echo get_template_directory_uri();?>/images/sep.png" alt=""></div>
    </div>
</section>
<?php endif;?>
<section class="single-page-content-sec">
    <div class="container <?php echo diopter_global_var('blog-grid-width');?>">
    <?php if(diopter_global_var('blog_list_share') || is_active_sidebar('blog_filter_widget') ) :?>
        <div class="fl-wrap inline-filter npf blog-filters-wrap">
        <?php 
        if(is_active_sidebar('blog_filter_widget')){?>
            <div class="blog-filters">
             
            <?php 
                dynamic_sidebar('blog_filter_widget');

            ?>
            
            </div>
        <?php 
        } 
            ?>
            <?php if( diopter_global_var('share_names') != '' && diopter_global_var('blog_list_share') ): ?>
            <div class="share-holder hid-share ">
                <div class="showshare"><span><?php esc_html_e('Share ','diopter' );?></span><i class="fa fa-bullhorn"></i></div>
                <div class="share-container  isShare" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", diopter_global_var('share_names') ) ) ) );?>']"></div>
            </div>
            <?php endif;?>
        </div>
    <?php endif;?>
        <div class="row">  
            <div class="col-md-12 col-wrap display-page hassidebar">
                <?php if(have_posts()) : ?>

                    <?php while(have_posts()) : the_post(); ?>

                        <?php get_template_part( 'content', 'page'); ?>

                        <?php
                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                        ?>

                    <?php endwhile; ?>

                <?php endif; ?> 

            </div>

        </div>
    </div>
</section>

<?php 
get_footer( );
