<?php
/**
 *
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if(!isset($enable_gallery)){
    $enable_gallery = diopter_global_var('folio_enable_gallery');
}elseif($enable_gallery == 'yes'){
    $enable_gallery = true;
}else{
    $enable_gallery = false;
}

if(!isset($show_view_project)){
    $show_view_project = diopter_global_var('folio_show_readmore');
}elseif($show_view_project == 'yes'){
    $show_view_project = true;
}else{
    $show_view_project = false;
}

if(!isset($show_cat)){
    $show_cat = diopter_global_var('folio_show_cat_grid') ;
}elseif($show_cat == 'yes'){
    $show_cat = true;
}else{
    $show_cat = false;
}

if(!isset($show_excerpt)){
    $show_excerpt = diopter_global_var('folio_show_excerpt');
}elseif($show_excerpt == 'yes'){
    $show_excerpt = true;
}else{
    $show_excerpt = false;
}



$folio_video_link = get_post_meta(get_the_ID(), '_diopter_folio_video', true);
$folio_popup_link = get_post_meta(get_the_ID(), '_diopter_folio_popup_link', true);

$popup_cls = 'single-popup-image';
if($folio_popup_link != ''){
    $url_args = parse_url($folio_popup_link);
    if($enable_gallery) {
        $popup_cls = 'folio-popup-gallery';
    }
}elseif($enable_gallery){
    $popup_cls = 'folio-popup-gallery';
    $folio_popup_link = wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) );
}

$postcl = 'portfolio_item foliohoz-style1';
if(!empty($folio_popup_link)){
    $postcl .= ' has-popup';
}

?>


<div <?php post_class($postcl);?>>
    <div class="portfolio-hoz-item-holder">
        <?php if($folio_video_link!=""){ ?> 
        <div class="resp-video-holder">
            <div class="resp-video">
               <?php echo wp_oembed_get( $folio_video_link ); ?>
            </div>
        </div>
        <?php }else { ?>
        <?php the_post_thumbnail('diopterhoz-thumb');?>
        <div class="box-item overal-box">
            <h2>
            <?php if($show_view_project): ?>
            <a href="<?php the_permalink();?>" class="ajax">
            <?php endif;?>
            <?php the_title();?>
            <?php if($show_view_project): ?>
            </a>
            <?php endif;?>
            </h2>
            <?php 
            $terms = get_the_terms(get_the_ID(), 'portfolio_cat');
            if ( $terms && ! is_wp_error( $terms ) && $show_cat ){
            echo '<p class="folio-cat-list">';
                foreach( $terms as $key => $term){
                    if($key > 0){
                        echo '<span> / </span>';
                    }
                    echo sprintf( '<a href="%1$s">%2$s</a>',
                        esc_url( get_term_link( $term->slug, 'portfolio_cat' ) ),
                        esc_html( $term->name )
                    );
                }
            echo '</p>';
            }
            ?>
            <?php if($show_excerpt){
                echo '<div class="folio-excerpt">';
                the_excerpt();
                echo '</div>';
            }?>
        </div>
        <?php if(!empty($folio_popup_link)):?>
        <a href="<?php echo esc_url( $folio_popup_link );?>" class="<?php echo esc_attr($popup_cls );?> hoz-gal-one-pop-link transition"></a>
        <?php endif;?>
        <?php } ?>
    </div>
</div>