<?php
/**
 *
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if(!isset($show_view_project)){
    $show_view_project = diopter_global_var('folio_show_readmore');
}elseif($show_view_project == 'yes'){
    $show_view_project = true;
}else{
    $show_view_project = false;
}

if(!isset($show_cat)){
    $show_cat = diopter_global_var('folio_show_cat_grid') ;
}elseif($show_cat == 'yes'){
    $show_cat = true;
}else{
    $show_cat = false;
}

if(!isset($show_excerpt)){
    $show_excerpt = diopter_global_var('folio_show_excerpt');
}elseif($show_excerpt == 'yes'){
    $show_excerpt = true;
}else{
    $show_excerpt = false;
}


$folio_video_link = get_post_meta(get_the_ID(), '_diopter_folio_video', true);
$masonry_size = get_post_meta(get_the_ID(), '_diopter_masonry_size', true);
$masonry_thumb_size = 'diopterver-size-'.$masonry_size;
?>

<div <?php post_class('gallery-item foliover-style3 gallery-item-'.$masonry_size);?>>
    <?php if($folio_video_link!=""){ ?> 

    <div class="grid-item-holder">
        <div class="resp-video-holder">
            <div class="resp-video">
               <?php echo wp_oembed_get( $folio_video_link ); ?>
            </div>
        </div>
    </div>

    <?php }else { ?>

    <div class="grid-item-holder">
        <?php the_post_thumbnail($masonry_thumb_size);?>
        <div class="box-item hd-box">
            <div class=" fl-wrap full-height">
                <div class="hd-box-wrap alt">
                    <h2>
                    <?php if($show_view_project): ?>
                    <a href="<?php the_permalink();?>" class="ajax">
                    <?php endif;?>
                    <?php the_title();?>
                    <?php if($show_view_project): ?>
                    </a>
                    <?php endif;?>
                    </h2>
                    <?php 
                    $terms = get_the_terms(get_the_ID(), 'portfolio_cat');
                    if ( $terms && ! is_wp_error( $terms ) && $show_cat ){
                    echo '<p>';
                        foreach( $terms as $key => $term){
                            if($key > 0){
                                echo '<span> / </span>';
                            }
                            echo sprintf( '<a href="%1$s">%2$s</a>',
                                esc_url( get_term_link( $term->slug, 'portfolio_cat' ) ),
                                esc_html( $term->name )
                            );
                        }
                    echo '</p>';
                    }
                    ?>
                    <?php if($show_excerpt){
                        echo '<div class="folio-excerpt">';
                        the_excerpt();
                        echo '</div>';
                    }?>
                </div>
            </div>
        </div>
    </div>

    <?php } ?>
</div>