<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
if ( post_password_required() ) {
    get_template_part( 'password_protected_page' );
    return;
}
if(get_post_meta(get_the_ID(), '_diopter_single_layout', true)){
	$sideBar = get_post_meta(get_the_ID(), '_diopter_single_layout', true);
}else{
	$sideBar = diopter_global_var('blog_layout') ;
}

$show_page_header = get_post_meta(get_the_ID(),'_diopter_show_page_header',true );

get_header(); 

$sb_w = diopter_global_var('blog-single-sidebar-width') ? diopter_global_var('blog-single-sidebar-width') : 1;

?>
<section class="blog-content-sec">
    <div class="container <?php echo diopter_global_var('blog-single-width');?>">
        <div class="section-title ">
            <h1 class="post-sec-title"><?php single_post_title( );?></h1>
            <?php 
                echo wp_kses_post( get_post_meta(get_the_ID(),'_diopter_page_header_intro',true ) ) ;
            ?>
            <?php
		    if ( 'no' !== _x( 'yes', 'Show separator image on single post: yes or no', 'diopter' ) ) { ?>
		    <div class="dec-separator"><img src="<?php echo get_template_directory_uri();?>/images/sep.png"></div>
		    <?php 
		    } ?>
            
        </div>
        <div class="row single-post">

        	<?php if($sideBar ==='left_sidebar'):?>
	        
	        <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
		        <div class="main-sidebar left-sidebar">
		            <div class="main-sidebar-widgets">
		                <?php 
		                    get_sidebar(); 
		                ?>                 
		            </div>
		        </div>
		    </div>
	        
	        <?php endif;?> 

	        <?php if($sideBar==='fullwidth'):?>
	        
	        <div class="col-md-12 display-single-post nosidebar">
	        <?php else:?>
	        
	        <div class="col-md-<?php echo (12 - $sb_w);?> display-single-post hassidebar">
	        <?php endif;?>
                <div class="fl-wrap">
                	<?php while(have_posts()) : the_post(); ?>

						<?php get_template_part('content','single' ); ?>

		            <?php endwhile;?>
                </div>
            </div>
            

            <?php if($sideBar ==='right_sidebar'):?>
	        
	        <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
		        <div class="main-sidebar right-sidebar">
		            <div class="main-sidebar-widgets">
		                <?php 
		                    get_sidebar(); 
		                ?>                 
		            </div>
		        </div>
		    </div>
	        
	        <?php endif;?> 


        </div>
    </div>
</section>

<?php 
if(is_active_sidebar('after_blog_widget')){ ?>
<div class="after-blog-widget-wrap">
<?php dynamic_sidebar('after_blog_widget'); ?>
</div>
<?php
} 
get_footer( );