<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

get_header(); 

$sb_w = diopter_global_var('blog-sidebar-width') ? diopter_global_var('blog-sidebar-width') : 4;
?>

<section  >
    <div class="section-title ">
        <h1 class="post-sec-title"><?php the_archive_title() ;?></h1>
        <h4><?php echo tag_description( );?></h4>
        <div class="dec-separator"><img src="<?php echo get_template_directory_uri();?>/images/sep.png" alt=""></div>
    </div>
    <div class="clearfix"></div>
    <div class="container <?php echo diopter_global_var('blog-grid-width');?>">
    <?php if(diopter_global_var('blog_list_share') || is_active_sidebar('blog_filter_widget') ) :?>
        <div class="fl-wrap inline-filter npf blog-filters-wrap">
        <?php 
        if(is_active_sidebar('blog_filter_widget')){?>
            <div class="blog-filters">
             
            <?php 
                dynamic_sidebar('blog_filter_widget');

            ?>
            
            </div>
        <?php 
        } 
            ?>
            <?php if( diopter_global_var('share_names') != '' && diopter_global_var('blog_list_share') ): ?>
            <div class="share-holder hid-share ">
                <div class="showshare"><span><?php esc_html_e('Share ','diopter' );?></span><i class="fa fa-bullhorn"></i></div>
                <div class="share-container  isShare" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", diopter_global_var('share_names') ) ) ) );?>']"></div>
            </div>
            <?php endif;?>
        </div>
    <?php endif;?>
        <div class="row">
            <?php if( diopter_global_var('blog_layout') ==='left_sidebar'):?>
            
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar left-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
           
            <?php endif;?>
            <?php if( diopter_global_var('blog_layout') ==='fullwidth'):?>
            
            <div class="col-md-12 display-posts nosidebar">
            <?php else:?>
            
            <div class="col-md-<?php echo (12 - $sb_w);?> col-wrap display-posts hassidebar">
            <?php endif;?>

                <?php
                if(diopter_global_var('blog-grid-style') == 'list') {
                    get_template_part('blog-grid-list' );
                }else{
                    get_template_part('blog-grid-masonry' );
                }?>

            </div>
            
            <?php if( diopter_global_var('blog_layout') ==='right_sidebar'):?>
            
            <div class="col-md-<?php echo esc_attr($sb_w );?> blog-sidebar-column">
                <div class="main-sidebar right-sidebar">
                    <div class="main-sidebar-widgets">
                        <?php 
                            get_sidebar(); 
                        ?>                 
                    </div>
                </div>
            </div>
            
            <?php endif;?>

        </div>
    </div>
</section>

<?php 
if(is_active_sidebar('after_blog_widget')){ ?>
<div class="after-blog-widget-wrap">
<?php dynamic_sidebar('after_blog_widget'); ?>
</div>
<?php
} 
get_footer( );