<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

$hoz_style = diopter_global_var('folio_style');

$t_id = get_queried_object()->term_id;

?>

<?php
if(is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}
$post_args = array(
    'post_type' => 'portfolio',
    'paged' => $paged,
    'posts_per_page'=> diopter_global_var('folio_posts_per_page'),
    'orderby'=> diopter_global_var('folio_archive_orderby'),
    'order'=> diopter_global_var('folio_archive_order'),
);
$post_args['tax_query'][] = array(
    'taxonomy' => 'portfolio_cat',
    'field' => 'term_id',
    'terms' => $t_id,
);

$folio_posts = new WP_Query($post_args);
?>

<?php if($folio_posts->have_posts()) : ?>

<?php
$css_classes = array(
    'archive-portfolio-masonry-style-wrap grid-folio-main-wrap',
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

switch ($hoz_style) {
    case 'two':
        $css_class .= ' folio-grid-style-two-wrap';
        break;
    default:
        $css_class .= '  folio-grid-style-three-wrap';
        break;
}

?>


<div class="<?php echo esc_attr($css_class );?>" id="sec1">
    
    <?php 

    if( diopter_global_var('share_names') != '' ) : 

    ?>
    <div class="folio-grid-filter-wrap">
        <div class="container <?php echo esc_attr( diopter_global_var('folio_grid_filter_width') );?>">
            <div class="fl-wrap inline-filter">
                
                <?php if( diopter_global_var('share_names') != '' ): ?>
                    <div class="share-holder hid-share ">
                        <div class="showshare"><span><?php esc_html_e('Share ','diopter' );?></span><i class="fa fa-bullhorn"></i></div>
                        <div class="share-container  isShare" data-share="['<?php echo esc_attr( implode("','", array_map("trim",explode(",", diopter_global_var('share_names') ) ) ) );?>']"></div>
                    </div>
                <?php endif;?>

            </div>
        </div>
    </div>
        
        <?php 
    endif; //end showfillter
    ?>
    
<?php
$grid_cls = 'gallery-items folio-gallery';
$grid_cls .= ' '.diopter_global_var('folio_column').'-columns';
$grid_cls .= ' ver-'.diopter_global_var('folio_pad').'-pad';

//show load more
if(diopter_global_var('folio_show_loadmore'))
    $grid_cls .= ' use-loadmore';

if(diopter_global_var('folio_enable_gallery'))
    $grid_cls .= ' gallery_enabled';




switch ($hoz_style) {
    case 'style2':
        $grid_cls .= ' shw-desc';
        break;
    default:
        $grid_cls .= ' hde';
        break;
}
?>
<div class="folio-grid-folios-wrap fogrid-<?php echo esc_attr( diopter_global_var('folio_grid_content_width') );?>">

        <div class="<?php echo esc_attr($grid_cls );?>" 
        <?php if( diopter_global_var('folio_use_pagi_infinite') && (diopter_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > diopter_global_var('folio_posts_per_page') ) ):
        $lmore_data = $post_args;
        $lmore_data['action'] = 'diopter_lm_folio';
        $lmore_data['lmore_items'] = diopter_global_var('folio_loadmore_items');
        $lmore_data['layout'] = 'ver';// grid, ver, hoz
        ?>
         data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
         data-lm-nonce="<?php echo wp_create_nonce( 'diopter_lm_folio' ); ?>"
         data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
        <?php endif;?>
        >
            <div class="grid-sizer"></div>
            <div class="grid-sizer-second"></div>
            <div class="grid-sizer-three"></div>
            
            <?php while($folio_posts->have_posts()) : $folio_posts->the_post(); ?>
                
                <?php get_template_part( 'portfolio-ver', $hoz_style ); ?>

            <?php endwhile;?>   
        </div>

        <?php if( diopter_global_var('folio_show_pagination') ) diopter_custom_pagination($folio_posts->max_num_pages, $range = 2, $folio_posts , false)  ;?>
        
        <?php if( diopter_global_var('folio_use_pagi_infinite') && (diopter_global_var('folio_posts_per_page') != '-1' && $folio_posts->found_posts && $folio_posts->found_posts > diopter_global_var('folio_posts_per_page') ) ): ?>
        <div class="folio-grid-lmore-holder">
            <a class="folio-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','diopter'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
        </div>
        <?php endif; ?>
</div>

</div>
<div class="clearfix"></div>
<?php endif;?>
<?php wp_reset_postdata(); ?>
<?php echo diopter_global_var('folio_after_grid_content') ;?>
