<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

//Home Slider
if(function_exists('vc_map')){

    vc_map( array(
        "name" => esc_html__("Home Slider", "diopter"),
        "base" => "diopter_home_owl_slider",
        "category"  => 'Diopter Theme',
        "as_parent" => array('only' => 'diopter_home_owl_slider_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
        "show_settings_on_create" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png", // Simply pass url to your icon here
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Items", "diopter"),
                "param_name" => "items",
                "description" => esc_html__("The number of items you want to see on the screen. Ex: 3", "diopter"),
                "value" => "1"
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Center", "diopter"),
                "param_name" => "center",
                "description" => esc_html__("Center item. Works well with even an odd number of items.", "diopter"),
                "value" => array(   
                    esc_html__('No', 'diopter') => 'no',  
                    esc_html__('Yes', 'diopter') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("smartSpeed", 'diopter'),
                "param_name" => "smartspeed",
                "value"=>'1200',
                "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'diopter')
            ), 
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Loop", "diopter"),
                "param_name" => "loop",
                "value" => array(   
                    esc_html__('No', 'diopter') => 'no',  
                    esc_html__('Yes', 'diopter') => 'yes',   
                ),
                "std"=>'yes', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Height", "diopter"),
                "param_name" => "autoheight",
                "value" => array(   
                    esc_html__('Yes', 'diopter') => 'yes', 
                    esc_html__('No', 'diopter') => 'no',  
                      
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Width", "diopter"),
                "param_name" => "autowidth",
                "description" => esc_html__("Set non grid content. Try using width style on divs.", "diopter"),
                "value" => array(   
                    esc_html__('No', 'diopter') => 'no',  
                    esc_html__('Yes', 'diopter') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Auto Play", "diopter"),
                "param_name" => "autoplay",
                "value" => array(   
                    esc_html__('No', 'diopter') => 'no',  
                    esc_html__('Yes', 'diopter') => 'yes',   
                ),
                "std"=>'no', 
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("autoplayTimeout", 'diopter'),
                "param_name" => "autoplaytimeout",
                "value"=>'4000',
                "description" => esc_html__("Time after display next slide (in milisecond)", 'diopter')
            ),

            array(
                "type" => "textfield",
                "heading" => esc_html__("autoplaySpeed", 'diopter'),
                "param_name" => "autoplayspeed",
                "value"=>'3600',
                "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'diopter')
            ), 
            array(
                "type" => "textfield",
                "heading" => esc_html__("responsive", "diopter"),
                "param_name" => "responsive",
                "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 320:1,768:1,992:3,1200:3", "diopter"),
                "value" => ""
            ),
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Show Pagination", "diopter"),
                "param_name" => "dots",
                "value" => array( 
                    esc_html__('Yes', 'diopter') => 'yes',   
                    esc_html__('No', 'diopter') => 'no',  
                      
                ),
                "std"=>'yes', 
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Use Fade effect?", "diopter"),
                "param_name" => "use_fade",
                "value" => array( 
                    esc_html__('Yes', 'diopter') => 'yes',   
                    esc_html__('No', 'diopter') => 'no',  
                      
                ),
                "std"=>'no', 
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Enable MouseWheel control?", "diopter"),
                "param_name" => "enable_mousewheel",
                "value" => array( 
                    esc_html__('Yes', 'diopter') => '1',   
                    esc_html__('No', 'diopter') => '0',  
                      
                ),
                "std"=>'0', 
            ),

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Enable Keyboard control?", "diopter"),
                "param_name" => "enable_keyboard",
                "value" => array( 
                    esc_html__('Yes', 'diopter') => '1',   
                    esc_html__('No', 'diopter') => '0',  
                      
                ),
                "std"=>'1', 
            ),

            

            array(
                "type" => "dropdown",
                "heading" => esc_html__("Show Counter", "diopter"),
                "param_name" => "show_counter",
                "value" => array( 
                    esc_html__('Yes', 'diopter') => 'yes',   
                    esc_html__('No', 'diopter') => 'no',  
                      
                ),
                "std"=>'yes', 
            ),

            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "diopter"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
        ),
        "js_view" => 'VcColumnView'
    ) );

    


    vc_map( array(
        "name" => esc_html__("Home Slide Item", "diopter"),
        "base" => "diopter_home_owl_slider_item",
        "content_element" => true,
        "show_settings_on_create" => true,
        "as_child" => array('only' => 'diopter_home_owl_slider'),
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "params" => array(
            
            array(
                "type"      => "attach_image",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Background Image", 'diopter'),
                "param_name"=> "slideimg",
                
            ),
            array(
                "type"      => "textarea_html",
                "class"     => "",
                "heading"   => esc_html__("Content", 'diopter'),
                "param_name"=> "content",
                "description" => esc_html__("Content", 'diopter'),
                "value"=>'<div class="hero-logo "><img src="'.get_template_directory_uri().'/images/heroimg.png" alt=""></div><h2>Welcome  </h2><h3>To <span class="no-rep">Diopter</span>  - photography studio   </h3><div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button "><span class="no-rep">Our portfolio</span><i class="fa fa-eye"></i></a></div>'
            ),  
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", "diopter"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
            ), 
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
        )
    ) );




    //Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_Diopter_Home_Owl_Slider extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Diopter_Home_Owl_Slider_Item extends WPBakeryShortCode {
        }
    }

    vc_map( array(
           "name"      => esc_html__("Home Slideshow", 'diopter'),
           "base"      => "diopter_home_slideshow",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Background Images", 'diopter'),
                    "param_name"=> "slideimgs",
                    "description" => esc_html__("Background slideshow images", 'diopter'),
                    "value" => "21,20,30,17"
                ),
                array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'diopter'),
                    "param_name"=> "content",
                    "description" => esc_html__("Page Content", 'diopter'),
                    "value"=>'<div class="hero-logo "><img src="'.get_template_directory_uri().'/images/heroimg.png" alt=""></div><h2>Welcome  </h2><h3>To <span class="no-rep">Diopter</span>  - photography studio   </h3><div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button "><span class="no-rep">Our portfolio</span><i class="fa fa-eye"></i></a></div>'
                ),  
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Items", "diopter"),
                    "param_name" => "items",
                    "description" => esc_html__("The maximum amount of items displayed: 1", "diopter"),
                    "value" => "1"
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplayTimeout", 'diopter'),
                    "param_name" => "autoplaytimeout",
                    "value"=>'4000',
                    "description" => esc_html__("Time after display next slide (in milisecond)", 'diopter')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplaySpeed", 'diopter'),
                    "param_name" => "autoplayspeed",
                    "value"=>'3600',
                    "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'diopter')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Counter", "diopter"),
                    "param_name" => "show_counter",
                    "value" => array( 
                        esc_html__('Yes', 'diopter') => 'yes',   
                        esc_html__('No', 'diopter') => 'no',  
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Overlay Opacity", 'diopter'),
                    "param_name"=> "opacity",
                    "value"     => "0.2",
                    "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'diopter')
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "diopter"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "diopter"),
                    "value" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extraclass", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),

                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));
        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Home_Slideshow extends WPBakeryShortCode {}
        }

        vc_map( array(
        "name" => esc_html__("Home Image", 'diopter'),
        "base" => "diopter_home_image",
        "content_element" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "category"  => 'Diopter Theme',
        "show_settings_on_create" => true,
        "params" => array(
            array(
                "type"      => "attach_image",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Background Image", 'diopter'),
                "param_name"=> "bgimg",
                "description" => esc_html__("Background image", 'diopter'),
                "value"=>"21"
            ),
            array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'diopter'),
                    "param_name"=> "content",
                    "description" => esc_html__("Page Content", 'diopter'),
                    "value"=>'<div class="hero-logo "><img src="'.get_template_directory_uri().'/images/heroimg.png" alt=""></div><h2>Welcome  </h2><h3>To <span class="no-rep">Diopter</span>  - photography studio   </h3><div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button "><span class="no-rep">Our portfolio</span><i class="fa fa-eye"></i></a></div>'
                ), 
             
            
            
            array(
                "type"      => "textfield",
                "class"     => "",
                "heading"   => esc_html__("Overlay Opacity", 'diopter'),
                "param_name"=> "opacity",
                "value"     => "0.2",
                "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'diopter')
            ),

            array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "diopter"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "diopter"),
                    "value" => ""
                ),
            
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'diopter'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
        
            
            
        )
    ));

    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Diopter_Home_Image extends WPBakeryShortCode {     
        }
    }

        vc_map( array(
            "name" => esc_html__("Home Youtube Video", 'diopter'),
            "base" => "diopter_home_youtube_video",
            "content_element" => true,
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'diopter'),
                    "param_name"=> "content",
                    "description" => esc_html__("Page Content", 'diopter'),
                    "value"=>'<div class="hero-logo "><img src="'.get_template_directory_uri().'/images/heroimg.png" alt=""></div><h2>Welcome  </h2><h3>To <span class="no-rep">Diopter</span>  - photography studio   </h3><div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button "><span class="no-rep">Our portfolio</span><i class="fa fa-eye"></i></a></div>'
                ), 
              
                 
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Your Youtube Video ID", 'diopter'),
                    "param_name"=> "video",
                    "value"     => "RdANs18HsIo",
                    "description" => esc_html__("Your Youtube Video ID. Ex: RdANs18HsIo", 'diopter')
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Video Quality', 'diopter'),
                    "param_name" => "quality",
                    "value" => array(   
                                    'default' => 'default',  
                                    'small' => 'small',  
                                    'medium' => 'medium',  
                                    'large' => 'large',  
                                    'hd720' => 'hd720',  
                                    'hd1080' => 'hd1080',  
                                    'highres' => 'highres', 
                                                                                                                    
                                ),
                    "std" => 'highres', 
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Mute', 'diopter'),
                    "param_name" => "mute",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    "std"=>"1"
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('fitToBackground', 'diopter'),
                    "param_name" => "fittobackground",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    "std" => '1', 
                    "description" => esc_html__("Fits to background vs fitting to the container specified with width", 'diopter'),
                ),
                
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Pause on scroll', 'diopter'),
                    "param_name" => "pauseonscroll",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    "std" => '0', 
                ),
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Background Image", 'diopter'),
                    "param_name"=> "bgimg",
                    "description" => esc_html__("Background image for mobile device", 'diopter'),
                    "value"=>'27'
                ),
                
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Overlay Opacity", 'diopter'),
                    "param_name"=> "opacity",
                    "value"     => "0.2",
                    "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'diopter')
                ),
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Parallax Value", 'diopter'),
                    "param_name"=> "parallax_value",
                    "description" => esc_html__("Pixel number. Which we are telling the browser is to move Background Video down every time we scroll down 100% of the viewport height and move Background Video up every time we scroll up 100% of the viewport height. Ex: 300 or -300 for reverse direction.", 'diopter'),
                    "value" => "300"
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "diopter"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "diopter"),
                    "value" => ""
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
                
                
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Home_Youtube_Video extends WPBakeryShortCode {     
            }
        }

        vc_map( array(
            "name" => esc_html__("Home Vimeo Video", 'diopter'),
            "base" => "diopter_home_vimeo_video",
            "content_element" => true,
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params" => array(
                array(
                    "type"      => "textarea_html",
                    "holder"    => "div",
                    "heading"   => esc_html__("Page Content", 'diopter'),
                    "param_name"=> "content",
                    "description" => esc_html__("Page Content", 'diopter'),
                    "value"=>'<div class="hero-logo "><img src="'.get_template_directory_uri().'/images/heroimg.png" alt=""></div><h2>Welcome  </h2><h3>To <span class="no-rep">Diopter</span>  - photography studio   </h3><div><a href="'.home_url('/' ).'portfolio-horizontal/" class="ajax btn anim-button "><span class="no-rep">Our portfolio</span><i class="fa fa-eye"></i></a></div>'
                ), 
                 
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Your Vimeo Video ID", 'diopter'),
                    "param_name"=> "video",
                    "value"     => "145052212",
                    "description" => esc_html__("Your Vimeo Video ID: 145052212", 'diopter')
                ),
                
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Background Image", 'diopter'),
                    "param_name"=> "bgimg",
                    "description" => esc_html__("Background image for mobile device", 'diopter'),
                    "value"=>'27'
                ),
                
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Overlay Opacity", 'diopter'),
                    "param_name"=> "opacity",
                    "value"     => "0.2",
                    "description" => esc_html__("Overlay Opacity value 0.0 - 1", 'diopter')
                ),
                array(
                    "type"      => "textfield",
                    "class"     => "",
                    "heading"   => esc_html__("Parallax Value", 'diopter'),
                    "param_name"=> "parallax_value",
                    "description" => esc_html__("Pixel number. Which we are telling the browser is to move Background Video down every time we scroll down 100% of the viewport height and move Background Video up every time we scroll up 100% of the viewport height. Ex: 300 or -300 for reverse direction.", 'diopter'),
                    "value" => ""
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Scroll Link", "diopter"),
                    "param_name" => "scroll_link",
                    "description" => esc_html__("Section ID to scroll to. Ex: #sec2", "diopter"),
                    "value" => ""
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
                
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Home_Vimeo_Video extends WPBakeryShortCode {     
            }
        }


        vc_map( array(
           "name"      => esc_html__("Skills Bar", 'diopter'),
           "description" => esc_html__("Animated skills bar",'diopter'),
           "base"      => "diopter_skills_bar",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Widget Title', 'diopter' ),
                    'holder' => 'div',
                    'param_name' => 'title',
                    'value' => "",
                ),
                array(
                    'type' => 'param_group',
                    'heading' => esc_html__( 'Values', 'diopter' ),
                    'param_name' => 'values',
                    'description' => esc_html__( 'Enter values for graph - value, title and color.', 'diopter' ),
                    'value' => urlencode( json_encode( array(
                        array(
                            'label' => 'Photoshop',
                            'value' => '95',
                        ),
                        array(
                            'label' => 'Illustrator',
                            'value' => '65',
                        ),
                        array(
                            'label' => '3D MAX',
                            'value' => '75',
                        ),
                        
                    ) ) ),
                    'params' => array(
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__( 'Label', 'diopter' ),
                            'param_name' => 'label',
                            'description' => esc_html__( 'Enter text used as title of bar.', 'diopter' ),
                            'admin_label' => true,
                        ),
                        array(
                            'type' => 'textfield',
                            'heading' => esc_html__( 'Value', 'diopter' ),
                            'param_name' => 'value',
                            'description' => esc_html__( 'Enter value of bar.', 'diopter' ),
                            'admin_label' => true,
                        ),
                    ),
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Skills_Bar extends WPBakeryShortCode {}
        }

        vc_map( array(
           "name"      => esc_html__("Animation Button", 'diopter'),
           "base"      => "diopter_button",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Button Title', 'diopter' ),
                    'holder' => 'div',
                    'param_name' => 'title',
                    'value' => "View More",
                ),

                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'diopter' ),
                    'param_name' => 'icon',
                    'value' => 'fa fa-eye', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => true,
                        // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000,
                        // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'diopter' ),
                ),

                array(
                    "type" => "vc_link",
                    "heading" => esc_html__("Button Link", "diopter"),
                    "param_name" => "link",
    
                ),

                
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Image or Video Popup?', 'diopter'),
                    "param_name" => "is_popup",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => 'yes',  
                                    esc_html__('No', 'diopter') => 'no',                                                                                
                                ),
                    "std" => 'no', 
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Color Button?', 'diopter'),
                    "param_name" => "is_bgcolor",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => 'yes',  
                                    esc_html__('No', 'diopter') => 'no',                                                                                
                                ),
                    "std" => 'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Button extends WPBakeryShortCode {}
        }


        vc_map( array(
       "name"      => esc_html__("Animated Counter", 'diopter'),
       "base"      => "diopter_counter",
       "class"     => "",
       "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
       "category"  => 'Diopter Theme',
       "show_settings_on_create" => true,
       "params"    => array(
            
            array(
                "type"      => "textfield",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Number", 'diopter'),
                "param_name"=> "number",
                "description" => esc_html__("Number", 'diopter'),
                "value" => "461"
            ),
            array(
                "type" => "textarea",
                "holder"    => "div",
                "heading" => esc_html__("Content", "diopter"),
                "param_name" => "content",
                "description" => esc_html__("Content", "diopter"),
                "value"=>'<h6>Photos Taken</h6><span class="no-rep">Blandit praesent luptatum</span>',
            ),
            array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'diopter' ),
                    'param_name' => 'icon_class',
                    'value' => 'fa fa-picture-o', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => true,
                        // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000,
                        // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'diopter' ),
                ),
            array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Is last item on row', 'diopter'),
                    "param_name" => "is_last",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => 'yes',  
                                    esc_html__('No', 'diopter') => 'no',                                                                                
                                ),
                    "std" => 'no', 
                ),

            array(
                "type" => "textfield",
                "heading" => esc_html__("Extraclass", "diopter"),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter"),
                "value" => ""
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
        )
    ));
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Diopter_Counter extends WPBakeryShortCode {}
    }
        
    vc_map( array(
        "name" => esc_html__("Section Title", 'diopter'),
        "description" => esc_html__("Section Title for Diopter",'diopter'),
        "base" => "diopter_section_title",
        "content_element" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "category"  => 'Diopter Theme',
        "show_settings_on_create" => true,
        "params" => array(
            
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("Title Text", 'diopter'),
                "param_name"=> "title_text",
                "value"     => "Section title",

            ),
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("SubTitle Text", 'diopter'),
                "param_name"=> "subtitle_text",
                "value"     => "Duis aute irure dolor in reprehenderit in voluptate velit",

            ),
            array(
                "type"      => "textarea_html",
                "holder"    => "div",
                "heading"   => esc_html__("More Info", 'diopter'),
                "param_name"=> "content",
                
            ),  
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'diopter'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter'),
                "value" => "",
            ),

            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
            
            
            
        )
    ));

    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Diopter_Section_Title extends WPBakeryShortCode {     
        }
    }


    vc_map( array(
        "name" => esc_html__("Single Service", 'diopter'),

        "base" => "diopter_service",
        "content_element" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "category"  => 'Diopter Theme',
        "show_settings_on_create" => true,
        "params" => array(
            array(
                'type' => 'iconpicker',
                'heading' => esc_html__( 'Service Icon', 'diopter' ),
                'param_name' => 'ser_icon',
                'value' => 'fa fa-map-signs', // default value to backend editor admin_label
                'settings' => array(
                    'emptyIcon' => true,
                    // default true, display an "EMPTY" icon?
                    'iconsPerPage' => 4000,
                    // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                ),
            ),
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("Service Title", 'diopter'),
                "param_name"=> "ser_title",
                "value"     => "Outdoor photography",
         
            ),
            array(
                "type"      => "textfield",
                "holder"     => "div",
                "heading"   => esc_html__("Service SubTitle", 'diopter'),
                "param_name"=> "ser_subtitle",
                "value"     => "Malesuada venenatis",
              
            ),
            array(
                "type"      => "textarea_html",
                "holder"    => "div",
                "heading"   => esc_html__("More Info", 'diopter'),
                "param_name"=> "content",
       
                "value"=> '<p>Nulla elementum vitae odio non sollicitudin. Nullam nec augue dui. Curabitur ullamcorper interdum mi, nec laoreet nisi varius et.</p><div><span class="price">Price : <span class="price-val">150$-450$</span></span></div>'
            ),  
             
            
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'diopter'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter'),
                "value" => "",
            ),

            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
            
            
            
        )
    ));

    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Diopter_Service extends WPBakeryShortCode {     
        }
    }

    vc_map( array(
            "name"      => esc_html__("Testimonial Slider", 'diopter'),

            "base"      => "diopter_testimonials",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params"    => array(
                array(
                    "type"      => "textfield",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Count", 'diopter'),
                    "param_name"=> "count",
                    "value"     => "3",
                    "description" => esc_html__("Number of testimonials to show", 'diopter')
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Order by', 'diopter'),
                    "param_name" => "order_by",
                    "value" => array(   
                        esc_html__('Date', 'diopter') => 'date',  
                        esc_html__('ID', 'diopter') => 'ID',  
                        esc_html__('Author', 'diopter') => 'author',       
                        esc_html__('Title', 'diopter') => 'title',  
                        esc_html__('Modified', 'diopter') => 'modified',  
                    ),
                    "description" => esc_html__("Order by", 'diopter'),  
                    "std"=>'date',    
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Order', 'diopter'),
                    "param_name" => "order",
                    "value" => array(   
                                    esc_html__('Descending', 'diopter') => 'DESC',
                                    esc_html__('Ascending', 'diopter') => 'ASC',  
                                                                                                                      
                                    ),
                    "description" => esc_html__("Order", 'diopter'),   
                    "std" => "DESC"   
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Or Enter Testimonial IDs", "diopter"),
                    "param_name" => "ids",
                    "description" => esc_html__("Enter testimonial ids to show, separated by a comma. (ex: 99,100)", "diopter")
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show Avatar', 'diopter'),
                    "param_name" => "show_avatar",
                    "value" => array(   
                                    esc_html__('No', 'diopter') => 'no',  
                                    esc_html__('Yes', 'diopter') => 'yes',
                                    
                                                                                                                      
                                    ),
                    "description" => esc_html__("Show avatar", 'diopter'),    
                    "std" => "yes"     
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Title", "diopter"),
                    "param_name" => "show_title",
          
                    "value" => array( 
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                        
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Rating", "diopter"),
                    "param_name" => "show_rating",
                  
                    "value" => array( 
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                        
                          
                    ),
                    "std"=>'yes', 
                ),


                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Navigation", "diopter"),
                    "param_name" => "show_navigation",
             
                    "value" => array( 
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                        
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Slider Count", "diopter"),
                    "param_name" => "show_count",
                    
                    "value" => array( 
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                        
                          
                    ),
                    "std"=>'yes', 
                ),


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Items", "diopter"),
                    "param_name" => "items",
                    "description" => esc_html__("The number of items you want to see on the screen. Ex: 3", "diopter"),
                    "value" => "1"
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Center", "diopter"),
                    "param_name" => "center",
                    "description" => esc_html__("Center item. Works well with even an odd number of items.", "diopter"),
                    "value" => array(   
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("smartSpeed", 'diopter'),
                    "param_name" => "smartspeed",
                    "value"=>'1300',
                    "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'diopter')
                ), 
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Loop", "diopter"),
                    "param_name" => "loop",
                    
                    "value" => array(  
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Height", "diopter"),
                    "param_name" => "autoheight",
                    
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no',  
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Width", "diopter"),
                    "param_name" => "autowidth",
                    "description" => esc_html__("Set non grid content. Try using width style on divs.", "diopter"),
                    "value" => array(   
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Play", "diopter"),
                    "param_name" => "autoplay",
                    
                    "value" => array(   
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplayTimeout", 'diopter'),
                    "param_name" => "autoplaytimeout",
                    "value"=>'4000',
                    "description" => esc_html__("Time after display next slide (in milisecond)", 'diopter')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplaySpeed", 'diopter'),
                    "param_name" => "autoplayspeed",
                    "value"=>'3600',
                    "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'diopter')
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("responsive", "diopter"),
                    "param_name" => "responsive",
                    "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 320:1,768:1,992:3,1200:3", "diopter"),
                    "value" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Pagination", "diopter"),
                    "param_name" => "dots",
                    
                    "value" => array( 
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                        
                          
                    ),
                    "std"=>'yes', 
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Testimonials extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Single Testimonial", 'diopter'),
            "base"      => "diopter_single_testimonial",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params"    => array(
                
                array(
                    "type" => "textfield",
                    "holder"=>"div",
                    "heading" => esc_html__("Testimonial ID", "diopter"),
                    "param_name" => "id",
                    "value" => "190",
                    "description" => esc_html__("Enter testimonial id to show. Ex: 190", "diopter")
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show Avatar', 'diopter'),
                    "param_name" => "show_avatar",
                    "value" => array(   
                                    esc_html__('No', 'diopter') => 'no',  
                                    esc_html__('Yes', 'diopter') => 'yes',
                                    
                                                                                                                      
                                    ),
                    "description" => esc_html__("Show avatar", 'diopter'),    
                    "std" => "yes"     
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Title", "diopter"),
                    "param_name" => "show_title",
  
                    "value" => array( 
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                        
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Rating", "diopter"),
                    "param_name" => "show_rating",
                
                    "value" => array( 
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                        
                          
                    ),
                    "std"=>'yes', 
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Single_Testimonial extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Diopter Separator", 'diopter'),

            "base"      => "diopter_separator",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params"    => array(
                
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
           
                    "heading"   => esc_html__("Separator Image", 'diopter'),
                    "param_name"=> "img",
                    "value"=> "171",
                  
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Separator extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Our Partners", 'diopter'),
            "description" => esc_html__("List of our partners or clients",'diopter'),
            "base"      => "diopter_partners",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',

            "show_settings_on_create" => true,
            "params"    => array(

                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Partner Images", 'diopter'),
                    "param_name"=> "partnerimgs",
           
                    "value"     => '203,202,204,201,200',
                ),



                array(
                    "type"      => "textarea",
                    "holder"    => "span",
                    "class"     => "",
                    "heading"   => esc_html__("Partner Links", 'diopter'),
                    "param_name"=> "content",
                    "value"     => 'http://market.envato.com
http://lesscss.org
https://jquery.com
http://mailchimp.com
http://sass-lang.com',
                    "description" => esc_html__("Enter links for each partner (Note: divide links with linebreaks (Enter)).", 'diopter')
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Target', 'diopter'),
                    "param_name" => "target",
                    "value" => array(   
                                    esc_html__('Opens Partner link in new window', 'diopter') => '_blank',  
                                    esc_html__('Opens Partner link in the same window', 'diopter') => '_self',                                                                               
                                ),
                    "std" => '_blank', 
                ),




                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Columns Grid', 'diopter'),
                    "param_name" => "columns",
                    "value" => array(   
                        esc_html__('One Column', 'diopter') => 'one',  
                        esc_html__('Two Columns', 'diopter') => 'two',  
                        esc_html__('Three Columns', 'diopter') => 'three',        
                        esc_html__('Four Columns', 'diopter') => 'four',        
                        esc_html__('Five Columns', 'diopter') => 'five',        
                        esc_html__('Six Columns', 'diopter') => 'six',        
                    ),
                   
                    "std"=>'five',    
                ),

                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Thumbnail size", 'diopter'),
                    "param_name" => "thumbnail_size",
                    "description" => esc_html__('Enter thumbnail size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height).','diopter' ),
                    "value"=> 'diopter-partner',
                    
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Partners extends WPBakeryShortCode {}
        }




        


        vc_map( array(
            "name"      => esc_html__("Portfolios Horizontal", 'diopter'),
           "description" => esc_html__("Horizontal style layout of portfolio items",'diopter'),
           "base"      => "diopter_hoz_portfolios",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Portfolio',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Horizontal Style', 'diopter'), 
                    "param_name" => "hoz_style", 
                    "value" => array(
                        esc_html__('Style One', 'diopter') => 'one',
                        esc_html__('Style Two', 'diopter') => 'two', 
                        esc_html__('Style Three', 'diopter') => 'three', 
                        
                    ), 
                    
                    "std" => 'one',
                ),
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Portfolio Category IDs to exclude", 'diopter'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter portfolio category ids to exclude, separated by a comma. Leave empty to display all categories.", 'diopter')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories by', 'diopter'), 
                    "param_name" => "cat_order_by", 
                    "value" => array(
                        esc_html__('Name', 'diopter') => 'name', 
                        esc_html__('ID', 'diopter') => 'id', 
                        esc_html__('Count', 'diopter') => 'count', 
                        esc_html__('Slug', 'diopter') => 'slug', 
                        esc_html__('None', 'diopter') => 'none',
                    ), 
                    "description" => esc_html__("Order Portfolio Categories by", 'diopter'), 
                    "std" => 'name',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories', 'diopter'), 
                    "param_name" => "cat_order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolio Categories", 'diopter'),
                    "std" => 'ASC',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Filter', 'diopter'), 
                    "param_name" => "show_filter", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "description" => esc_html__("Show Filter", 'diopter'), 
                    "std" => 'yes',
                ), 
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Enter Portfolio IDs", 'diopter'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter portfolio ids to show, separated by a comma. Leave empty to get all.", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    
                    "heading" => esc_html__("Portfolio IDs to Exclude", 'diopter'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter portfolio ids to exclude, separated by a comma. Use if the field above is empty. Leave empty to get all.", 'diopter')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios by', 'diopter'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'diopter') => 'date', 
                        esc_html__('ID', 'diopter') => 'ID', 
                        esc_html__('Author', 'diopter') => 'author', 
                        esc_html__('Title', 'diopter') => 'title', 
                        esc_html__('Modified', 'diopter') => 'modified',
                    ), 
                    "description" => esc_html__("Order Portfolios by", 'diopter'), 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios', 'diopter'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolios", 'diopter'),
                    "std" => 'DESC',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Post to show", 'diopter'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of portfolio items to show (-1 for all).", 'diopter'),
                    "value"=> '-1',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Horizontal Columns', 'diopter'), 
                    "param_name" => "columns_grid", 
                    "value" => array(
                        esc_html__('One Column', 'diopter') => 'one',
                        esc_html__('Two Columns', 'diopter') => 'two', 
                        esc_html__('Three Columns', 'diopter') => 'three', 
                        esc_html__('Four Columns', 'diopter') => 'four', 
                        esc_html__('Five Columns', 'diopter') => 'five', 
                        
                    ), 
                    
                    "std" => 'two',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'diopter'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('Extra Small', 'diopter') => 'extrasmall',
                        esc_html__('Small', 'diopter') => 'small',
                        esc_html__('Medium', 'diopter') => 'medium',
                        esc_html__('Big', 'diopter') => 'big', 
                        esc_html__('None', 'diopter') => 'none',  
                        
                    ), 
                    "description" => esc_html__("Spacing", 'diopter'),
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Categories', 'diopter'), 
                    "param_name" => "show_cat", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'no',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'diopter'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('No', 'diopter') => 'no',
                        esc_html__('Yes', 'diopter') => 'yes', 
                         
                    ), 
                    
                    "std" => 'no',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show View Project', 'diopter'), 
                    "param_name" => "show_view_project", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                   
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Counter', 'diopter'), 
                    "param_name" => "show_counter", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Share', 'diopter'), 
                    "param_name" => "show_share", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Enable Gallery', 'diopter'), 
                    "param_name" => "enable_gallery", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'no',
                    
                ), 

            
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Load More', 'diopter'), 
                    "param_name" => "show_loadmore", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                   
                    "std" => 'no',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Load more items", 'diopter'),
                    "param_name" => "loadmore_posts",
                    "description" => esc_html__("Number of items to get on additional load.", 'diopter'),
                    "value"=> '3',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'yes' ),
                        'not_empty' => false,
                    ),
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),

            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Hoz_Portfolios extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Portfolios Masonry", 'diopter'),
           "description" => esc_html__("Masonry layout of portfolio items",'diopter'),
           "base"      => "diopter_portfolios",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Portfolio',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Grid Style', 'diopter'), 
                    "param_name" => "hoz_style", 
                    "value" => array(
                        
                        esc_html__('Style Two', 'diopter') => 'two', 
                        esc_html__('Style Three', 'diopter') => 'three', 
                        
                    ), 
                   
                    "std" => 'three',
                ),
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Portfolio Category IDs to exclude", 'diopter'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter portfolio category ids to exclude, separated by a comma. Leave empty to display all categories.", 'diopter')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories by', 'diopter'), 
                    "param_name" => "cat_order_by", 
                    "value" => array(
                        esc_html__('Name', 'diopter') => 'name', 
                        esc_html__('ID', 'diopter') => 'id', 
                        esc_html__('Count', 'diopter') => 'count', 
                        esc_html__('Slug', 'diopter') => 'slug', 
                        esc_html__('None', 'diopter') => 'none',
                    ), 
                    "description" => esc_html__("Order Portfolio Categories by", 'diopter'), 
                    "std" => 'name',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories', 'diopter'), 
                    "param_name" => "cat_order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolio Categories", 'diopter'),
                    "std" => 'ASC',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Filter', 'diopter'), 
                    "param_name" => "show_filter", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "description" => esc_html__("Show Filter", 'diopter'), 
                    "std" => 'yes',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Filter Width', 'diopter'), 
                    "param_name" => "filter_width", 
                    "value" => array(
                        esc_html__('Normal', 'diopter') => 'nor-container', 
                        esc_html__('Wide', 'diopter') => 'big-container', 
                        esc_html__('Fullwidth', 'diopter') => 'full-container', 
                    ), 
                    
                    "std" => 'nor-container',
                ), 
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Enter Portfolio IDs", 'diopter'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter portfolio ids to show, separated by a comma. Leave empty to get all.", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    // "holder" => "div",
                    "heading" => esc_html__("Portfolio IDs to Exclude", 'diopter'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter portfolio ids to exclude, separated by a comma. Use if the field above is empty. Leave empty to get all.", 'diopter')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios by', 'diopter'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'diopter') => 'date', 
                        esc_html__('ID', 'diopter') => 'ID', 
                        esc_html__('Author', 'diopter') => 'author', 
                        esc_html__('Title', 'diopter') => 'title', 
                        esc_html__('Modified', 'diopter') => 'modified',
                    ), 
                    "description" => esc_html__("Order Portfolios by", 'diopter'), 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios', 'diopter'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolios", 'diopter'),
                    "std" => 'DESC',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Post to show", 'diopter'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of portfolio items to show (-1 for all).", 'diopter'),
                    "value"=> '-1',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Grid Columns', 'diopter'), 
                    "param_name" => "columns_grid", 
                    "value" => array(
                        esc_html__('One Column', 'diopter') => 'one',
                        esc_html__('Two Columns', 'diopter') => 'two', 
                        esc_html__('Three Columns', 'diopter') => 'three', 
                        esc_html__('Four Columns', 'diopter') => 'four', 
                        esc_html__('Five Columns', 'diopter') => 'five', 
                        
                    ), 
                    
                    "std" => 'two',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'diopter'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('Extra Small', 'diopter') => 'extrasmall',
                        esc_html__('Small', 'diopter') => 'small',
                        esc_html__('Medium', 'diopter') => 'medium',
                        esc_html__('Big', 'diopter') => 'big', 
                        esc_html__('None', 'diopter') => 'none',  
                        
                    ), 
                    "description" => esc_html__("Spacing", 'diopter'),
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Categories', 'diopter'), 
                    "param_name" => "show_cat", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'no',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'diopter'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('No', 'diopter') => 'no',
                        esc_html__('Yes', 'diopter') => 'yes', 
                         
                    ), 
                  
                    "std" => 'no',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show View Project', 'diopter'), 
                    "param_name" => "show_view_project", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Counter', 'diopter'), 
                    "param_name" => "show_counter", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Share', 'diopter'), 
                    "param_name" => "show_share", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Enable Gallery', 'diopter'), 
                    "param_name" => "enable_gallery", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "description" => esc_html__("For Style 2 only", 'diopter'), 
                    "std" => 'no',
                    'dependency' => array(
                        'element' => 'hoz_style',
                        'value' => array( 'two' ),
                        'not_empty' => false,
                    ),
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Folio Grid Width', 'diopter'), 
                    "param_name" => "folio_grid_width", 
                    "value" => array(
                        esc_html__('Boxed', 'diopter') => 'boxed-container', 
                        esc_html__('Wide', 'diopter') => 'wide-container', 
                        esc_html__('Fullwidth', 'diopter') => 'full-container', 
                    ), 
                    "std" => 'full-container',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Use INFINITE scroll to load more items?', 'diopter'), 
                    "param_name" => "show_loadmore", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 

                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Load more items", 'diopter'),
                    "param_name" => "loadmore_posts",
                    "description" => esc_html__("Number of items to get on additional load.", 'diopter'),
                    "value"=> '3',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'yes' ),
                        'not_empty' => false,
                    ),
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Pagination', 'diopter'), 
                    "param_name" => "show_pagination", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'no',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'no' ),
                        'not_empty' => false,
                    ),
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),


            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolios extends WPBakeryShortCode {}
        }



        vc_map( array(
            "name"      => esc_html__("Portfolios Grid", 'diopter'),
           "description" => esc_html__("Grid layout of portfolio items",'diopter'),
           "base"      => "diopter_portfolios_grid",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Portfolio',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Grid Style', 'diopter'), 
                    "param_name" => "hoz_style", 
                    "value" => array(
                        
                        esc_html__('Style Two', 'diopter') => 'two', 
                        esc_html__('Style Three', 'diopter') => 'three', 
                        
                    ), 
                   
                    "std" => 'three',
                ),
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Portfolio Category IDs to exclude", 'diopter'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter portfolio category ids to exclude, separated by a comma. Leave empty to display all categories.", 'diopter')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories by', 'diopter'), 
                    "param_name" => "cat_order_by", 
                    "value" => array(
                        esc_html__('Name', 'diopter') => 'name', 
                        esc_html__('ID', 'diopter') => 'id', 
                        esc_html__('Count', 'diopter') => 'count', 
                        esc_html__('Slug', 'diopter') => 'slug', 
                        esc_html__('None', 'diopter') => 'none',
                    ), 
                    "description" => esc_html__("Order Portfolio Categories by", 'diopter'), 
                    "std" => 'name',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolio Categories', 'diopter'), 
                    "param_name" => "cat_order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolio Categories", 'diopter'),
                    "std" => 'ASC',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Filter', 'diopter'), 
                    "param_name" => "show_filter", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "description" => esc_html__("Show Filter", 'diopter'), 
                    "std" => 'yes',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Filter Width', 'diopter'), 
                    "param_name" => "filter_width", 
                    "value" => array(
                        esc_html__('Normal', 'diopter') => 'nor-container', 
                        esc_html__('Wide', 'diopter') => 'big-container', 
                        esc_html__('Fullwidth', 'diopter') => 'full-container', 
                    ), 
                    
                    "std" => 'nor-container',
                ), 
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Enter Portfolio IDs", 'diopter'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter portfolio ids to show, separated by a comma. Leave empty to get all.", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    // "holder" => "div",
                    "heading" => esc_html__("Portfolio IDs to Exclude", 'diopter'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter portfolio ids to exclude, separated by a comma. Use if the field above is empty. Leave empty to get all.", 'diopter')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios by', 'diopter'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'diopter') => 'date', 
                        esc_html__('ID', 'diopter') => 'ID', 
                        esc_html__('Author', 'diopter') => 'author', 
                        esc_html__('Title', 'diopter') => 'title', 
                        esc_html__('Modified', 'diopter') => 'modified',
                    ), 
                    "description" => esc_html__("Order Portfolios by", 'diopter'), 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order Portfolios', 'diopter'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Order Portfolios", 'diopter'),
                    "std" => 'DESC',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Post to show", 'diopter'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of portfolio items to show (-1 for all).", 'diopter'),
                    "value"=> '-1',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Grid Columns', 'diopter'), 
                    "param_name" => "columns_grid", 
                    "value" => array(
                        esc_html__('One Column', 'diopter') => 'one',
                        esc_html__('Two Columns', 'diopter') => 'two', 
                        esc_html__('Three Columns', 'diopter') => 'three', 
                        esc_html__('Four Columns', 'diopter') => 'four', 
                        esc_html__('Five Columns', 'diopter') => 'five', 
                        
                    ), 
                    
                    "std" => 'two',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'diopter'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('Extra Small', 'diopter') => 'extrasmall',
                        esc_html__('Small', 'diopter') => 'small',
                        esc_html__('Medium', 'diopter') => 'medium',
                        esc_html__('Big', 'diopter') => 'big', 
                        esc_html__('None', 'diopter') => 'none',  
                        
                    ), 
                    "description" => esc_html__("Spacing", 'diopter'),
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Categories', 'diopter'), 
                    "param_name" => "show_cat", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                  
                    "std" => 'no',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'diopter'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('No', 'diopter') => 'no',
                        esc_html__('Yes', 'diopter') => 'yes', 
                         
                    ), 
                   
                    "std" => 'no',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show View Project', 'diopter'), 
                    "param_name" => "show_view_project", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Counter', 'diopter'), 
                    "param_name" => "show_counter", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
              
                    "std" => 'yes',
                ), 

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Share', 'diopter'), 
                    "param_name" => "show_share", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ), 


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Enable Gallery', 'diopter'), 
                    "param_name" => "enable_gallery", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "description" => esc_html__("For Style 2 only", 'diopter'), 
                    "std" => 'no',
                    'dependency' => array(
                        'element' => 'hoz_style',
                        'value' => array( 'two' ),
                        'not_empty' => false,
                    ),
                ),  

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Folio Grid Width', 'diopter'), 
                    "param_name" => "folio_grid_width", 
                    "value" => array(
                        esc_html__('Boxed', 'diopter') => 'boxed-container', 
                        esc_html__('Wide', 'diopter') => 'wide-container', 
                        esc_html__('Fullwidth', 'diopter') => 'full-container', 
                    ), 
 
                    "std" => 'full-container',
                ),


                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Use INFINITE scroll to load more items?', 'diopter'), 
                    "param_name" => "show_loadmore", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'yes',
                ), 

                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Load more items", 'diopter'),
                    "param_name" => "loadmore_posts",
                    "description" => esc_html__("Number of items to get on additional load.", 'diopter'),
                    "value"=> '3',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'yes' ),
                        'not_empty' => false,
                    ),
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Pagination', 'diopter'), 
                    "param_name" => "show_pagination", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    "std" => 'no',
                    'dependency' => array(
                        'element' => 'show_loadmore',
                        'value' => array( 'no' ),
                        'not_empty' => false,
                    ),
                ), 


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolios_Grid extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Posts Carousel", 'diopter'),
           "base"      => "diopter_posts_carousel",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Total items", 'diopter'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of post items to show (-1 for all).", 'diopter'),
                    "value"=> '4',
                ),
                
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Post IDs", 'diopter'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter post ids to show, separated by a comma (,).", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    // "holder" => "div",
                    "heading" => esc_html__("Or Post IDs to Exclude", 'diopter'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter post ids to exclude, separated by a comma (,). Use if the field above is empty.", 'diopter')
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order by', 'diopter'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'diopter') => 'date', 
                        esc_html__('ID', 'diopter') => 'ID', 
                        esc_html__('Author', 'diopter') => 'author', 
                        esc_html__('Title', 'diopter') => 'title', 
                        esc_html__('Modified', 'diopter') => 'modified',
                        esc_html__('Random', 'diopter') => 'rand',
                        esc_html__('Comment Count', 'diopter') => 'comment_count',
                        esc_html__('Menu Order', 'diopter') => 'menu_order',
                    ), 
                    "description" => esc_html__("Select how to sort retrieved posts. More at ", 'diopter').'<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex</a>.', 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Sort Order', 'diopter'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Select Ascending or Descending order. More at", 'diopter').'<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex</a>.', 
                    "std" => 'DESC',
                ), 
                
                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Featured Image', 'diopter'), 
                    "param_name" => "show_thumbnail", 
                    "value" => array(
                        
                        esc_html__('Yes', 'diopter') => 'yes',
                        esc_html__('No', 'diopter') => 'no', 
                         
                    ), 
                    
                    "std" => 'yes',
                ),

                
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Thumbnail size", 'diopter'),
                    "param_name" => "thumbnail_size",
                    "description" => esc_html__('Enter thumbnail size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height) .','diopter' ),
                    "value"=> 'full',
                    'dependency' => array(
                        'element' => 'show_thumbnail',
                        'value' => array( 'yes','as_bg' ),
                        'not_empty' => false,
                    ),
                ),


                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'diopter'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('No', 'diopter') => 'no',
                        esc_html__('Yes', 'diopter') => 'yes', 
                         
                    ), 
                    
                    "std" => 'yes',
                ), 
                

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Autoplay', 'diopter'), 
                    "param_name" => "autoplay", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => '1', 
                        esc_html__('No', 'diopter') => '0', 
                    ), 
                    
                    "std" => '0',
                ), 
                array(
                    "type" => "textfield",
                    
                    "heading" => esc_html__("Slider items", 'diopter'),
                    "param_name" => "slider_items",
                    "description" => esc_html__("Number of items on a row.", 'diopter'),
                    "value"=> '3',
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Center mode', 'diopter'), 
                    "param_name" => "center_mode", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => '1', 
                        esc_html__('No', 'diopter') => '0', 
                    ), 
                    
                    "std" => '0',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Auto height', 'diopter'), 
                    "param_name" => "autoheight", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => '1', 
                        esc_html__('No', 'diopter') => '0', 
                    ), 
                    
                    "std" => '0',
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Responsive", "diopter"),
                    "param_name" => "responsive",
                    "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 0:1,600:2,1024:3", "diopter"),
                    "value" => "0:1,600:2,1024:3"
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Navigation', 'diopter'), 
                    "param_name" => "show_nav", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ), 
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),

            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Posts_Carousel extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Post Masonry Grid", 'diopter'),
            
            "base"      => "diopter_post_masonry_list",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params"    => array( 
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Post Category IDs to include", 'diopter'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter post category ids to include, separated by a comma. Leave empty to get posts from all categories.", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Enter Post IDs", 'diopter'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter Post ids to show, separated by a comma. Leave empty to show all.", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    
                    "heading" => esc_html__("Or Post IDs to Exclude", 'diopter'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter post ids to exclude, separated by a comma (,). Use if the field above is empty.", 'diopter')
                ), 
                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order by', 'diopter'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'diopter') => 'date', 
                        esc_html__('ID', 'diopter') => 'ID', 
                        esc_html__('Author', 'diopter') => 'author', 
                        esc_html__('Title', 'diopter') => 'title', 
                        esc_html__('Modified', 'diopter') => 'modified',
                        esc_html__('Random', 'diopter') => 'rand',
                        esc_html__('Comment Count', 'diopter') => 'comment_count',
                        esc_html__('Menu Order', 'diopter') => 'menu_order',
                    ), 
                    "description" => esc_html__("Select how to sort retrieved posts. More at ", 'diopter').'<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex</a>.', 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Sort Order', 'diopter'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Select Ascending or Descending order. More at", 'diopter').'<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex</a>.', 
                    "std" => 'DESC',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Posts to show", 'diopter'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of posts to show (-1 for all).", 'diopter'),
                    "value"=> '8',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Columns Grid', 'diopter'), 
                    "param_name" => "columns_grid", 
                    "value" => array(
                        esc_html__('One Column', 'diopter') => 'one',
                        esc_html__('Two Columns', 'diopter') => 'two', 
                        esc_html__('Three Columns', 'diopter') => 'three', 
                        esc_html__('Four Columns', 'diopter') => 'four', 
                        esc_html__('Five Columns', 'diopter') => 'five', 
                        
                    ), 
                    
                    "std" => 'two',
                ),
                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Pagination', 'diopter'), 
                    "param_name" => "show_pagination", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ), 
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),

            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Post_Masonry_List extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Post List Grid", 'diopter'),
            
            "base"      => "diopter_post_grid_list",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params"    => array( 
                array(
                    "type" => "textfield", 
                    "heading" => esc_html__("Post Category IDs to include", 'diopter'), 
                    "param_name" => "cat_ids", 
                    "description" => esc_html__("Enter post category ids to include, separated by a comma. Leave empty to get posts from all categories.", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    "holder" => "div",
                    "heading" => esc_html__("Enter Post IDs", 'diopter'), 
                    "param_name" => "ids", 
                    "description" => esc_html__("Enter Post ids to show, separated by a comma. Leave empty to show all.", 'diopter')
                ), 
                array(
                    "type" => "textfield", 
                    // "holder" => "div",
                    "heading" => esc_html__("Or Post IDs to Exclude", 'diopter'), 
                    "param_name" => "ids_not", 
                    "description" => esc_html__("Enter post ids to exclude, separated by a comma (,). Use if the field above is empty.", 'diopter')
                ), 
                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Order by', 'diopter'), 
                    "param_name" => "order_by", 
                    "value" => array(
                        esc_html__('Date', 'diopter') => 'date', 
                        esc_html__('ID', 'diopter') => 'ID', 
                        esc_html__('Author', 'diopter') => 'author', 
                        esc_html__('Title', 'diopter') => 'title', 
                        esc_html__('Modified', 'diopter') => 'modified',
                        esc_html__('Random', 'diopter') => 'rand',
                        esc_html__('Comment Count', 'diopter') => 'comment_count',
                        esc_html__('Menu Order', 'diopter') => 'menu_order',
                    ), 
                    "description" => esc_html__("Select how to sort retrieved posts. More at ", 'diopter').'<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex</a>.', 
                    "std" => 'date',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Sort Order', 'diopter'), 
                    "param_name" => "order", 
                    "value" => array(
                        esc_html__('Ascending', 'diopter') => 'ASC',
                        esc_html__('Descending', 'diopter') => 'DESC', 
                        
                    ), 
                    "description" => esc_html__("Select Ascending or Descending order. More at", 'diopter').'<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex</a>.', 
                    "std" => 'DESC',
                ), 
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Posts to show", 'diopter'),
                    "param_name" => "posts_per_page",
                    "description" => esc_html__("Number of posts to show (-1 for all).", 'diopter'),
                    "value"=> '4',
                ),

                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Pagination', 'diopter'), 
                    "param_name" => "show_pagination", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ), 
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),

            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Post_Grid_List extends WPBakeryShortCode {}
        }



        vc_map( array(
            "name"      => esc_html__("Google Map", 'diopter'),
            "description" => esc_html__("Diopter google map style",'diopter'),
            "base"      => "diopter_gmap",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            
            "show_settings_on_create" => true,
            "params"    => array(
                array(
                    "type" => "textfield",
                    "class"=>"",
                    "holder"=>'div',
                    "heading" => esc_html__('Address Latitude', 'diopter'),
                    "param_name" => "map_lat",
                    "value" => "40.7143528",
                    "description" => wp_kses(__("Enter your address latitude. You can get your value from: <a href='http://www.gps-coordinates.net/' target='_blank'>http://www.gps-coordinates.net/</a>", 'diopter'),array('a'=>array('href'=>array(),'target'=>array()))),
                ),
                array(
                    "type" => "textfield",
                    "class"=>"",
                    "holder"=>'div',
                    "heading" => esc_html__('Address Longtitude', 'diopter'),
                    "param_name" => "map_long",
                    "value" => "-74.0059731",
                    "description" => wp_kses(__("Enter your address longtitude. You can get your value from: <a href='http://www.gps-coordinates.net/' target='_blank'>http://www.gps-coordinates.net/</a>", 'diopter'),array('a'=>array('href'=>array(),'target'=>array()))), 
                    
                ),
                array(
                    "type" => "textfield",
                    "class"=>"",
                    "holder"=>'div',
                    "heading" => esc_html__('Address String', 'diopter'),
                    "param_name" => "map_address",
                    "value" => "Our office - New York City",
                    "description" => esc_html__("Address String", 'diopter'), 
                ),
                array(
                    "type"      => "textarea",
                    "class"     => "",
                    "holder"     => "span",
                    "heading"   => esc_html__("Additional Address Setting", 'diopter'),
                    "param_name"=> "add_address",
                    "value"     => "",
                    "description" => wp_kses(__("Address must be separated by `|`. Format: Latitude;Longitude;String_Address<p>Ex: 40.7168183;-73.9973402;Diopter - Washington|40.73334016;-73.99330616;Diopter - Florida</p>", 'diopter'),array('p'=>array('class'=>array(),),) ), 
                ),
                array(
                    "type" => "textfield",
                    "class"=>"",
                    "holder"=>'div',
                    "heading" => esc_html__('Map Zoom', 'diopter'),
                    "param_name" => "map_zoom",
                    "value" => "14",
                    "description" => esc_html__("Map Zoom", 'diopter'), 
                    
                ),
                array(
                    "type"      => "attach_image",
                    "class"     => "",
                    "heading"   => esc_html__("Map Marker", 'diopter'),
                    "param_name"=> "map_marker",
                    "value"     => "",
                    "description" => esc_html__("Upload google map marker or leave it empty to use default.", 'diopter')
                ),
                array(
                    "type" => "textfield",
                    "class"=>"",
                    // "holder"=>'div',
                    "heading" => esc_html__('Map Height', 'diopter'),
                    "param_name" => "map_height",
                    "value" => "500",
                    "description" => esc_html__("Enter your map height in pixel. Default: 500", 'diopter'), 
                    
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Use Default Style', 'diopter'),
                    "param_name" => "default_style",
                    "value" => array(   
                                    esc_html__('No', 'diopter') => 'false',  
                                    esc_html__('Yes', 'diopter') => 'true',                                                                                
                                ),
                    "description" => esc_html__("Set this to Yes to use default Google map style.", 'diopter'), 
                    'std'=>'false'
                ),
                array(
                    "type" => "dropdown",
                    
                    "heading" => esc_html__('Show Zoom Control', 'diopter'),
                    "param_name" => "zoom_control",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    
                    'std'=>'1'
                ),
                array(
                    "type" => "dropdown",
                    
                    "heading" => esc_html__('Show MapType Control', 'diopter'),
                    "param_name" => "maptype_control",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    
                    'std'=>'1'
                ),
                array(
                    "type" => "dropdown",
                    
                    "heading" => esc_html__('Show Scale Control', 'diopter'),
                    "param_name" => "scale_control",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    
                    'std'=>'1'
                ),
                array(
                    "type" => "dropdown",
                    
                    "heading" => esc_html__('Scroll Wheel Control', 'diopter'),
                    "param_name" => "scroll_wheel",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    
                    'std'=>'0'
                ),
                array(
                    "type" => "dropdown",
                    
                    "heading" => esc_html__('Street View Control', 'diopter'),
                    "param_name" => "street_view",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    
                    'std'=>'1'
                ),
                array(
                    "type" => "dropdown",
                    
                    "heading" => esc_html__('Draggable Control', 'diopter'),
                    "param_name" => "draggable",
                    "value" => array(   
                                    esc_html__('Yes', 'diopter') => '1',  
                                    esc_html__('No', 'diopter') => '0',                                                                                
                                ),
                    
                    'std'=>'1'
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),

                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Gmap extends WPBakeryShortCode {}
        }



        

        vc_map( array(
            "name"      => esc_html__("Members Grid", 'diopter'),
            "description" => esc_html__("A column grid of member elements",'diopter'),
            "base"      => "diopter_members",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Theme',
            "show_settings_on_create" => true,
            "params"    => array(
                array(
                    "type"      => "textfield",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Count", 'diopter'),
                    "param_name"=> "count",
                    "value"     => "3",
                    "description" => esc_html__("Number of Members to show. -1 to display all.", 'diopter')
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Order by', 'diopter'),
                    "param_name" => "order_by",
                    "value" => array(   
                        esc_html__('Date', 'diopter') => 'date',  
                        esc_html__('ID', 'diopter') => 'ID',  
                        esc_html__('Author', 'diopter') => 'author',       
                        esc_html__('Title', 'diopter') => 'title',  
                        esc_html__('Modified', 'diopter') => 'modified',  
                    ),
                    "description" => esc_html__("Order by", 'diopter'),  
                    "std"=>'date',    
                ),
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Sort Order', 'diopter'),
                    "param_name" => "order",
                    "value" => array(   
                                    esc_html__('Descending', 'diopter') => 'DESC',
                                    esc_html__('Ascending', 'diopter') => 'ASC',  
                                                                                                                      
                                    ),
                    "description" => esc_html__("Order", 'diopter'),    
                    "std"=>"DESC",  
                ),


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Or Enter Member IDs", "diopter"),
                    "param_name" => "ids",
                    "description" => esc_html__("Enter Member ids to show, separated by a comma. (ex: 99,100)", "diopter")
                ),
                
                
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Grid Columns', 'diopter'), 
                    "param_name" => "thumbnail_cols", 
                    "value" => array(
                        esc_html__('One Column', 'diopter') => 'col-md-12',
                        esc_html__('Two Columns', 'diopter') => 'col-md-6', 
                        
                        esc_html__('Three Columns', 'diopter') => 'col-md-4', 
                        
                        esc_html__('Four Columns', 'diopter') => 'col-md-3', 
                        esc_html__('Six Columns', 'diopter') => 'col-md-2', 
                        
                        
                        
                         
                    ), 
                    
                    "std" => 'col-md-4',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Tablet Grid Columns', 'diopter'), 
                    "param_name" => "tablet_cols", 
                    "value" => array(
                        esc_html__('One Column', 'diopter') => 'col-sm-12',
                        esc_html__('Two Columns', 'diopter') => 'col-sm-6', 
                        
                        esc_html__('Three Columns', 'diopter') => 'col-sm-4', 
                        
                        esc_html__('Four Columns', 'diopter') => 'col-sm-3', 
                        esc_html__('Six Columns', 'diopter') => 'col-sm-2', 
                        
                        
                        
                         
                    ), 
                    
                    "std" => 'col-sm-6',
                ), 
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Mobile Grid Columns', 'diopter'), 
                    "param_name" => "mobile_cols", 
                    "value" => array(
                        esc_html__('One Column', 'diopter') => 'col-xs-12',
                        esc_html__('Two Columns', 'diopter') => 'col-xs-6', 
                        
                        esc_html__('Three Columns', 'diopter') => 'col-xs-4', 
                        
                        esc_html__('Four Columns', 'diopter') => 'col-xs-3', 
                        esc_html__('Six Columns', 'diopter') => 'col-xs-2', 
                        
                        
                        
                         
                    ), 
                    
                    "std" => 'col-xs-12',
                ), 
                
                

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'diopter'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Link to Member detail\'s page', 'diopter'), 
                    "param_name" => "show_readmore", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Pagination', 'diopter'), 
                    "param_name" => "show_pagination", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Members extends WPBakeryShortCode {}
        }


        vc_map( array(
           "name"      => esc_html__("Single Member", 'diopter'),
           "description" => esc_html__("Single member",'diopter'),
           "base"      => "diopter_member",
           "class"     => "",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Theme',
           "show_settings_on_create" => true,
           "params"    => array(
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Enter Member ID", "diopter"),
                    "param_name" => "id",
                    "description" => esc_html__("Enter Member id to show (Ex: 99).", "diopter")
                ), 
                
                

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Show Excerpt', 'diopter'), 
                    "param_name" => "show_excerpt", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),

                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Link to Member detail\'s page', 'diopter'), 
                    "param_name" => "show_readmore", 
                    "value" => array(
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no', 
                    ), 
                    
                    "std" => 'yes',
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));
        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Member extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name" => esc_html__("Owl Carousel Slider", "diopter"),
            "description" => esc_html__("with multi images selected",'diopter'),
            "base" => "diopter_carousel_slider_multiimgs",
            "category"  => 'Diopter Theme',
            
            "content_element" => true,
            "show_settings_on_create" => true,
            
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png", 
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Slider Style", "diopter"),
                    "param_name" => "slider_style",
                    
                    "value" => array(   
                        esc_html__('Inline Style', 'diopter') => 'inline',  
                        esc_html__('Normal', 'diopter') => 'normal',   
                    ),
                    "std"=>'normal', 
                ),
                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Slide Images", 'diopter'),
                    "param_name"=> "slideimages",
                    "description" => esc_html__("Slide Images", 'diopter')
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Items", "diopter"),
                    "param_name" => "items",
                    "description" => esc_html__("The number of items you want to see on the screen. Ex: 4", "diopter"),
                    "value" => "1"
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Center", "diopter"),
                    "param_name" => "center",
                    "description" => esc_html__("Center item. Works well with even an odd number of items.", "diopter"),
                    "value" => array(   
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("smartSpeed", 'diopter'),
                    "param_name" => "smartspeed",
                    "value"=>'1300',
                    "description" => esc_html__("Speed Calculate, milisecond number. Ex: 250", 'diopter')
                ), 
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Loop", "diopter"),
                    "param_name" => "loop",
                    
                    "value" => array(   
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Height", "diopter"),
                    "param_name" => "autoheight",
                    
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes', 
                        esc_html__('No', 'diopter') => 'no',  
                          
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Width", "diopter"),
                    "param_name" => "autowidth",
                    "description" => esc_html__("Set non grid content. Try using width style on divs.", "diopter"),
                    "value" => array(   
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Auto Play", "diopter"),
                    "param_name" => "autoplay",
               
                    "value" => array(   
                        esc_html__('No', 'diopter') => 'no',  
                        esc_html__('Yes', 'diopter') => 'yes',   
                    ),
                    "std"=>'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplayTimeout", 'diopter'),
                    "param_name" => "autoplaytimeout",
                    "value"=>'4000',
                    "description" => esc_html__("Time after display next slide (in milisecond)", 'diopter')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("autoplaySpeed", 'diopter'),
                    "param_name" => "autoplayspeed",
                    "value"=>'3600',
                    "description" => esc_html__("Duration of transition between slides (in ms) or boolen", 'diopter')
                ), 
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("responsive", "diopter"),
                    "param_name" => "responsive",
                    "description" => esc_html__("The format is: screen-size:number-items-display,larger-screen-size:number-items-display. Ex: 0:1,600:2,1000:4", "diopter"),
                    "value" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Pagination", "diopter"),
                    "param_name" => "dots",
                    "value" => array( 
                        esc_html__('Yes', 'diopter') => 'yes',   
                        esc_html__('No', 'diopter') => 'no',  
                          
                    ),
                    "std"=>'no', 
                ),
                
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Thumbnail size", 'diopter'),
                    "param_name" => "thumbnail_size",
                    "description" => esc_html__('Enter thumbnail size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 277x185 (Width x Height) .','diopter' ),
                    "value"=> 'full',
                    
                ),
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__("Show Zoom", "diopter"),
                    "param_name" => "show_zoom",
                    "value" => array( 
                        esc_html__('Yes', 'diopter') => 'yes',   
                        esc_html__('No', 'diopter') => 'no',  
                          
                    ),
                    "std"=>'yes', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", "diopter"),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "diopter")
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            ),
        ) );

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Carousel_Slider_Multiimgs extends WPBakeryShortCode {}
        }









        vc_map( array(
        "name" => esc_html__("Landing Slider", 'diopter'),
        "description" => esc_html__("Home Slider using swiper plugin",'diopter'),
        "base" => "diopter_home_landing_slider",
        "category"  => 'Diopter Theme',
        "as_parent" => array('only' => 'diopter_home_landing_slider_item'), 
        "content_element" => true,
        "show_settings_on_create" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png", 
        "params" => array(
            array(
                'type' => 'textarea',
                'heading' => esc_html__( 'Introduction Text', 'diopter' ),
                'param_name' => 'introtext',

                'value'=> '<div class="preview-title">
    <img src="'.get_template_directory_uri().'/images/logo.png" alt="">
    <h3>Photography / Portfolio  Theme</h3>
    <h4>Select Demo : </h4>
</div>',
            ),

            array(
                "type"      => "attach_image",
                "heading"   => esc_html__("Right decoration image", 'diopter'),
                "param_name"=> "ver_img",
                'value'=> '703'
                
            ),


            array(
                "type" => "textfield",
                "heading" => esc_html__("Speed", 'diopter'),
                "param_name" => "speed",
                "value"=>'1200',
                "description" => esc_html__("Duration of transition between slides (in ms)", 'diopter')
            ),
            array(
                "type" => "dropdown",
                "class"=>"",
                "heading" => esc_html__('Effect', 'diopter'),
                "param_name" => "effect",
                "value" => array(   
                                esc_html__('Slide', 'diopter') => 'slide', 
                                esc_html__('Fade', 'diopter') => 'fade',  
                                esc_html__('Cube', 'diopter') => 'cube',  
                                esc_html__('Coverflow', 'diopter') => 'coverflow',  
                                esc_html__('Flip', 'diopter') => 'flip',  
                                                                                                               
                            ),
                "description" => esc_html__("Slide Effect", 'diopter'), 
                "default"=>'slide'
            ),
            array(
                "type" => "dropdown",
                "class"=>"",
                "heading" => esc_html__('Direction', 'diopter'),
                "param_name" => "direction",
                "value" => array(   
                            esc_html__('Vertical', 'diopter') => 'vertical',    
                                esc_html__('Horizontal', 'diopter') => 'horizontal',  
                                                                                                            
                            ),
                "default" => 'vertical',
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Auto Play", 'diopter'),
                "param_name" => "autoplay",
                "description" => esc_html__("Number in mili-second (5000), leave it blank to disable", 'diopter')
            ),
            array(
                "type" => "dropdown",
                "class"=>"",
                "heading" => esc_html__('Loop', 'diopter'),
                "param_name" => "loop",
                "value" => array(   
                                esc_html__('No', 'diopter') => 'false',  
                                esc_html__('Yes', 'diopter') => 'true',                                                                                
                            ),
                "description" => esc_html__("Set this to Yes to enable continuous loop mode", 'diopter'), 
            ),
            array(
                "type" => "dropdown",
                "class"=>"",
                "heading" => esc_html__('Mouse Wheel Control', 'diopter'),
                "param_name" => "mousewheel",
                "value" => array(   
                                esc_html__('Yes', 'diopter') => 'true',  
                                esc_html__('No', 'diopter') => 'false',                                                                                
                            ),
                "description" => esc_html__("Set this to Yes if you want to enable navigation through slides using mouse wheel", 'diopter'), 
            ),
            
          
            array(
                "type" => "dropdown",
                "class"=>"",
                "heading" => esc_html__('Use Normal Size', 'diopter'),
                "param_name" => "use_normal_size",
                "value" => array(   
                                esc_html__('Yes', 'diopter') => 'yes',  
                                esc_html__('No', 'diopter') => 'no', 
                                
                                                                                                               
                            ),
    
                'std'=>'no'
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'diopter'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
            
        ),
        "js_view" => 'VcColumnView'
    ));

    vc_map( array(
        "name" => esc_html__("Landing Slide Item", 'diopter'),
        "base" => "diopter_home_landing_slider_item",
        "content_element" => true,
        "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
        "as_child" => array('only' => 'diopter_home_landing_slider'),
        "params" => array(
            
            array(
                "type"      => "attach_image",
                "holder"    => "div",
                "class"     => "",
                "heading"   => esc_html__("Slide Image", 'diopter'),
                "param_name"=> "slideimg",
                "value" => '698'
            ),
            
            array(
                "type"      => "textarea_html",
                "holder"    => "div",
                "heading"   => esc_html__("Slide Content", 'diopter'),
                "param_name"=> "content",
                "value" => '<h3 class="transition"><span class="title-text">Intro</span></h3>
<ul  class="transition">
    <li><a href="'.esc_url(home_url('/home-intro-slider/' )).'" target="_blank">Slider</a></li>
    <li><a href="'.esc_url(home_url('/home-intro-slider-fade/' )).'" target="_blank">Fade Slider</a></li>
    <li><a href="'.esc_url(home_url('/home-intro-slideshow/' )).'" target="_blank">Slideshow</a></li>
    <li><a href="'.esc_url(home_url('/home-intro-image/' )).'" target="_blank">Image</a></li>
    <li><a href="'.esc_url(home_url('/home-intro-youtube-video/' )).'" target="_blank">Youtube</a></li>
    <li><a href="'.esc_url(home_url('/home-intro-vimeo-video/' )).'" target="_blank">Vimeo</a></li>
</ul>',

            ),  
            array(
                "type" => "textfield",
                "heading" => esc_html__("Extra class name", 'diopter'),
                "param_name" => "el_class",
                "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
            ),
            
            array(
                'type' => 'css_editor',
                'heading' => esc_html__( 'Css', 'diopter' ),
                'param_name' => 'css',
                'group' => esc_html__( 'Design options', 'diopter' ),
            ),
            
        )
    ));

    
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_Diopter_Home_Landing_Slider extends WPBakeryShortCodesContainer {}
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_Diopter_Home_Landing_Slider_Item extends WPBakeryShortCode {     
        }
    }



    

        vc_map( array(
            "name"      => esc_html__("Portfolio Title", 'diopter'),

            "base"      => "diopter_portfolio_title",
 
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',

            "show_settings_on_create" => false,
            "params"    => array(

                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolio_Title extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Portfolio Content", 'diopter'),

            "base"      => "diopter_portfolio_content",

            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',

            "show_settings_on_create" => true,
            "params"    => array(
                
                array(
                    "type" => "textarea_html",
                    "heading" => esc_html__("Content", 'diopter'),
                    "holder"=>'div',
                    "param_name" => "content",
                    "value"=>'<h2>Awesome Nature <br> <span class="no-rep">  Album</span></h2>
<h3>Cras lacinia magna vel molestie faucibus. Donec auctor et urna</h3>
<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras lacinia magna vel molestie faucibus. Donec auctor et urnaLorem ipsum dolor sit amet, consectetur adipiscing elit. Cras lacinia magna vel molestie faucibus.</p>',
                    
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolio_Content extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Portfolio Details", 'diopter'),
 
            "base"      => "diopter_portfolio_details",
          
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',
         
            "show_settings_on_create" => true,
            "params"    => array(
                
                array(
                    "type" => "textarea_html",
                    "heading" => esc_html__("Content", 'diopter'),
                    "holder"=>'div',
                    "param_name" => "content",
                    "value"=>'<h4>Details</h4>
<ul class="det-meta">
    <li>[faicon name="camera-retro"] Camera : <span class="no-rep">Nicon d3100</span></li>
    <li>[faicon name="map-marker"] Location :<span class="no-rep"> Oslo , Norway </span></li>
    <li>[faicon name="male"] Model :<span class="no-rep"> Liza Freg </span></li>
</ul>',
                    "description"=> wp_kses(__("Search icon : <a href='http://fontawesome.io/icons/' target='_blank'>FONT AWESOME</a>", 'diopter'),array('a'=>array('href'=>array(),'target'=>array()))),
                    
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolio_Details extends WPBakeryShortCode {}
        }



        vc_map( array(
            "name"      => esc_html__("Portfolio Nav", 'diopter'),
 
            "base"      => "diopter_portfolio_nav",
            "class"     => "",
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',
            "show_settings_on_create" => true,
            "params"    => array(
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Is Fixed Nav', 'diopter'),
                    "param_name" => "is_fixed_nav",
                    "value" => array(   
                                    esc_html__('No', 'diopter') => 'no', 
                                    esc_html__('Yes', 'diopter') => 'yes',  
                                                                                                                   
                                ),
                    "std" => 'no', 
                    "description" => esc_html__("Use this option for Portfolio Style 1, Style 2, Style 3, Style 4, Style 5, Style 6, Style 7 and Style 8 layouts.", 'diopter'),
                ),
                array(
                    "type" => "dropdown",
                  
                    "heading" => esc_html__('In Same Terms', 'diopter'),
                    "description" => esc_html__("Whether previous/next posts must be within the same taxonomy term as the current post.", 'diopter'),
                    "param_name" => "same_term",

                    "value" => array(   
                                    esc_html__('No', 'diopter') => 'no', 
                                    esc_html__('Yes', 'diopter') => 'yes',  
                                                                                                                   
                                ),
                    "std" => 'no', 

                    
                ),
                
            
                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show All Projects', 'diopter'),
                    "param_name" => "show_all",
                    "value" => array(   
                                    esc_html__('No', 'diopter') => 'no', 
                                    esc_html__('Yes', 'diopter') => 'yes',  
                                                                                                                   
                                ),
                    "std" => 'no', 
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("All Projects Link", 'diopter'),
                    "param_name" => "all_link",
                    "value"=>'',
                    "description" => esc_html__("Leave empty to use default portfolio archive link.", 'diopter')
                    
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolio_Nav extends WPBakeryShortCode {}
        }

        vc_map( array(
            "name"      => esc_html__("Portfolio Comment", 'diopter'),
        
            "base"      => "diopter_portfolio_comment",
        
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',
     
            "show_settings_on_create" => false,
            "params"    => array(
                
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolio_Comment extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Share Post", 'diopter'),
     
            "base"      => "diopter_portfolio_share",
       
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',
    
            "show_settings_on_create" => false,
            "params"    => array(


                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "holder" => "div",
                    "param_name" => "share_names",
                    "value"=>'facebook,pinterest,googleplus,twitter,linkedin',
                    "description" => esc_html__("Enter your social share names separated by a comma. Available names: facebook,twitter,linkedin,in1,tumblr,digg,googleplus,reddit,pinterest,stumbleupon,email,vk", 'diopter')
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Portfolio_Share extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Popup Gallery Masonry", 'diopter'),
            "description" => esc_html__("with images selected",'diopter'),
            "base"      => "diopter_images_gallery_masonry",
         
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',
      
            "params"    => array(

                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Gallery Photos", 'diopter'),
                    "param_name"=> "galleryimgs",
                   
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("First Load items", 'diopter'),
                    "param_name" => "loaded",
                    "value"=>'10',
                    "description" => esc_html__("Number of images you want to display in the first load. Should be maller than your total images number to use INFINITE scroll option bellow.", 'diopter')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Use INFINITE scroll load more items?', 'diopter'),
                    "param_name" => "show_loadmore",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                    "description" => esc_html__("Images will automatically load and adding when you scroll to the bottom.", 'diopter')
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Load more items", 'diopter'),
                    "param_name" => "lmore_items",
                    "value"=>'3',
                    "description" => esc_html__("Number of images you want to get in the next loadings.", 'diopter')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Columns Grid', 'diopter'),
                    "param_name" => "columns",
                    "value" => array(   
                        esc_html__('One Column', 'diopter') => 'one',  
                        esc_html__('Two Columns', 'diopter') => 'two',  
                        esc_html__('Three Columns', 'diopter') => 'three',        
                        esc_html__('Four Columns', 'diopter') => 'four',        
                        esc_html__('Five Columns', 'diopter') => 'five',        
        
                    ),
                 
                    "std"=>'three',    
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'diopter'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('None', 'diopter') => 'none', 
                        esc_html__('Extra Small', 'diopter') => 'extrasmall',
                        esc_html__('Small', 'diopter') => 'small',
                        esc_html__('Medium', 'diopter') => 'medium',
                        esc_html__('Big', 'diopter') => 'big', 
                         
                        
                    ), 
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image title', 'diopter'),
                    "param_name" => "show_img_title",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'no',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image description', 'diopter'),
                    "param_name" => "show_img_desc",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'no',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Use Popup Gallery', 'diopter'),
                    "param_name" => "show_zoom",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Images_Gallery_Masonry extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Horizontal Gallery", 'diopter'),
            "description" => esc_html__("with images selected",'diopter'),
            "base"      => "diopter_images_gallery_horizontal",
     
            "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
            "category"  => 'Diopter Portfolio',
       
            "params"    => array(
                
                array(
                    "type" => "dropdown",
                    "heading" => esc_html__('Style', 'diopter'),
                    "param_name" => "hoz_style",
                    "value" => array(   
                        esc_html__('Style One', 'diopter') => 'one',  
                        esc_html__('Style Two', 'diopter') => 'two',  
                        esc_html__('Style Three', 'diopter') => 'three',  
                            
        
                    ), 
                    "std"=>'one',    
                    
                ),
                array(
                    "type"      => "attach_images",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Gallery Photos", 'diopter'),
                    "param_name"=> "galleryimgs",
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("First Load items", 'diopter'),
                    "param_name" => "loaded",
                    "value"=>'10',
                    "description" => esc_html__("Number of images you want to display in the first load. Should be maller than your total images number to use INFINITE scroll option bellow.", 'diopter')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show Loadmore', 'diopter'),
                    "param_name" => "show_loadmore",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                    
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Load more items", 'diopter'),
                    "param_name" => "lmore_items",
                    "value"=>'3',
                    "description" => esc_html__("Number of images you want to get in the next loadings.", 'diopter')
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Vertical Columns', 'diopter'),
                    "param_name" => "columns",
                    "value" => array(   
                        esc_html__('One Column', 'diopter') => 'one',  
                        esc_html__('Two Columns', 'diopter') => 'two',  
                        esc_html__('Three Columns', 'diopter') => 'three',        
                        esc_html__('Four Columns', 'diopter') => 'four',        
                        esc_html__('Five Columns', 'diopter') => 'five',        
        
                    ),
                    "std"=>'three',    
                ),
                array(
                    "type" => "dropdown", 
                    "class" => "", 
                    "heading" => esc_html__('Spacing', 'diopter'), 
                    "param_name" => "spacing", 
                    "value" => array(
                        esc_html__('None', 'diopter') => 'none', 
                        esc_html__('Extra Small', 'diopter') => 'extrasmall',
                        esc_html__('Small', 'diopter') => 'small',
                        esc_html__('Medium', 'diopter') => 'medium',
                        esc_html__('Big', 'diopter') => 'big', 
                         
                        
                    ), 
                    "std" => 'small',
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image title', 'diopter'),
                    "param_name" => "show_img_title",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Show image description', 'diopter'),
                    "param_name" => "show_img_desc",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),


                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Use Popup Gallery', 'diopter'),
                    "param_name" => "show_zoom",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),

                array(
                    "type" => "dropdown",
                    "class"=>"",
                    "heading" => esc_html__('Fix Mobile height?', 'diopter'),
                    "param_name" => "fix_mobile_height",
                    "value" => array(   
                        esc_html__('Yes', 'diopter') => 'yes',  
                        esc_html__('No', 'diopter') => 'no',  
                            
        
                    ), 
                    "std"=>'yes',    
                ),


                
                
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "value"=>'',
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),
            )
        ));

        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Images_Gallery_Horizontal extends WPBakeryShortCode {}
        }


        vc_map( array(
            "name"      => esc_html__("Before After", 'diopter'),
           "description" => esc_html__("Highlight the differences between two images",'diopter'),
           "base"      => "diopter_before_after",
           "icon" => get_template_directory_uri() . "/vc_extend/cth-icon.png",
           "category"  => 'Diopter Theme',
           "show_settings_on_create" => true,
           "params"    => array( 
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("Before Image", 'diopter'),
                    "param_name"=> "before_img",
                    
                ),
                array(
                    "type"      => "attach_image",
                    "holder"    => "div",
                    "class"     => "",
                    "heading"   => esc_html__("After Image", 'diopter'),
                    "param_name"=> "after_img",
                    
                ),



                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Image size", 'diopter'),
                    "param_name" => "thumbnail_size",
                    "description" => esc_html__('Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height).','diopter' ),
                    "value"=> 'full',
                ),

                array(
                    "type" => "dropdown", 
                    "heading" => esc_html__('Direction', 'diopter'), 
                    "param_name" => "direction", 
                    "value" => array(
                        esc_html__('Horizontal', 'diopter') => 'horizontal', 
                        esc_html__('Vertical', 'diopter') => 'vertical', 
                    ), 
                    "std" => 'horizontal',
                ),

                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "heading" => esc_html__("Offset", 'diopter'),
                    "param_name" => "offset",
                    "description" => esc_html__('From 0 to 1. How much of the before image is visible when the page loads','diopter' ),
                    "value"=> '0.7',
                ),

                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Extra class name", 'diopter'),
                    "param_name" => "el_class",
                    "description" => esc_html__("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", 'diopter')
                ),
                array(
                    'type' => 'css_editor',
                    'heading' => esc_html__( 'Css', 'diopter' ),
                    'param_name' => 'css',
                    'group' => esc_html__( 'Design options', 'diopter' ),
                ),

            )));


        if ( class_exists( 'WPBakeryShortCode' ) ) {
            class WPBakeryShortCode_Diopter_Before_After extends WPBakeryShortCode {}
        }

}

?>