<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $items
 * @var $autoplay
 * @var $autoplayspeed
 * @var $autoplaytimeout
 * @var $loop
 * @var $dots
 * @var $smartspeed
 * @var $center
 * @var $autowidth
 * @var $parallax_value
 * @var $box_pos
 * @var $img_size
 * @var $show_zoom
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Home_Slideshow
 */
$el_class = $items = $autoplay = $autoplayspeed = $autoplaytimeout = $css = $responsive = $slideimages = $autoheight = $loop = $dots = $smartspeed = $center = $autowidth = $parallax_value = $box_pos = $thumbnail_size = $show_zoom = $slider_style = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts ); 
if($slider_style === 'inline'){
    $css_classes = array(
        'inline-carousel-inner dec-carousel fl-wrap',
        $el_class,
        vc_shortcode_custom_css_class( $css ),
    );
}else{
    $css_classes = array(
        'single-slider-holder fl-wrap lightgallery',
        $el_class,
        vc_shortcode_custom_css_class( $css ),
    );
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

if($show_zoom == 'yes') {
    $css_class .= ' has-popup';
}

if( strpos($thumbnail_size, "x") !== false){
    $thumbnail_size = explode("x", $thumbnail_size);
}

$dataArr = array();

if($autoplayspeed == 'true'){
    $dataArr['autoplaySpeed'] = true;
}elseif(is_numeric($autoplayspeed)){
    $dataArr['autoplaySpeed'] = (int)$autoplayspeed;
}
$dataArr['autoplayTimeout'] = (int)$autoplaytimeout;
if($autoheight === 'yes'){
    $dataArr['autoHeight'] = true;
}else{
    $dataArr['autoHeight'] = false;
}
if($autoplay === 'yes'){
    $dataArr['autoplay'] = true;
}else{
    $dataArr['autoplay'] = false;
}
$dataArr['items'] = (int)$items;
if(!empty($responsive)){
    $el_class .=' resp-ena';
    $dataArr['responsive'] = $responsive;
}else{
    $dataArr['responsive'] = false;
}
if($loop === 'yes'){
    $dataArr['loop'] = true;
}else{
    $dataArr['loop'] = false;
}
if($dots === 'yes'){
    $dataArr['dots'] = true;
}else{
    $dataArr['dots'] = false;
}
if($center === 'yes'){
    $dataArr['center'] = true;
}else{
    $dataArr['center'] = false;
}
if($autowidth === 'yes'){
    $dataArr['autoWidth'] = true;
}else{
    $dataArr['autoWidth'] = false;
}

$dataArr['smartSpeed'] = (int)$smartspeed;


if(!empty($slideimages)){
    $images = explode(",", $slideimages);

    if(!empty($images)) : 

    ?>
        <div class="<?php echo esc_attr($css_class);?>" data-looped="1">
        <?php 
        if($slider_style === 'inline'): ?>
            <div class="inline-carousel owl-carousel owl-theme" data-options='<?php echo json_encode($dataArr);?>'>
            <?php foreach ($images as $key => $img) { ?>
                <div class="item">
                    <div class="box-item fl-wrap popup-box">
                        <?php echo wp_get_attachment_image( $img, $thumbnail_size, '', array('class'=>'respimg')); ?>
                        <?php if($show_zoom == 'yes'):?>
                        <a href="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="single-popup-image"><i class="fa fa-search"></i></a>
                        <?php endif;?>
                    </div>
                </div>
            <?php
            } ?>       
            </div>
            <div class="customNavigation">
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
                <a class="prev-slide transition"><i class="fa fa-angle-left"></i></a>
            </div>
        <?php else : ?>
            <div class="single-slider owl-carousel owl-theme fl-wrap" data-options='<?php echo json_encode($dataArr);?>'>

                <?php foreach ($images as $key => $img) { ?>
                    <div class="item">
                        <?php echo wp_get_attachment_image( $img, $thumbnail_size, '', array('class'=>'respimg')); ?>
                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image slider-zoom"><i class="fa fa-expand"></i></a>
                        <?php endif;?>
                    </div>
                <?php
                } ?>   
  
            </div>
            <div class="customNavigation gals">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
        <?php endif ;?>
                                          
        </div>
        <div class="clearfix"></div>

    <?php
    endif;
}

?>