<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $bgimg
 * @var $opacity
 * @var $home_image_style
 * @var $parallax_val
 * @var $scroll_link
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Home_Image
 */
$el_class = $css = $bgimg = $opacity = $home_image_style = $scroll_link = $parallax_val = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'hero-wrap',
    'hero-wrap-home-image',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

?>
<div class="fl-wrap full-height <?php echo esc_attr($css_class );?>">
    <div class="hero-wrap-item  alt  entry-wrap">
        <div class="container">
            <div class="fl-wrap section-entry home-image-content-wrap">
                <?php echo wpb_js_remove_wpautop($content,true);?>
            </div>
        </div>
    </div>
    <div class="bg"  data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($bgimg, 'diopterfuls-thumb') );?>"></div>
    <div class="overlay" 
    <?php if($opacity != ''):?>
     style="opacity:<?php echo esc_attr($opacity );?>;"
    <?php endif;?>></div>

    <?php if(!empty($scroll_link)) :?>
    <a href="<?php echo esc_url($scroll_link);?>" class="sec-entr-link custom-scroll-link"><i class="fa fa-angle-double-down"></i></a>
    <?php endif;?>
    
</div>

