<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $mousewheel - false
 * @var $autoplay - ''
 * @var $loop - false
 * @var $direction - horizontal
 * @var $speed - 300
 * @var $slider_style - normal/parallax_style
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Home_Landing_Slider
 */
$css = $el_class = $mousewheel = $autoplay = $loop = $direction = $speed = $effect = $is_fullheight = $use_normal_size = $introtext = $ver_img = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'swiper-container vertical-slider',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

$slwcs = array('home-landing-slider-wrapper');
$slwcs[] = 'landing-slider-'.$direction;
$slwcs[] = 'full-height';
if($use_normal_size == 'yes')
	$slwcs[] = 'use_normal_size';
$slwc = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $slwcs ) ) );

?>
<div class="<?php echo esc_attr($slwc );?>">
	<?php if(!empty($introtext)) :?>
		<?php echo wp_kses_post($introtext ); ?>
	<?php endif;?>
	<?php if(!empty($ver_img)) :?>
    <div class="version"><?php echo wp_get_attachment_image($ver_img,'full' );?></div>
	<?php endif;?>
	<div class="<?php echo esc_attr($css_class );?>" 
		data-mws="<?php echo esc_attr($speed );?>"  data-mwd="<?php echo esc_attr($direction );?>"  
		<?php 
		if(!empty($autoplay)){ ?>
			 data-mwa="<?php echo esc_attr($autoplay );?>" 
		<?php
		}
		?>
		<?php 
		if($mousewheel == 'true'){ ?>
			 data-mwc="1" 
		<?php 
		}
		?>
		<?php 
		if($loop == 'true'){ ?>
			 data-mwl="1" 
		<?php 
		}
		?>
		<?php 
		if(!empty($effect)){ ?>
			 data-mwe="<?php echo esc_attr($effect );?>" 
		<?php
		}
		?>
		>
	    	<div class="swiper-wrapper">

		        <?php echo wpb_js_remove_wpautop($content);?>

			</div>
			<div class="swiper-nav-holder ver">
                <a class="swiper-nav arrow-left transition" href="#"><i class="fa fa-chevron-up"></i></a>
                <a class="swiper-nav  arrow-right transition" href="#"><i class="fa fa-chevron-down"></i></a>
            </div>
            <div class="slides-counter">
                <ul>
                    <li><span class="presSlidesActive"></span></li>
                    <li><span class="presSlidesFrom"></span></li>
                </ul>
            </div>
		</div>
		<div class="swiper-pagination"></div>
	</div>