<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $items
 * @var $autoplay
 * @var $autoplayspeed
 * @var $autoplaytimeout
 * @var $loop
 * @var $dots
 * @var $smartspeed
 * @var $center
 * @var $autowidth
 * @var $parallax_value
 * @var $box_pos
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Carousel_Slider
 */
$el_class = $items = $autoplay = $autoplayspeed = $autoplaytimeout = $css = $responsive = $slideimages = $autoheight = $loop = $dots = $smartspeed = $center = $autowidth = $parallax_value = $box_pos = $animate_in = $animate_out = $use_fade = '';
$enable_mousewheel = '0';
$enable_keyboard = '1';
$show_counter = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts ); 

$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $this->settings['base'], $atts );

$dataArr = array();

if($autoplayspeed == 'true'){
    $dataArr['autoplaySpeed'] = true;
}elseif(is_numeric($autoplayspeed)){
    $dataArr['autoplaySpeed'] = (int)$autoplayspeed;
}
$dataArr['autoplayTimeout'] = (int)$autoplaytimeout;
if($autoheight === 'yes'){
    $dataArr['autoHeight'] = true;
}else{
    $dataArr['autoHeight'] = false;
}
if($autoplay === 'yes'){
    $dataArr['autoplay'] = true;
}else{
    $dataArr['autoplay'] = false;
}
$dataArr['items'] = (int)$items;
if(!empty($responsive)){
    $el_class .=' resp-ena';
    $dataArr['responsive'] = $responsive;
}else{
    $dataArr['responsive'] = false;
}
if($loop === 'yes'){
    $dataArr['loop'] = true;
}else{
    $dataArr['loop'] = false;
}
if($dots === 'yes'){
    $dataArr['dots'] = true;
}else{
    $dataArr['dots'] = false;
}
if($center === 'yes'){
    $dataArr['center'] = true;
}else{
    $dataArr['center'] = false;
}
if($autowidth === 'yes'){
    $dataArr['autoWidth'] = true;
}else{
    $dataArr['autoWidth'] = false;
}

$dataArr['smartSpeed'] = (int)$smartspeed;

$fade_cls = "fade_no";
if($use_fade === 'yes'){
    $dataArr['animateIn'] = "fadeIn";
    $dataArr['animateOut'] = "fadeOut";
    $fade_cls = "fade_yes";
}
?>
<div class="hero-wrap fl-wrap full-height <?php echo esc_attr($el_class );?> <?php echo esc_attr($css_class );?>">
    <div class="hero-slider-holder fl-wrap full-height">
    <?php if($show_counter === 'yes') :?>
        <div class="num-holder3"></div>
    <?php endif;?>
        <div class="hero-slider fscs owl-carousel owl-theme <?php echo esc_attr($fade_cls );?> fl-wrap full-height" data-options='<?php echo json_encode($dataArr);?>' data-mwh="<?php echo esc_attr($enable_mousewheel );?>" data-keyb="<?php echo esc_attr($enable_keyboard  );?>">

            <?php echo wpb_js_remove_wpautop($content);?>
                                
        </div>
        <div class="customNavigation gals">
            <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
            <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
        </div>
    </div>
</div>