<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $controls
 * @var $mute
 * @var $video
 * @var $bgimg
 * @var $containment
 * @var $autoplay
 * @var $opacity
 * @var $video_style
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Home_Youtube_Video
 */
$css = $el_class = $bgimg = $opacity = $scroll_link = $video = $parallax_value = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'hero-wrap',
    'hero-wrap-home-vimeo-video',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

?>
<div class="<?php echo esc_attr($css_class );?> fl-wrap full-height">
    <div class="hero-wrap-item  alt  entry-wrap">
        <div class="container">
            <div class="fl-wrap section-entry home-vimeo-video-content-wrap">
                <?php echo wpb_js_remove_wpautop($content,true);?>
            </div>
        </div>
    </div>
    <div class="media-container" 
    <?php if($parallax_value !== '') : ?>
     data-top-bottom="transform: translateY(<?php echo esc_attr($parallax_value);?>px);" data-bottom-top="transform: translateY(<?php echo 0 - $parallax_value;?>px);"
    <?php endif;?>>
        <div class="video-holder">
            <div class="mob-bg bg" 
            <?php if(!empty($bgimg)) : ?>
             data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($bgimg, 'diopterfuls-thumb') );?>"
            <?php endif;?>></div>
            <div  class="background-vimeo" data-vim="<?php echo esc_html($video );?>"></div>
            
        </div>
    </div>
    <div class="overlay" 
    <?php if($opacity != ''):?>
     style="opacity:<?php echo esc_attr($opacity );?>;"
    <?php endif;?>></div>

    <?php if(!empty($scroll_link)) :?>
    <a href="<?php echo esc_url($scroll_link);?>" class="sec-entr-link custom-scroll-link"><i class="fa fa-angle-double-down"></i></a>
    <?php endif;?>
</div>

