<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $galleryimgs
 * @var $columns
 * @var $spacing
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Images_Gallery_Horizontal
 */
$css = $el_class = $galleryimgs = $columns = $spacing = $show_zoom = '';
$loaded = $show_loadmore = $lmore_items =  $hoz_style = $show_img_desc = $show_img_title = '';
$fix_mobile_height = 'yes';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'diopter_images_gallery_horizontal_wrap resize-carousel-holder',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);

$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

if(!empty($galleryimgs)){
    $lmore_data = array();
    if($show_loadmore == 'yes'){
        $lmore_data = array();
        $lmore_data['images'] = $galleryimgs;
        $lmore_data['loaded'] = $loaded;
        $lmore_data['action'] = 'diopter_lm_gal_hoz';
        $lmore_data['lmore_items'] = $lmore_items;
        $lmore_data['show_zoom'] = $show_zoom;
        $lmore_data['hoz_style'] = $hoz_style;
        $lmore_data['show_img_title'] = $show_img_title;
        $lmore_data['show_img_desc'] = $show_img_desc;
        $lmore_data['show_zoom'] = $show_zoom;
    }

    $gal_imgs = explode(",", $galleryimgs);

    if(!empty($gal_imgs)) : 
    ?>
    <div class="<?php echo esc_attr($css_class );?>">

        
        
        <?php 
        $grid_cls = $columns.'-ver-columns folio-hoz-gallery';
        if($show_zoom == 'yes')  
            $grid_cls .= ' lightgallery';
        $grid_cls .= ' hoz-'.$spacing.'-pad';

        //show load more
        if($show_loadmore == 'yes')
            $grid_cls .= ' use-loadmore';

        if($show_zoom == 'yes')
            $grid_cls .= ' gallery_enabled';

        switch ($hoz_style) {
            case 'two':
                $grid_cls .= ' vis-desc';

                break;
            
            case 'three':
                $grid_cls .= ' hde';
                break;

            default:
                $grid_cls .= ' hid-desc';
                break;
        }
        if($fix_mobile_height != 'yes'){
            $grid_cls .=' mb-ath';
        }
        ?>

        <div class="p_horizontal_wrap res-protoc hoz-wrap-<?php echo esc_attr($spacing );?>-pad">
            <div id="portfolio_horizontal_container"  class="<?php echo esc_attr($grid_cls );?>" 
            <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
             data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
             data-lm-nonce="<?php echo wp_create_nonce( 'diopter_lm_gal_hoz' ); ?>"
             data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
            <?php endif;?>
            >
                <?php foreach ($gal_imgs as $key => $img) { 
                    if($key < $loaded) {

                        $at_img = get_post($img);

                        $at_tit = $at_img->post_title;
                        $at_des = $at_img->post_content;

                        $itcl = 'portfolio_item';
                        if($show_zoom == 'yes'){
                            $itcl .= ' has-popup';
                        }

                        switch ($hoz_style) {
                            case 'two':
                                ?>
                                <div class="<?php echo esc_attr($itcl );?>">
                                    <div class="portfolio-hoz-item-holder">
                                        <div class="box-item fl-wrap popup-box">
                                            <?php echo wp_get_attachment_image( $img, 'diopterhoz-thumb'); ?>
                                            <?php if($show_zoom == 'yes'):?>
                                            <a href="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image"><i class="fa fa-link"></i></a>
                                            <?php endif;?>
                                        </div>
                                        <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                                        <div class="box-item overal-box">
                                            <?php if($show_img_title == 'yes') : ?>
                                                <h2><?php echo esc_html($at_tit);?></h2>
                                            <?php endif;?>
                                            <?php if($show_img_desc == 'yes') : ?>
                                                <p><?php echo esc_html($at_des);?></p>
                                            <?php endif;?>
                                        </div>
                                        <?php endif;?>
                                    </div>
                                </div>

                                
                                <?php
                                break;

                            case 'three':
                                ?>
                                <div class="<?php echo esc_attr($itcl );?>">
                                    <div class="portfolio-hoz-item-holder">
                                        <?php echo wp_get_attachment_image( $img, 'diopterhoz-thumb'); ?>
                                        <div class="box-item hd-box">
                                        <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                                            <div class=" fl-wrap full-height">
                                                <div class="hd-box-wrap alt">
                                                    <?php if($show_img_title == 'yes') : ?>
                                                        <h2><?php echo esc_html($at_tit);?></h2>
                                                    <?php endif;?>
                                                    <?php if($show_img_desc == 'yes') : ?>
                                                        <p><?php echo esc_html($at_des);?></p>
                                                    <?php endif;?>
                                                </div>
                                            </div>
                                        <?php endif;?>
                                        </div>

                                        <?php  if($show_zoom == 'yes') : ?>
                                        <a href="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image hoz-gal-one-pop-link transition"></a>
                                        <?php endif;?>

                                    </div>
                                </div>
                                <?php
                                break;
                            
                            default:
                                ?>
                                <div class="<?php echo esc_attr($itcl );?>">
                                    <div class="portfolio-hoz-item-holder">
                                        <?php echo wp_get_attachment_image( $img, 'diopterhoz-thumb'); ?>
                                        <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                                        <div class="box-item overal-box">
                                        <?php if($show_img_title == 'yes') : ?>
                                            <h2><?php echo esc_html($at_tit);?></h2>
                                        <?php endif;?>
                                        <?php if($show_img_desc == 'yes') : ?>
                                            <p><?php echo esc_html($at_des);?></p>
                                        <?php endif;?>
                                        </div>
                                        <?php endif;?>
                                        <?php  if($show_zoom == 'yes') : ?>
                                        <a href="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image hoz-gal-one-pop-link transition"></a>
                                        <?php endif;?>
                                    </div>
                                </div>
                                <?php
                                break;
                        }

                    }
                } 

                ?> 
                
                <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
                <div class="hoz-gal-lmore-holder">
                    <a class="hoz-gal-load-more" data-remain="yes" data-click="1" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse"></i> <span class="sr-only">Loading...</span>','diopter'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
                </div> 
                <?php endif;?>
            </div>
        </div>


    </div>
    <?php
    endif;
}

?>