<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $galleryimgs
 * @var $columns
 * @var $spacing
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Images_Gallery_Masonry
 */
$css = $el_class = $galleryimgs = $columns = $spacing = $show_zoom = '';
$loaded = $show_loadmore = $lmore_items = $show_img_desc = $show_img_title ='';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'diopter_images_gallery_wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);

$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

if(!empty($galleryimgs)){
    $lmore_data = false;
    if($show_loadmore == 'yes'){
        $lmore_data = array();
        $lmore_data['images'] = $galleryimgs;
        $lmore_data['loaded'] = $loaded;
        $lmore_data['action'] = 'diopter_lm_gal';
        $lmore_data['lmore_items'] = $lmore_items;
        $lmore_data['show_zoom'] = $show_zoom;

        $lmore_data['show_img_title'] = $show_img_title;
        $lmore_data['show_img_desc'] = $show_img_desc;

    }

    $gal_imgs = explode(",", $galleryimgs);

    if(!empty($gal_imgs)) : 
        
        

        $gal_classes = 'gallery-items '. $columns.'-columns ver-'.$spacing.'-pad';

        if($show_zoom == 'yes')  $gal_classes .= ' has-popup lightgallery';
    ?>
    <div class="<?php echo esc_attr($css_class );?>">
        
        <div class="<?php echo esc_attr($gal_classes );?>" data-looped="1" 
        <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
         data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
         data-lm-nonce="<?php echo wp_create_nonce( 'diopter_lm_gal' ); ?>"
         data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
        <?php endif;?>
        >
            <div class="grid-sizer"></div>
            <div class="grid-sizer-second"></div>
            <div class="grid-sizer-three"></div>
            <?php foreach ($gal_imgs as $key => $img) { 
                if($key < $loaded) {
                    $image_alt =    get_post_meta($img, '_wp_attachment_image_alt', true);
                    $item_w = ' ';
                    if(strpos($image_alt, "size-two") !== false){
                        $item_w = ' gallery-item-second';
                    }
                    if(strpos($image_alt, "size-three") !== false){
                        $item_w = ' gallery-item-three';
                    }

                    $at_img = get_post($img);

                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
            ?>
            <div class="gallery-item <?php echo esc_attr( $item_w );?>">
                <div class="grid-item-holder">
                    <div class="box-item fl-wrap popup-box">
                        <?php echo wp_get_attachment_image( $img, 'diopter-gallery'); ?>
                        <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                        <div class="gal-man-info-holder alt">
                            <?php if($show_img_title == 'yes') : ?>
                                <h2><?php echo esc_html($at_tit);?></h2>
                            <?php endif;?>
                            <?php if($show_img_desc == 'yes') : ?>
                                <p><?php echo esc_html($at_des);?></p>
                            <?php endif;?>
                        </div>
                        <?php endif;?>

                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image"><i class="fa fa-search"></i></a>
                        <?php endif;?>
                    </div>
                </div>
            </div>
            <?php
                }
            } 

            ?> 

            
        </div>
        <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
        <div class="gallery-lmore-holder">
            <a class="gallery-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','diopter'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
        </div>
        <?php endif;?>

    </div>
    <div class="clearfix"></div>

    <?php
    endif;
}

?>