<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $extra_class
 * @var $count
 * @var $order_by
 * @var $order
 * @var $ids
 * @var $parallax_value
 * @var $content_width
 * @var $thumbnail_cols
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Members
 */
$el_class = $count = $order_by = $order = $ids = $css = $parallax_value = $content_width = $thumbnail_cols = $tablet_cols = $mobile_cols = $show_pagination = $equal_height = $show_excerpt = $show_readmore = $disable_popup = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'mem-grid-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

$mem_item_cl = array(
    'mem-item',
    $thumbnail_cols,
    $tablet_cols,
    $mobile_cols,
);
$mem_item_cl = implode( ' ', array_filter( $mem_item_cl ) );
if(is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
} else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}


if(!empty($ids)){
	$ids = explode(",", $ids);
	$args = array(
	    'post_type'		 => 'member',
        'paged' => $paged,
        'posts_per_page'=> $count,
	    'post__in' => $ids,
	    'orderby'=> $order_by,
	    'order'=> $order,
	);
}else{
	$args = array(
	    'post_type'		 => 'member',
        'paged' => $paged,
        'posts_per_page'=> $count,
	    'orderby'=> $order_by,
	    'order'=> $order,
	);
}
$members = new WP_Query($args);


?>
<?php if($members->have_posts()) {  ?>


<div class="<?php echo esc_attr($css_class ); ?>">

    <div class="row mem-grid-hold">
    <?php    
    while($members->have_posts()) : $members->the_post();
    ?>
        <div class="<?php echo esc_attr($mem_item_cl );?>">
            
            <div class="team-box">
                <div class="team-photo">
                    <div class="overlay"></div>
                    <ul class="team-social">
                            <?php if(get_post_meta(get_the_ID(), '_diopter_twitterurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on Twitter','diopter');?>" href="<?php echo esc_url( get_post_meta(get_the_ID(), '_diopter_twitterurl' ,true) ); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
                            <?php } ?>
                            <?php if(get_post_meta(get_the_ID(), '_diopter_facebookurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Like on Facebook','diopter');?>" href="<?php echo esc_url(get_post_meta(get_the_ID(), '_diopter_facebookurl' ,true)); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
                            <?php } ?>
                            <?php if(get_post_meta(get_the_ID(), '_diopter_googleplusurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Circle on Google Plus','diopter');?>" href="<?php echo esc_url(get_post_meta(get_the_ID(), '_diopter_googleplusurl' ,true)) ;?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
                            <?php } ?>
                            <?php if(get_post_meta(get_the_ID(), '_diopter_linkedinurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Be Friend on Linkedin','diopter');?>" href="<?php echo esc_url(get_post_meta(get_the_ID(), '_diopter_linkedinurl' ,true) ); ?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
                            <?php } ?>
                            <?php if(get_post_meta(get_the_ID(), '_diopter_instagramurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on Instagram','diopter');?>" href="<?php echo esc_url(get_post_meta(get_the_ID(), '_diopter_instagramurl' ,true) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
                            <?php } ?>
                            <?php if(get_post_meta(get_the_ID(), '_diopter_tumblrurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('Follow on  Tumblr','diopter');?>" href="<?php echo esc_url(get_post_meta(get_the_ID(), '_diopter_tumblrurl' ,true) ); ?>" target="_blank"><i class="fa fa-tumblr"></i></a></li>
                            <?php } ?>  
                            <?php if(get_post_meta(get_the_ID(), '_diopter_behanceurl' ,true)!=''){ ?>
                                <li><a title="<?php esc_html_e('View Behance profile','diopter');?>" href="<?php echo esc_url(get_post_meta(get_the_ID(), '_diopter_behanceurl' ,true) ); ?>" target="_blank"><i class="fa fa-behance"></i></a></li>
                            <?php } ?>
                    </ul>
                <?php 
                    if(has_post_thumbnail( )){

                        the_post_thumbnail( 'dioptermember-thumb', array('class'=>'respimg') );
                    } 
                ?>                                  
                </div>
                <div class="team-info">
                    <h3>
                    <?php if( $show_readmore == 'yes' ):?>
                    <a href="<?php the_permalink();?>" class="ajax member-link">
                    <?php endif;?>
                    <?php the_title();?>
                    <?php if( $show_readmore == 'yes' ):?>
                    </a>
                    <?php endif;?>
                    </h3>
                    <?php 
                    if($show_excerpt == 'yes'){
                        echo '<div class="team-excerpt">';
                        the_excerpt();
                        echo '</div>';
                    }?>
                </div>
            </div>

        </div>

    <?php 
    endwhile; ?>
        
    </div>
    
</div>

<?php if($show_pagination =='yes') diopter_custom_pagination($members->max_num_pages,$range = 2,$members,false);?>
   

<?php
}

/* Restore original Post Data */
wp_reset_postdata();

?>