<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $partnerimgs
 * @var $target
 * @var $columns
 * @var $parallax_value
 * @var $content - shortcode content
 *
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Clients
 */
$el_class = $partnerimgs = $parallax_value = $columns = $target = $css = $thumbnail_size = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'clients-list fl-wrap',
    'clients-'.$columns.'-columns',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

if(!empty($partnerimgs)){
    $partners = $partnerlinks = array();
    $partners = explode(",", $partnerimgs);
    if(!empty($content)){
        $partnerlinks = preg_split( '/\r\n|\r|\n/', strip_tags($content) );
    }

    if( strpos($thumbnail_size, "x") !== false){
        $thumbnail_size = explode("x", $thumbnail_size);
    }

    ?>

    <div class="<?php echo esc_attr($css_class ); ?>">
    <?php foreach ($partners as $key => $img) { ?>
        <?php if(isset($partnerlinks[$key])) :?>
            <a href="<?php echo esc_url($partnerlinks[$key] );?>" target="<?php echo esc_attr($target );?>">
        <?php else : ?>
            <a href="javascript:void(0)">
        <?php endif;?>
                <?php echo wp_get_attachment_image( $img, $thumbnail_size, false, array('class'=>'respimg') );?>
            </a>
    <?php } ?>
    </div>

<?php } ?>