<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $show_all
 * @var $all_link
 * @var $content
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Service
 */
$css = $el_class = $show_all = $all_link = $same_term = $show_tooltip = $nav_title = $is_fixed_nav = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'folio-nav-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

$in_same_term = false;
if($same_term == 'yes'){
    $in_same_term = true;
}

if($is_fixed_nav == 'yes'){
    $css_class .=' is_fixed_nav';
}else{
    $css_class .= ' sin-con-nav';
}

?>
<div class="<?php echo esc_attr($css_class );?>">

    <div class="content-nav">
        <ul>
            <li>
            <?php
            $prev_post = get_adjacent_post( $in_same_term, '', true, 'portfolio_cat' );
            if ( is_a( $prev_post, 'WP_Post' ) ) :
            ?>
                <a href="<?php echo get_permalink( $prev_post->ID ); ?>" class="ajax ln"><i class="fa fa fa-angle-left"></i></a>
            <?php endif ?>
            </li>
            
            <li>
            <?php if($show_all  == 'yes') :?>
        
            <div class="list">
            <?php if(!empty($all_link)) :?>
                <a href="<?php echo esc_url($all_link ); ?>" class="ajax">
            <?php else :?>
                <a href="<?php echo get_post_type_archive_link( 'portfolio' ); ?>" class="ajax">
            <?php endif;?>                        
                <span>
                <i class="b1 c1"></i><i class="b1 c2"></i><i class="b1 c3"></i>
                <i class="b2 c1"></i><i class="b2 c2"></i><i class="b2 c3"></i>
                <i class="b3 c1"></i><i class="b3 c2"></i><i class="b3 c3"></i>
                </span></a>
            </div>
        
            <?php endif;?>
            </li>
            
            <li>
            <?php
            $next_post = get_adjacent_post( $in_same_term, '', false, 'portfolio_cat' );
            if ( is_a( $next_post, 'WP_Post' ) ) :
            ?>
                <a href="<?php echo get_permalink( $next_post->ID ); ?>" class="ajax rn"><i class="fa fa fa-angle-right"></i></a>
            <?php endif; ?>
            </li>
            
        </ul>
    </div>

</div>