<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $cat_ids
 * @var $cat_order_by
 * @var $cat_order
 * @var $order
 * @var $order_by
 * @var $ids
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Posts_Carousel
 */
$css = $el_class = $order = $order_by = $ids = $ids_not = $center_mode = $posts_per_page = $show_thumbnail = $thumbnail_size = $slider_items = $autoplay = 
$show_excerpt = $show_readmore = $autoheight = $responsive = $show_nav = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'posts-carousel-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
if( strpos($thumbnail_size, "x") !== false){
    $thumbnail_size = explode("x", $thumbnail_size);
}


?>





<div class="<?php echo esc_attr($css_class );?>">
<?php 
    if(is_front_page()) {
        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
    } else {
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
    }
    if(!empty($ids)){
        $ids = explode(",", $ids);
        $ps_args = array(
            'paged' => $paged,
            'posts_per_page'=> $posts_per_page,
            'post__in' => $ids,
            'orderby'=> $order_by,
            'order'=> $order,
        );
    }elseif(!empty($ids_not)){
        $ids_not = explode(",", $ids_not);
        $ps_args = array(
            'paged' => $paged,
            'posts_per_page'=> $posts_per_page,
            'post__not_in' => $ids_not,
            'orderby'=> $order_by,
            'order'=> $order,
        );
    }else{
        $ps_args = array(
            'paged' => $paged,
            'posts_per_page'=> $posts_per_page,
            'orderby'=> $order_by,
            'order'=> $order,
        );
    }
?>

<?php 

$posts_slider = new WP_Query($ps_args); 

if($posts_slider->have_posts()) : 

?>

<div class="full-width-carousel-holder fl-wrap">
    <div class="full-width-carousel owl-carousel owl-theme" data-atp="<?php echo esc_attr($autoplay );?>" data-its="<?php echo esc_attr($slider_items );?>" data-cen="<?php echo esc_attr($center_mode );?>"  data-ath="<?php echo esc_attr($autoheight );?>" data-resp="<?php echo esc_attr($responsive );?>">

        <?php while($posts_slider->have_posts()) : $posts_slider->the_post(); ?>

        <div class="item">
            <article <?php post_class('content-content post-featured post-entry new-article');?>>
            <?php if( has_post_thumbnail( ) && $show_thumbnail == 'yes') :?>
                <div class="blog-media">
                <?php the_post_thumbnail($thumbnail_size,array('class'=>'respimg')); ?>
                    <div class="overlay"></div>
                </div>
            <?php endif;?>
                <div class="fp-desc">
                    <span class="post-date"><?php the_time(esc_html__('d F Y','diopter'));?></span>
                    <h2><a href="<?php the_permalink(); ?>" class="ajax"><?php the_title( );?></a></h2>
                    <?php if(get_the_category( )) { ?>
                        <?php the_category( ); ?>        
                    <?php } ?> 
                    <div class="clearfix"></div>
                    <?php if($show_excerpt == 'yes'){
                        the_excerpt();
                    }?>
                </div>
            </article>
        </div>

        <?php endwhile;?>

    </div>
    <?php if($show_nav == 'yes'): ?>
    <div class="customNavigation">
        <a class="prev-slide transition"><?php echo wp_kses(__('<i class="fa fa-angle-left"></i>','diopter'),array('i'=>array('class'=>array(),),) );?></a>
        <a class="next-slide transition"><?php echo wp_kses(__('<i class="fa fa-angle-right"></i>','diopter'),array('i'=>array('class'=>array(),),) );?></a>
    </div>
    <?php endif;?>   
</div>    

<?php endif; ?>

<?php wp_reset_postdata();?>
</div>
<div class="clearfix"></div>