<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $el_class
 * @var $title
 * @var $values
 * @var $content - shortcode content
 *
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Skill_Bar
 */
$css = $el_class = $title = $values = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$css_classes = array(
    'custom-skillbar-holder',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

$values = (array) vc_param_group_parse_atts( $values );
?>
<div class="<?php echo esc_attr($css_class ); ?>">
    <div class="skillbar-box animaper">
    <?php if(!empty($title)): ?>
    <h3 class="skbar-title"><?php echo esc_attr($title );?></h3>
    <?php endif;?>
    <?php foreach ( $values as $data ) { ?>    
        <div class="custom-skillbar-title"><span><?php echo isset( $data['label'] ) ? $data['label'] : '';?></span></div>
        <div class="skill-bar-percent"><?php echo isset( $data['value'] ) ? $data['value'] : 0;?>%</div>
        <div class="skillbar-bg" data-percent="<?php echo isset( $data['value'] ) ? $data['value'] : 0;?>%">
            <div class="custom-skillbar"></div>
        </div>
    <?php } ?>  
    </div>
</div>