<?php
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $css
 * @var $extra_class
 * @var $count
 * @var $order_by
 * @var $order
 * @var $ids
 * @var $show_avatar
 * @var $show_navigation
 * @var $autoplay
 * Shortcode class
 * @var $this WPBakeryShortCode_Diopter_Testimonials
 */
$extra_class = $count = $order_by = $order = $ids = $show_avatar = $items = $autoplay = $autoplayspeed = $autoplaytimeout = $css = $responsive = $autoheight = $loop = $dots = $smartspeed = $center = $autowidth = $parallax_value = $show_navigation = $show_count = $show_title = $show_rating = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_classes = array(
    'testimonials-slider-holder fl-wrap',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );


if(!empty($ids)){
	$ids = explode(",", $ids);
	$args = array(
	    'post_type'		 => 'cth_testimonial',
	    'post__in' => $ids,
	    'orderby'=> $order_by,
	    'order'=> $order,
	);
}else{
	$args = array(
	    'post_type'		 => 'cth_testimonial',
	    'posts_per_page' => $count,
	    'orderby'=> $order_by,
	    'order'=> $order,
	);
}
$testimonials = new WP_Query($args);

$dataArr = array();

if($autoplayspeed == 'true'){
    $dataArr['autoplaySpeed'] = true;
}elseif(is_numeric($autoplayspeed)){
    $dataArr['autoplaySpeed'] = (int)$autoplayspeed;
}
$dataArr['autoplayTimeout'] = (int)$autoplaytimeout;
if($autoheight === 'yes'){
    $dataArr['autoHeight'] = true;
}else{
    $dataArr['autoHeight'] = false;
}
if($autoplay === 'yes'){
    $dataArr['autoplay'] = true;
}else{
    $dataArr['autoplay'] = false;
}
$dataArr['items'] = (int)$items;
if(!empty($responsive)){
    $el_class .=' resp-ena';
    $dataArr['responsive'] = $responsive;
}else{
    $dataArr['responsive'] = false;
}
if($loop === 'yes'){
    $dataArr['loop'] = true;
}else{
    $dataArr['loop'] = false;
}
if($dots === 'yes'){
    $dataArr['dots'] = true;
}else{
    $dataArr['dots'] = false;
}
if($center === 'yes'){
    $dataArr['center'] = true;
}else{
    $dataArr['center'] = false;
}
if($autowidth === 'yes'){
    $dataArr['autoWidth'] = true;
}else{
    $dataArr['autoWidth'] = false;
}

$dataArr['smartSpeed'] = (int)$smartspeed;

?>
<?php if($testimonials->have_posts()) {       ?>
<div class="<?php echo esc_attr($css_class ); ?>">
    <div class="testimonials-slider owl-carousel owl-theme" data-options='<?php echo json_encode($dataArr);?>'>
        <?php        
        while($testimonials->have_posts()) : $testimonials->the_post();  
        ?>
        <div class="item">
            <div class="testi-item">
            <?php if($show_avatar == 'yes') :?>
                <?php the_post_thumbnail('dioptertest-thumb' ); ?>
            <?php endif;?>
            <?php if($show_title === 'yes') :?>
                <h3><?php the_title( );?></h3>
            <?php endif;?>
                <?php 
                if($show_rating === 'yes') :
                    $rated = get_post_meta(get_the_id(), '_diopter_testim_rate', true ); 
                    if($rated != '' && $rated != 'no'){
                        $ratedval = floatval($rated);
                        echo '<ul class="star-rating">';
                        for ($i=1; $i <= 5; $i++) { 
                            if($i <= $ratedval){
                                echo '<li><i class="fa fa-star"></i></li>';
                            }else{
                                if($i - 0.5 == $ratedval){
                                    echo '<li><i class="fa fa-star-half"></i></li>';
                                }
                            }
                            
                        }
                        echo '</ul>';
                    }else{
                        esc_html_e('Not Rated','diopter' );
                    }

                endif;

                ?>
                <?php the_content( ); ?>
            </div>
        </div>

        <?php 
        endwhile; ?>
        
                                                                     
    </div>
    <?php if($show_navigation === 'yes') :?>
    <div class="customNavigation">
        <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
        <a class="prev-slide transition"><i class="fa fa-angle-left"></i></a>
    </div>
    <?php endif;?>
    <?php if($show_navigation === 'yes') :?>
    <div class="teti-counter"></div>
    <?php endif;?>
</div>

<?php
}

/* Restore original Post Data */
wp_reset_postdata();

?>