<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column
 */
$el_class = $width = $css = $offset = $css_animation = '';
$output = '';

//custom
$parallax_inner  = $overlay_color = $parallax_inner_op = $parallax_inner_val  = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$css_classes = array(
    $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation ),
    'wpb_column',
    'vc_column_container',
    $width,
);

if ( vc_shortcode_custom_css_has_property( $css, array(
    'border',
    'background',
) ) ) {
    $css_classes[] = 'vc_col-has-fill';
}

$wrapper_attributes = array();

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
if(!empty($parallax_inner_val)){
	$wrapper_attributes[] = 'data-scrollax-parent="true"';
}

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';

if(!empty($parallax_inner)) :
    $bgcls = 'bg'; 
    if($parallax_inner_val != ''){
        $bgcls .= ' par-elem';
    }
$output .= '<div class="'.esc_attr($bgcls ).'" data-bg="'.esc_url(diopter_get_attachment_thumb_link($parallax_inner, 'dioptercols-thumb') ).'"';
    if($parallax_inner_val != ''){
    $output .= ' data-scrollax="properties: { '.esc_attr($parallax_inner_val ).' }"';
    }
    $output .= '></div>';
    if($parallax_inner_op != ''){
    $output .= '<div class="overlay" style="opacity:'.esc_attr($parallax_inner_op ).'; background-color: '.esc_attr($overlay_color ).';"></div>';
	}
endif;
$output .= '<div class="vc_column-inner ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';
$output .= '<div class="wpb_wrapper">';
$output .= wpb_js_remove_wpautop( $content );
$output .= '</div>';
$output .= '</div>';
$output .= '</div>';

echo $output;


