<?php
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}
/**
 * @package Diopter - Creative Responsive Photography / Portfolio WordPress Theme
 * @author CTHthemes - http://themeforest.net/user/cththemes
 * @date: 26-09-2016
 * @version: 1.0
 * @copyright  Copyright ( C ) 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
 
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $full_width
 * @var $full_height
 * @var $equal_height
 * @var $columns_placement
 * @var $content_placement
 * @var $parallax
 * @var $parallax_image
 * @var $css
 * @var $el_id
 * @var $video_bg
 * @var $video_bg_url
 * @var $video_bg_parallax
 * @var $parallax_speed_bg
 * @var $parallax_speed_video
 * @var $content - shortcode content
 *
 * @var $cth_layout
 * @var $no_padding
 * @var $diopter_bg_color
 * @var $parallax_inner
 * @var $parallax_inner_op
 * @var $parallax_inner_val
 * @var $sec_number
 * @var $sec_number_pos
 * @var $sec_number_par
 * @var $video_id
 * @var $video_bg_id
 *
 * @var $slideshow_imgs
 * @var $scroll_link
 * @var $video_bg_id
 * @var $left_bg_img
 * @var $left_bg_width
 * @var $map_bg_lat
 * @var $map_bg_long
 * @var $map_bg_address
 * @var $map_bg_zoom
 *
 * @var $is_header_sec
 * @var $head_video_id
 * @var $gallery_images
 *
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Row
 */
$el_class = $full_height = $parallax_speed_bg = $parallax_speed_video = $full_width = $equal_height = $flex_row = $columns_placement = $content_placement = $parallax = $parallax_image = $css = $el_id = $video_bg = $video_bg_url = $video_bg_parallax = $css_animation = '';
$disable_element = '';
$output = $after_output = '';

// for custom fields
$cth_layout
 = $no_padding = $diopter_bg_color
 = $overlay_color
 = $is_fullwidth

 = $parallax_inner = $parallax_inner_op = $parallax_inner_val  
 = $sec_number = $sec_number_pos = $sec_number_par 

/* For portfolio layout */
 = $gallery_images

 = $items = $autoplay = $autoplayspeed = $autoplaytimeout = $responsive = $autoheight = $loop = $dots = $smartspeed = $center = $autowidth 

 = $show_thumbs = $show_cap = $show_zoom = $show_more_info

 = $gal_columns = $gal_space

 = $video_id = $video_bg_id = $video_quality = $video_mute

 = '';

 $loaded = $show_loadmore = $lmore_items = $show_img_desc = $show_img_title = '';

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

if($cth_layout == 'diopter_homefullheight_sec'){ //layout #1 ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_sec diopter_fulh_sec full-height no-padding',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);

if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg vc_hidden-xs vc_hidden-sm vc_hidden-md';
    } else {
        return '';
    }
}

$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<section <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?><?php echo (!empty($sec_number_par)||!empty($parallax_inner_val)) ? ' data-scrollax-parent="true"' : '' ;?>>
    
    <?php if(!empty($parallax_inner)) :?>
    <?php 
    $bgcls = 'bg'; 
    if(!empty($parallax_inner_val)){
        $bgcls .= ' par-elem';
    }?>
    <div class="<?php echo esc_attr($bgcls );?>" data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($parallax_inner, 'diopterfuls-thumb') );?>"
    <?php if(!empty($parallax_inner_val)): ?>
     data-scrollax="properties: { <?php echo esc_attr($parallax_inner_val );?> }"
    <?php endif; ?>
    ></div>
    <div class="overlay" style="opacity:<?php echo esc_attr($parallax_inner_op );?>;background-color: <?php echo esc_attr($overlay_color );?>;"></div>
    <?php endif;?>
                  
    <?php 
        if ( $is_fullwidth === 'yes' ) { ?>
        <div class="container-fluid full-height">
    <?php }elseif($is_fullwidth === 'wide'){ ?>
        <div class="container row-container-wide full-height">
    <?php }else { ?>
        <div class="container full-height">
    <?php
    }    ?>
            <div class="row full-height">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

        <?php 
if(!empty($sec_number)):
    if($sec_number_pos == 'right'): ?>
    <div class="parallax-title right-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php else: ?>
    <div class="parallax-title left-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php endif;?>
    <?php echo esc_attr($sec_number );?></div>
<?php endif;?>

</section>

<?php }elseif($cth_layout == 'diopter_page_sec'){ //layout #2?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_sec diopter_page_sec',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
    $diopter_bg_color
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg vc_hidden-xs vc_hidden-sm vc_hidden-md';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
if($no_padding == 'yes'){
    $css_class .= ' no-padding';
}
?>

<section <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?><?php echo (!empty($sec_number_par)||!empty($parallax_inner_val)) ? ' data-scrollax-parent="true"' : '' ;?>>
    
    <?php if(!empty($parallax_inner)) :?>
    <?php 
    $bgcls = 'bg'; 
    if(!empty($parallax_inner_val)){
        $bgcls .= ' par-elem';
    }?>
    <div class="<?php echo esc_attr($bgcls );?>" data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($parallax_inner, 'diopterfuls-thumb') );?>"
    <?php if(!empty($parallax_inner_val)): ?>
     data-scrollax="properties: { <?php echo esc_attr($parallax_inner_val );?> }"
    <?php endif; ?>
    ></div>
    <div class="overlay" style="opacity:<?php echo esc_attr($parallax_inner_op );?>;background-color: <?php echo esc_attr($overlay_color );?>;"></div>
    <?php endif;?>

<?php 
if ( $is_fullwidth === 'yes' ) { ?>
    <div class="container-fluid">
    <?php }elseif($is_fullwidth === 'wide'){ ?>
    <div class="container row-container-wide">
    <?php }else { ?>
    <div class="container">
    <?php
    }    ?>
        <div class="row">
            <?php echo wpb_js_remove_wpautop($content); ?>
        </div>
    </div>
    
    <?php 
if(!empty($sec_number)):
    if($sec_number_pos == 'right'): ?>
    <div class="parallax-title right-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php else: ?>
    <div class="parallax-title left-pos" data-scrollax="properties: { <?php echo esc_attr($sec_number_par );?> }">
<?php endif;?>
    <?php echo esc_attr($sec_number );?></div>
<?php endif;?>
</section>


<?php
/* For portfolio single layout */

 }elseif($cth_layout == 'portfolio_style1_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style1_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <div class="vis-pan bvp no-mpan<?php if($show_cap == 'no' && $show_thumbs == 'no' && $show_more_info == 'no') echo ' hide-cpanel';?>">
        <?php if($show_more_info == 'yes'):?><div class="show-details cpdet novisdet"><?php esc_html_e('Details','diopter');?></div><?php endif;?>
        
        <?php if($show_cap == 'yes'):?><div class="caption alc"></div><?php endif;?>
        <?php if($show_thumbs == 'yes') :?><span class="show-thumbs vis-con-panel vis-t " data-textshow="<?php esc_html_e('Show thumbnails','diopter');?>" data-texthide="<?php esc_html_e('Hide thumbnails','diopter');?>"></span><?php endif;?>
        <div class="num-holder2"></div>
    </div>
    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;

            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }

            $addcls = 'carousel-loop-'.$loop;

        ?>
        <div class="resize-carousel-holder lightgallery nofssc">
            <div class="gallery_horizontal owl-carousel owl-theme <?php echo esc_attr($addcls );?>" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                    <div class="horizontal_item" data-phname="<?php echo esc_attr($at_tit );?>" 
                    <?php if(!empty($at_des)):?>
                        data-phdesc="<?php echo esc_attr($at_des );?>"
                    <?php endif;?>>
                        <?php echo wp_get_attachment_image( $img, 'diopterhoz-thumb'); ?>
                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image slider-zoom"><i class="fa fa-expand"></i></a>
                        <?php endif;?>
                    </div>
                <?php } ?> 

                
                
                                     
            </div>
            
            <div class="customNavigation gals">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
            
        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container anim-sb ver-scroll">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>



<?php }elseif($cth_layout == 'portfolio_style2_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style2_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <div class="vis-pan column-panel bvp no-mpan<?php if($show_cap == 'no' && $show_thumbs == 'no') echo ' hide-cpanel';?>">
        <?php if($show_cap == 'yes'):?><div class="caption fl-cap"></div><?php endif;?>
        <?php if($show_thumbs == 'yes') :?><span class="show-thumbs vis-con-panel vis-t " data-textshow="<?php esc_html_e('Show thumbnails','diopter');?>" data-texthide="<?php esc_html_e('Hide thumbnails','diopter');?>"></span><?php endif;?>
        <div class="num-holder2"></div>
    </div>

    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;

            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }

            $addcls = 'carousel-loop-'.$loop;
        ?>
        <div class="resize-carousel-holder lightgallery  smp nofssc">
            <div class="gallery_horizontal owl-carousel owl-theme <?php echo esc_attr($addcls );?>" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                    <div class="horizontal_item" data-phname="<?php echo esc_attr($at_tit );?>" 
                    <?php if(!empty($at_des)):?>
                        data-phdesc="<?php echo esc_attr($at_des );?>"
                    <?php endif;?>>
                        <?php echo wp_get_attachment_image( $img, 'diopterhoz-thumb'); ?>
                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image slider-zoom"><i class="fa fa-expand"></i></a>
                        <?php endif;?>
                    </div>
                <?php } ?> 

                
                
                                     
            </div>
            
            <div class="customNavigation gals">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
            
        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container ver-scroll <?php if($show_cap == 'no' && $show_thumbs == 'no') echo ' fl-det-con';?>">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>

<?php }elseif($cth_layout == 'portfolio_style3_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style3_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <div class="vis-pan trans-panel anim-panel no-mpan<?php if($show_cap == 'no' && $show_thumbs == 'no' && $show_more_info == 'no') echo ' hide-cpanel';?>">
        <div class="close-panel isPan"></div>
        <?php if($show_more_info == 'yes'):?><div class="show-details cpdet novisdet"><?php esc_html_e('Details','diopter');?></div><?php endif;?>
        
        <?php if($show_cap == 'yes'):?><div class="caption alc"></div><?php endif;?>
        <?php if($show_thumbs == 'yes') :?><span class="show-thumbs vis-con-panel vis-t" data-textshow="<?php esc_html_e('Show thumbnails','diopter');?>" data-texthide="<?php esc_html_e('Hide thumbnails','diopter');?>"></span><?php endif;?>
        <div class="num-holder2"></div>
    </div>

    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;

            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }

            $addcls = 'carousel-loop-'.$loop;

        ?>
        <div class="resize-carousel-holder no-authei lightgallery">
            <div class="full-screen-gallery owl-carousel owl-theme fl-wrap full-height ad-thumbs <?php echo esc_attr($addcls );?>" data-loops="1" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                    <div class="horizontal_item" data-phname="<?php echo esc_attr($at_tit );?>" 
                    <?php if(!empty($at_des)):?>
                        data-phdesc="<?php echo esc_attr($at_des );?>"
                    <?php endif;?>>
                        <div class="bg"  data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($img, 'diopterfuls-thumb') );?>"></div>
                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image slider-zoom"><i class="fa fa-expand"></i></a>
                        <?php endif;?>
                    </div>
                <?php } ?> 

                
                
                                     
            </div>
            
            <div class="customNavigation gals">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
            
        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container anim-sb ver-scroll">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>



<?php }elseif($cth_layout == 'portfolio_style4_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style4_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <div class="vis-pan trans-panel column-panel anim-panel no-mpan<?php if($show_cap == 'no' && $show_thumbs == 'no' ) echo ' hide-cpanel';?>">
        <div class="close-panel isPan"></div>
        
        
        <?php if($show_cap == 'yes'):?><div class="caption fl-cap"></div><?php endif;?>
        <?php if($show_thumbs == 'yes') :?><span class="show-thumbs vis-con-panel vis-t" data-textshow="<?php esc_html_e('Show thumbnails','diopter');?>" data-texthide="<?php esc_html_e('Hide thumbnails','diopter');?>"></span><?php endif;?>
        <div class="num-holder2"></div>
    </div>

    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;

            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }

            $addcls = 'carousel-loop-'.$loop;
        ?>
        <div class="resize-carousel-holder no-authei lightgallery smp">
            <div class="full-screen-gallery owl-carousel owl-theme fl-wrap full-height ad-thumbs <?php echo esc_attr($addcls );?>" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                    <div class="horizontal_item" data-phname="<?php echo esc_attr($at_tit );?>" 
                    <?php if(!empty($at_des)):?>
                        data-phdesc="<?php echo esc_attr($at_des );?>"
                    <?php endif;?>>
                        <div class="bg"  data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($img, 'diopterfuls-thumb') );?>"></div>
                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image slider-zoom"><i class="fa fa-expand"></i></a>
                        <?php endif;?>
                    </div>
                <?php } ?> 

                
                
                                     
            </div>
            
            <div class="customNavigation gals">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
            
        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container fl-det-con ver-scroll">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>

<?php
 }elseif($cth_layout == 'portfolio_style5_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style5_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <div class="vis-pan trans-panel anim-panel fs-pan-te no-mpan<?php if($show_cap == 'no' && $show_thumbs == 'no' && $show_more_info == 'no') echo ' hide-cpanel';?>">
        <div class="close-panel isPan"></div>
        <?php if($show_more_info == 'yes'):?><div class="show-details cpdet novisdet"><?php esc_html_e('Details','diopter');?></div><?php endif;?>
        
        <?php if($show_cap == 'yes'):?><div class="caption"></div><?php endif;?>
        <?php if($show_thumbs == 'yes') :?><span class="show-thumbs vis-con-panel vis-t " data-textshow="<?php esc_html_e('Show thumbnails','diopter');?>" data-texthide="<?php esc_html_e('Hide thumbnails','diopter');?>"></span><?php endif;?>
        <div class="num-holder2"></div>
    </div>

    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;

            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }

            $addcls = 'carousel-loop-'.$loop;
        ?>
        <div class="resize-carousel-holder lightgallery ad-thumbs nofssc">
            <div class="gallery_horizontal owl-carousel owl-theme <?php echo esc_attr($addcls );?>" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                    <div class="horizontal_item" data-phname="<?php echo esc_attr($at_tit );?>" 
                    <?php if(!empty($at_des)):?>
                        data-phdesc="<?php echo esc_attr($at_des );?>"
                    <?php endif;?>>
                        <?php echo wp_get_attachment_image( $img, 'diopterhoz-thumb'); ?>
                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image slider-zoom"><i class="fa fa-expand"></i></a>
                        <?php endif;?>
                    </div>
                <?php } ?> 

                
                
                                     
            </div>
            
            <div class="customNavigation gals">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
            
        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container anim-sb ver-scroll">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>



<?php }elseif($cth_layout == 'portfolio_style6_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style6_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <div class="vis-pan trans-panel column-panel anim-panel no-mpan<?php if($show_cap == 'no' && $show_thumbs == 'no') echo ' hide-cpanel';?>">
        <div class="close-panel isPan"></div>
        <?php if($show_cap == 'yes'):?><div class="caption fl-cap"></div><?php endif;?>
        <?php if($show_thumbs == 'yes') :?><span class="show-thumbs vis-con-panel vis-t " data-textshow="<?php esc_html_e('Show thumbnails','diopter');?>" data-texthide="<?php esc_html_e('Hide thumbnails','diopter');?>"></span><?php endif;?>
        <div class="num-holder2"></div>
    </div>

    <?php
    if(!empty($gallery_images)){
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 
            $dataArr = array();

            if($autoplay === 'yes'){
                $dataArr['autoplay'] = true;
            }else{
                $dataArr['autoplay'] = false;
            }
            $dataArr['items'] = (int)$items;
            if($loop === 'yes'){
                $dataArr['loop'] = true;
            }else{
                $dataArr['loop'] = false;
            }
            if($center === 'yes'){
                $dataArr['center'] = true;
            }else{
                $dataArr['center'] = false;
            }
            if($autowidth === 'yes'){
                $dataArr['autoWidth'] = true;
            }else{
                $dataArr['autoWidth'] = false;
            }
            $dataArr['smartSpeed'] = (int)$smartspeed;

            if($show_thumbs === 'yes'){
                $dataArr['thumbs'] = true;
            }else{
                $dataArr['thumbs'] = false;
            }

            $addcls = 'carousel-loop-'.$loop;
        ?>
        <div class="resize-carousel-holder lightgallery  smp ad-thumbs nofssc">
            <div class="gallery_horizontal owl-carousel owl-theme <?php echo esc_attr($addcls );?>" data-options='<?php echo json_encode($dataArr);?>'>
                
                <?php foreach ($gal_imgs as $img) { 
                    $at_img = get_post($img);
                    $at_tit = $at_img->post_title;
                    $at_des = $at_img->post_content;
                ?>
                    <div class="horizontal_item" data-phname="<?php echo esc_attr($at_tit );?>" 
                    <?php if(!empty($at_des)):?>
                        data-phdesc="<?php echo esc_attr($at_des );?>"
                    <?php endif;?>>
                        <?php echo wp_get_attachment_image( $img, 'diopterhoz-thumb'); ?>
                        <?php if($show_zoom == 'yes'):?>
                        <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image slider-zoom"><i class="fa fa-expand"></i></a>
                        <?php endif;?>
                    </div>
                <?php } ?> 

                
                
                                     
            </div>
            
            <div class="customNavigation gals">
                <a class="prev-slide transition"> <i class="fa fa-angle-left"></i></a>
                <a class="next-slide transition"><i class="fa fa-angle-right"></i></a>
            </div>
            
        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container fl-det-con ver-scroll">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>



<?php }elseif($cth_layout == 'portfolio_style7_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style7_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>

    <?php
    if(!empty($gallery_images)){
        if($show_loadmore == 'yes'){
            $lmore_data = array();
            $lmore_data['images'] = $gallery_images;
            $lmore_data['loaded'] = $loaded;
            $lmore_data['action'] = 'diopter_lm_gal';
            $lmore_data['lmore_items'] = $lmore_items;
            $lmore_data['show_zoom'] = $show_zoom;

            $lmore_data['show_img_title'] = $show_img_title;
            $lmore_data['show_img_desc'] = $show_img_desc;

        }
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 

        $gal_classes = 'gallery-items '. $gal_columns.'-columns ver-'.$gal_space.'-pad';

        if($show_zoom == 'yes')  $gal_classes .= ' has-popup';

        ?>
        <div class="fl-wrap fl-smp lightgallery smp diopter_images_gallery_wrap" data-looped="1" >
            <div class="<?php echo esc_attr($gal_classes );?>" 
            <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
             data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
             data-lm-nonce="<?php echo wp_create_nonce( 'diopter_lm_gal' ); ?>"
             data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
            <?php endif;?>
            >

                <div class="grid-sizer"></div>
                <div class="grid-sizer-second"></div>
                <div class="grid-sizer-three"></div>
                
                <?php foreach ($gal_imgs as $key => $img) { 
                    if($key < $loaded) {
                        $image_alt =    get_post_meta($img, '_wp_attachment_image_alt', true);
                        $item_w = ' ';
                        if(strpos($image_alt, "size-two") !== false){
                            $item_w = ' gallery-item-second';
                        }
                        if(strpos($image_alt, "size-three") !== false){
                            $item_w = ' gallery-item-three';
                        }

                        $at_img = get_post($img);

                        $at_tit = $at_img->post_title;
                        $at_des = $at_img->post_content;
                ?>
                <div class="gallery-item <?php echo esc_attr( $item_w );?>">
                    <div class="grid-item-holder">
                        <div class="box-item fl-wrap popup-box">
                            <?php echo wp_get_attachment_image( $img, 'diopter-gallery'); ?>
                            <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                            <div class="gal-man-info-holder alt">
                                <?php if($show_img_title == 'yes') : ?>
                                    <h2><?php echo esc_html($at_tit);?></h2>
                                <?php endif;?>
                                <?php if($show_img_desc == 'yes') : ?>
                                    <p><?php echo esc_html($at_des);?></p>
                                <?php endif;?>
                            </div>
                            <?php endif;?>

                            <?php if($show_zoom == 'yes'):?>
                            <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image"><i class="fa fa-search"></i></a>
                            <?php endif;?>
                        </div>
                    </div>
                </div>
                <?php 
                    }
                } 
                ?> 

                
                
                                     
            </div>
            <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
            <div class="gallery-lmore-holder">
                <a class="gallery-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','diopter'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
            </div>
            <?php endif;?>

        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container fl-det-con ver-scroll">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>

<?php }elseif($cth_layout == 'portfolio_style7_2_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_folio_style7_2_wrap',
    'full-height',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
<div <?php
    echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
    echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>
    
    <?php if($show_more_info == 'yes'):?><div class="vis-pan trans-panel no-mpan"><div class="show-details cpdet novisdet"><?php esc_html_e('Details','diopter');?></div></div><?php endif;?>

    <?php
    if(!empty($gallery_images)){
        if($show_loadmore == 'yes'){
            $lmore_data = array();
            $lmore_data['images'] = $gallery_images;
            $lmore_data['loaded'] = $loaded;
            $lmore_data['action'] = 'diopter_lm_gal';
            $lmore_data['lmore_items'] = $lmore_items;
            $lmore_data['show_zoom'] = $show_zoom;

            $lmore_data['show_img_title'] = $show_img_title;
            $lmore_data['show_img_desc'] = $show_img_desc;

        }
        $gal_imgs = explode(",", $gallery_images);

        if(!empty($gal_imgs)) : 

        $gal_classes = 'gallery-items '. $gal_columns.'-columns ver-'.$gal_space.'-pad';

        if($show_zoom == 'yes')  $gal_classes .= ' has-popup';

        ?>
        <div class="fl-wrap fl-smp lightgallery smp folio_style7_2_gal_holder diopter_images_gallery_wrap" data-looped="1">
            <div class="<?php echo esc_attr($gal_classes );?>" 
            <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
             data-lm-request="<?php echo esc_url(admin_url( 'admin-ajax.php' ) ) ;?>"
             data-lm-nonce="<?php echo wp_create_nonce( 'diopter_lm_gal' ); ?>"
             data-lm-settings="<?php echo esc_attr(json_encode($lmore_data) ); ?>"
            <?php endif;?>
            >

                <div class="grid-sizer"></div>
                <div class="grid-sizer-second"></div>
                <div class="grid-sizer-three"></div>
                
                <?php foreach ($gal_imgs as $key => $img) { 
                    if($key < $loaded) {
                        $image_alt =    get_post_meta($img, '_wp_attachment_image_alt', true);
                        $item_w = ' ';
                        if(strpos($image_alt, "size-two") !== false){
                            $item_w = ' gallery-item-second';
                        }
                        if(strpos($image_alt, "size-three") !== false){
                            $item_w = ' gallery-item-three';
                        }
                        $at_img = get_post($img);

                        $at_tit = $at_img->post_title;
                        $at_des = $at_img->post_content;
                ?>
                <div class="gallery-item <?php echo esc_attr( $item_w );?>">
                    <div class="grid-item-holder">
                        <div class="box-item fl-wrap popup-box">
                            <?php echo wp_get_attachment_image( $img, 'diopter-gallery'); ?>
                            <?php if($show_img_title == 'yes' || $show_img_desc == 'yes' ) : ?>
                            <div class="gal-man-info-holder alt">
                                <?php if($show_img_title == 'yes') : ?>
                                    <h2><?php echo esc_html($at_tit);?></h2>
                                <?php endif;?>
                                <?php if($show_img_desc == 'yes') : ?>
                                    <p><?php echo esc_html($at_des);?></p>
                                <?php endif;?>
                            </div>
                            <?php endif;?>

                            <?php if($show_zoom == 'yes'):?>
                            <a data-src="<?php echo esc_url( wp_get_attachment_url($img ) );?>" class="popup-image"><i class="fa fa-search"></i></a>
                            <?php endif;?>
                        </div>
                    </div>
                </div>
                <?php 
                    }
                } 
                ?>

                
                
                                     
            </div>
            <?php if($show_loadmore == 'yes' && count($gal_imgs) > $loaded ):?>
            <div class="gallery-lmore-holder">
                <a class="gallery-load-more" data-click="1" data-remain="yes" href="#"><?php echo wp_kses(__('<i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><span class="sr-only">Loading...</span>','diopter'), array('i'=>array('class'=>array()),'span'=>array('class'=>array()),) );?></a>
            </div>
            <?php endif;?>

        </div>
    <?php endif; //end gal_imgs
    } ?>

    <div class="det-container fl-det-con ver-scroll anim-sb">
        <div class="det-container-inner">
            <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
            </div>
        </div>

    </div>

</div>


<?php }elseif($cth_layout == 'portfolio_style8_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_sec diopter_folio_style8_wrap',
    'content full-height no-bg-con',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
    <div <?php
        echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
        echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>
        <div class="fix-con-panel<?php if($show_more_info == 'no') echo ' hide-cpanel';?>">
            <a href="#" class="show-hid-sidebar vd"> <?php esc_html_e('More info','diopter' );?></a>
        </div>
        <div class="media-container">
            <div class="video-mask"></div>
            <div class="bg mob-bg" <?php if(!empty($video_bg_id)) : ?>
             data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($video_bg_id, 'diopterfuls-thumb') );?>"
            <?php endif;?>></div>
            <div  class="background-youtube" data-vid="<?php echo esc_html($video_id );?>" data-mv="<?php echo esc_attr($video_mute );?>" data-ql="<?php echo esc_attr($video_quality );?>"></div>
        </div>
    </div>

    <div class="sb-overlay"></div>
    <div class="hid-sidebar">
        <div class="container small-container">
            <div class="sidebar-wrap">
                <div class="sb-bg"></div>
                <div class="sb-inner">
                    <div class="close-sidebar"></div>
                    <div class="row">
                        <?php echo wpb_js_remove_wpautop($content); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php }elseif($cth_layout == 'portfolio_style9_wrap'){ ?>
<?php
$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
    'diopter_sec diopter_folio_style9_wrap',
    'content full-height no-bg-con',
    $el_class,
    vc_shortcode_custom_css_class( $css ),
);
if ( 'yes' === $disable_element ) {
    if ( vc_is_page_editable() ) {
        $css_classes[] = 'vc_hidden-lg-ml vc_hidden-xs-ml vc_hidden-sm-ml vc_hidden-md-ml';
    } else {
        return '';
    }
}
$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
?>
    <div <?php
        echo isset($el_id) && !empty($el_id) ? "id='" . esc_attr($el_id) . "'" : ""; ?> <?php
        echo !empty($css_class) ? "class='" . esc_attr( trim( $css_class ) ) . "'" : ""; ?>>
        <div class="fix-con-panel<?php if($show_more_info == 'no') echo ' hide-cpanel';?>">
            <a href="#" class="show-hid-sidebar vd"> <?php esc_html_e('More info','diopter' );?></a>
        </div>
        <div class="media-container">
            <div class="video-mask"></div>
            <div class="video-holder">
                <div  class="background-vimeo" data-vim="<?php echo esc_html($video_id );?>"> </div>
                <div class="bg mob-bg" <?php if(!empty($video_bg_id)) : ?>
             data-bg="<?php echo esc_url(diopter_get_attachment_thumb_link($video_bg_id, 'diopterfuls-thumb') );?>"
            <?php endif;?>></div>
            </div>
        </div>
    </div>
    <div class="sb-overlay"></div>
    <div class="hid-sidebar">
        <div class="container small-container">
            <div class="sidebar-wrap">
                <div class="sb-bg"></div>
                <div class="sb-inner">
                    <div class="close-sidebar"></div>
                    <div class="row">
                        <?php echo wpb_js_remove_wpautop($content); ?>
                    </div>
                </div>
            </div>
        </div>

    </div>


<?php
}else{

    wp_enqueue_script( 'wpb_composer_front_js' );

    $el_class = $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );

    $css_classes = array(
        'vc_row',
        'wpb_row',
        //deprecated
        'vc_row-fluid',
        $el_class,
        vc_shortcode_custom_css_class( $css ),
    );

    if ( 'yes' === $disable_element ) {
        if ( vc_is_page_editable() ) {
            $css_classes[] = 'vc_hidden-lg vc_hidden-xs vc_hidden-sm vc_hidden-md';
        } else {
            return '';
        }
    }

    if ( vc_shortcode_custom_css_has_property( $css, array(
            'border',
            'background',
        ) ) || $video_bg || $parallax
    ) {
        $css_classes[] = 'vc_row-has-fill';
    }

    if ( ! empty( $atts['gap'] ) ) {
        $css_classes[] = 'vc_column-gap-' . $atts['gap'];
    }

    $wrapper_attributes = array();
    // build attributes for wrapper
    if ( ! empty( $el_id ) ) {
        $wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
    }
    if ( ! empty( $full_width ) ) {
        $wrapper_attributes[] = 'data-vc-full-width="true"';
        $wrapper_attributes[] = 'data-vc-full-width-init="false"';
        if ( 'stretch_row_content' === $full_width ) {
            $wrapper_attributes[] = 'data-vc-stretch-content="true"';
        } elseif ( 'stretch_row_content_no_spaces' === $full_width ) {
            $wrapper_attributes[] = 'data-vc-stretch-content="true"';
            $css_classes[] = 'vc_row-no-padding';
        }
        $after_output .= '<div class="vc_row-full-width vc_clearfix"></div>';
    }

    if ( ! empty( $full_height ) ) {
        $css_classes[] = 'vc_row-o-full-height';
        if ( ! empty( $columns_placement ) ) {
            $flex_row = true;
            $css_classes[] = 'vc_row-o-columns-' . $columns_placement;
            if ( 'stretch' === $columns_placement ) {
                $css_classes[] = 'vc_row-o-equal-height';
            }
        }
    }

    if ( ! empty( $equal_height ) ) {
        $flex_row = true;
        $css_classes[] = 'vc_row-o-equal-height';
    }

    if ( ! empty( $content_placement ) ) {
        $flex_row = true;
        $css_classes[] = 'vc_row-o-content-' . $content_placement;
    }

    if ( ! empty( $flex_row ) ) {
        $css_classes[] = 'vc_row-flex';
    }

    $has_video_bg = ( ! empty( $video_bg ) && ! empty( $video_bg_url ) && vc_extract_youtube_id( $video_bg_url ) );

    $parallax_speed = $parallax_speed_bg;
    if ( $has_video_bg ) {
        $parallax = $video_bg_parallax;
        $parallax_speed = $parallax_speed_video;
        $parallax_image = $video_bg_url;
        $css_classes[] = 'vc_video-bg-container';
        wp_enqueue_script( 'vc_youtube_iframe_api_js' );
    }

    if ( ! empty( $parallax ) ) {
        wp_enqueue_script( 'vc_jquery_skrollr_js' );
        $wrapper_attributes[] = 'data-vc-parallax="' . esc_attr( $parallax_speed ) . '"'; // parallax speed
        $css_classes[] = 'vc_general vc_parallax vc_parallax-' . $parallax;
        if ( false !== strpos( $parallax, 'fade' ) ) {
            $css_classes[] = 'js-vc_parallax-o-fade';
            $wrapper_attributes[] = 'data-vc-parallax-o-fade="on"';
        } elseif ( false !== strpos( $parallax, 'fixed' ) ) {
            $css_classes[] = 'js-vc_parallax-o-fixed';
        }
    }

    if ( ! empty( $parallax_image ) ) {
        if ( $has_video_bg ) {
            $parallax_image_src = $parallax_image;
        } else {
            $parallax_image_id = preg_replace( '/[^\d]/', '', $parallax_image );
            $parallax_image_src = wp_get_attachment_image_src( $parallax_image_id, 'full' );
            if ( ! empty( $parallax_image_src[0] ) ) {
                $parallax_image_src = $parallax_image_src[0];
            }
        }
        $wrapper_attributes[] = 'data-vc-parallax-image="' . esc_attr( $parallax_image_src ) . '"';
    }
    if ( ! $parallax && $has_video_bg ) {
        $wrapper_attributes[] = 'data-vc-video-bg="' . esc_attr( $video_bg_url ) . '"';
    }
    $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( array_unique( $css_classes ) ) ), $this->settings['base'], $atts ) );
    $wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

    $output .= '<div class="clearfix"></div><div ' . implode( ' ', $wrapper_attributes ) . '>';
    $output .= wpb_js_remove_wpautop( $content );
    $output .= '</div>';
    $output .= $after_output;

    echo $output;

}
