<?php
/*
Plugin Name: Diopter Add-ons
Plugin URI: https://demowp.cththemes.net/diopter/
Description: A custom plugin for Diopter - Responsive Photography Portfolio WordPress Theme
Version: 1.0
Author: CTHthemes
Author URI: http://themeforest.net/user/cththemes
Text Domain: diopter-add-ons
Domain Path: /languages/
License: GNU General Public License version 3.0
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/
if ( ! defined('ABSPATH') ) {
    die('Please do not load this file directly!');
}
define ('CTH_DIOPTER_DIR',plugin_dir_path(__FILE__ ));
define ('CTH_DIOPTER_DIR_URL',plugin_dir_url(__FILE__ ));
// admin style
add_action('admin_head', 'cth_diopter_admin_style');
if(!function_exists('cth_diopter_admin_style')){
    function cth_diopter_admin_style() {
        echo '<link rel="stylesheet" href="'.CTH_DIOPTER_DIR_URL.'assets/admin/style.css" type="text/css" media="all" />';
    } 
}

function cth_register_cpt_Portfolio() {
    
    $labels = array( 
        'name' => __( 'Portfolio', 'diopter-add-ons' ),
        'singular_name' => __( 'Portfolio', 'diopter-add-ons' ),
        'add_new' => __( 'Add New Portfolio', 'diopter-add-ons' ),
        'add_new_item' => __( 'Add New Portfolio', 'diopter-add-ons' ),
        'edit_item' => __( 'Edit Portfolio', 'diopter-add-ons' ),
        'new_item' => __( 'New Portfolio', 'diopter-add-ons' ),
        'view_item' => __( 'View Portfolio', 'diopter-add-ons' ),
        'search_items' => __( 'Search Portfolios', 'diopter-add-ons' ),
        'not_found' => __( 'No Portfolios found', 'diopter-add-ons' ),
        'not_found_in_trash' => __( 'No Portfolios found in Trash', 'diopter-add-ons' ),
        'parent_item_colon' => __( 'Parent Portfolio:', 'diopter-add-ons' ),
        'menu_name' => __( 'Diopter Portfolios', 'diopter-add-ons' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Portfolios',
        'supports' => array( 'title', 'editor', 'thumbnail','comments','excerpt'/*, 'post-formats'*/),
        'taxonomies' => array('portfolio_cat'),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 20,
        'menu_icon' => plugin_dir_url( __FILE__ ) .'assets/admin_ico_portfolio.png', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => array( 'slug' => __('portfolio','diopter-add-ons') ),
        'capability_type' => 'post'
    );

    register_post_type( 'portfolio', $args );
}

//Register Portfolio 
add_action( 'init', 'cth_register_cpt_Portfolio' );


//create a custom taxonomy name it Skills for your posts

function cth_create_Skills_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like categories
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Portfolio Categories', 'diopter-add-ons' ),
    'singular_name' => __( 'Category', 'diopter-add-ons' ),
    'search_items' =>  __( 'Search Categories','diopter-add-ons' ),
    'all_items' => __( 'All Categories','diopter-add-ons' ),
    'parent_item' => __( 'Parent Category','diopter-add-ons' ),
    'parent_item_colon' => __( 'Parent Category:','diopter-add-ons' ),
    'edit_item' => __( 'Edit Category','diopter-add-ons' ), 
    'update_item' => __( 'Update Category','diopter-add-ons' ),
    'add_new_item' => __( 'Add New Category','diopter-add-ons' ),
    'new_item_name' => __( 'New Category Name','diopter-add-ons' ),
    'menu_name' => __( 'Portfolio Categories','diopter-add-ons' ),
  );     

// Now register the taxonomy

  register_taxonomy('portfolio_cat',array('portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_in_nav_menus'=> true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => __('portfolio_cat','diopter-add-ons') ),
  ));

}

//Add Portfolio Skills
    
add_action( 'init', 'cth_create_Skills_hierarchical_taxonomy', 0 );


if(!function_exists('cth_portfolio_columns_head')){
    function cth_portfolio_columns_head($defaults) {
        $defaults['cth_portfolio_thumbnail'] = 'Thumbnail';
        $defaults['cth_portfolio_id'] = 'ID';
        
        return $defaults;
    }
}
if(!function_exists('cth_portfolio_columns_content')){
    // CUSTOM POSTS
    function cth_portfolio_columns_content($column_name, $post_ID) {
        if ($column_name == 'cth_portfolio_id') {
            echo $post_ID;
        }
        if ($column_name == 'cth_portfolio_thumbnail') {
            echo get_the_post_thumbnail( $post_ID, 'thumbnail', array('style'=>'width:100px;height:auto;') );
        }
    }
}

add_filter('manage_portfolio_posts_columns', 'cth_portfolio_columns_head', 10);
add_action('manage_portfolio_posts_custom_column', 'cth_portfolio_columns_content', 10, 2);

if(!function_exists('cth_portfolio_cat_columns_head')){
    function cth_portfolio_cat_columns_head($defaults) {
        $defaults['portfolio_cat_id'] = __('ID','diopter-add-ons');
        return $defaults;
    }
}

if(!function_exists('cth_portfolio_cat_columns_content')){
    function cth_portfolio_cat_columns_content($c, $column_name, $term_id) {
        if ($column_name == 'portfolio_cat_id') {
            echo $term_id;
        }
    }
}
add_filter('manage_edit-portfolio_cat_columns', 'cth_portfolio_cat_columns_head');
add_filter('manage_portfolio_cat_custom_column', 'cth_portfolio_cat_columns_content', 10, 3);


function cth_register_cpt_Cth_Testimonial() {
    
    $labels = array( 
        'name' => __( 'Testimonial', 'diopter-add-ons' ),
        'singular_name' => __( 'Testimonial', 'diopter-add-ons' ),
        'add_new' => __( 'Add New Testimonial', 'diopter-add-ons' ),
        'add_new_item' => __( 'Add New Testimonial', 'diopter-add-ons' ),
        'edit_item' => __( 'Edit Testimonial', 'diopter-add-ons' ),
        'new_item' => __( 'New Testimonial', 'diopter-add-ons' ),
        'view_item' => __( 'View Testimonial', 'diopter-add-ons' ),
        'search_items' => __( 'Search Testimonials', 'diopter-add-ons' ),
        'not_found' => __( 'No Testimonials found', 'diopter-add-ons' ),
        'not_found_in_trash' => __( 'No Testimonials found in Trash', 'diopter-add-ons' ),
        'parent_item_colon' => __( 'Parent Testimonial:', 'diopter-add-ons' ),
        'menu_name' => __( 'Diopter Testimonials', 'diopter-add-ons' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Testimonials',
        'supports' => array( 'title', 'editor', 'thumbnail'/*,'comments', 'post-formats'*/),
        'public' => false,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 20,
        'menu_icon' => 'dashicons-format-chat', 
        'show_in_nav_menus' => false,
        'publicly_queryable' => true,
        'exclude_from_search' => true,
        'has_archive' => false,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => array( 'slug' => __('cth_testimonial','diopter-add-ons') ),
        'capability_type' => 'post'
    );

    register_post_type( 'cth_testimonial', $args );
}
// Register Service 
add_action( 'init', 'cth_register_cpt_Cth_Testimonial' );
if(!function_exists('cth_testimonial_columns_head')){
    function cth_testimonial_columns_head($defaults) {
        $defaults['cth_testimonial_thumbnail'] = 'Thumbnail';
        $defaults['cth_testimonial_rating'] = 'Rating';
        $defaults['cth_testimonial_id'] = 'ID';
        return $defaults;
    }
}
if(!function_exists('cth_testimonial_columns_content')){
    // CUSTOM POSTS
    function cth_testimonial_columns_content($column_name, $post_ID) {
        if ($column_name == 'cth_testimonial_id') {
            echo $post_ID;
        }
        if ($column_name == 'cth_testimonial_thumbnail') {
            echo get_the_post_thumbnail( $post_ID, 'thumbnail', array('style'=>'width:100px;height:auto;') );
        }
        if ($column_name == 'cth_testimonial_rating') {
            $rated = get_post_meta($post_ID, '_diopter_testim_rate', true );
            if($rated != '' && $rated != 'no'){
                $ratedval = floatval($rated);
                echo '<ul class="star-rating">';
                for ($i=1; $i <= 5; $i++) { 
                    if($i <= $ratedval){
                        echo '<li><i class="testimfa testimfa-star"></i></li>';
                    }else{
                        if($i - 0.5 == $ratedval){
                            echo '<li><i class="testimfa testimfa-star-half"></i></li>';
                        }
                    }
                    
                }
                echo '</ul>';
            }else{
                esc_html_e('Not Rated','diopter-add-ons' );
            }
        }
    }
}

add_filter('manage_cth_testimonial_posts_columns', 'cth_testimonial_columns_head', 10);
add_action('manage_cth_testimonial_posts_custom_column', 'cth_testimonial_columns_content', 10, 2);

//register Team Member post type
function Diopter_Add_ons_register_cpt_Diopter_Member() {
    
    $labels = array( 
        'name' => __( 'Members', 'diopter-add-ons' ),
        'singular_name' => __( 'Member', 'diopter-add-ons' ),
        'add_new' => __( 'Add New Member', 'diopter-add-ons' ),
        'add_new_item' => __( 'Add New Member', 'diopter-add-ons' ),
        'edit_item' => __( 'Edit Member', 'diopter-add-ons' ),
        'new_item' => __( 'New Member', 'diopter-add-ons' ),
        'view_item' => __( 'View Member', 'diopter-add-ons' ),
        'search_items' => __( 'Search Members', 'diopter-add-ons' ),
        'not_found' => __( 'No Members found', 'diopter-add-ons' ),
        'not_found_in_trash' => __( 'No Members found in Trash', 'diopter-add-ons' ),
        'parent_item_colon' => __( 'Parent Member:', 'diopter-add-ons' ),
        'menu_name' => __( 'Diopter Members', 'diopter-add-ons' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Members',
        'supports' => array( 'title', 'editor', 'thumbnail','excerpt'/*,'comments', 'post-formats'*/),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 20,
        'menu_icon' =>  'dashicons-groups',
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => false,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => array( 'slug' => __('member','diopter-add-ons') ),
        'capability_type' => 'post'
    );

    register_post_type( 'member', $args );
}
// Register Member 
add_action( 'init', 'Diopter_Add_ons_register_cpt_Diopter_Member' );
if(!function_exists('diopter_member_columns_head')){
    function diopter_member_columns_head($defaults) {
        $defaults['diopter_member_thumbnail'] = 'Thumbnail';
        $defaults['diopter_member_id'] = 'ID';
        return $defaults;
    }
}
if(!function_exists('diopter_member_columns_content')){
    // CUSTOM POSTS
    function diopter_member_columns_content($column_name, $post_ID) {
        if ($column_name == 'diopter_member_id') {
            echo $post_ID;
        }
        if ($column_name == 'diopter_member_thumbnail') {
            echo get_the_post_thumbnail( $post_ID, 'thumbnail', array('style'=>'width:100px;height:auto;') );
        }
    }
}

add_filter('manage_member_posts_columns', 'diopter_member_columns_head', 10);
add_action('manage_member_posts_custom_column', 'diopter_member_columns_content', 10, 2);

// Page ID
if(!function_exists('diopter_page_columns_head')){
    function diopter_page_columns_head($defaults) {
        $defaults['page_id'] = 'ID';
        return $defaults;
    }
}
if(!function_exists('diopter_page_columns_content')){
    // CUSTOM POSTS
    function diopter_page_columns_content($column_name, $post_ID) {
        if ($column_name == 'page_id') {
            echo $post_ID;
        }
    }
}

add_filter('manage_page_posts_columns', 'diopter_page_columns_head', 10);
add_action('manage_page_posts_custom_column', 'diopter_page_columns_content', 10, 2);

// Post ID
if(!function_exists('diopter_post_columns_head')){
    function diopter_post_columns_head($defaults) {
        $defaults['post_id'] = 'ID';
        return $defaults;
    }
}
if(!function_exists('diopter_post_columns_content')){
    // CUSTOM POSTS
    function diopter_post_columns_content($column_name, $post_ID) {
        if ($column_name == 'post_id') {
            echo $post_ID;
        }
    }
}

add_filter('manage_post_posts_columns', 'diopter_post_columns_head', 10);
add_action('manage_post_posts_custom_column', 'diopter_post_columns_content', 10, 2);
//widgets
require_once CTH_DIOPTER_DIR .'/widgets/diopter_recent_posts.php';
require_once CTH_DIOPTER_DIR .'/widgets/diopter_about_author.php';
require_once CTH_DIOPTER_DIR .'/widgets/diopter_banner.php';
require_once CTH_DIOPTER_DIR .'/widgets/diopter_instagram_feed.php';

function diopter_add_ons_register_widgets() {
    
    register_widget( 'Diopter_About_Author' );
    register_widget( 'Diopter_Recent_Posts' );
    register_widget( 'Diopter_Instagram_Feed' );
    register_widget( 'Diopter_Banner' );
    


}

add_action( 'widgets_init', 'diopter_add_ons_register_widgets' );


function cth_diopter_plugins_init() {
    $plugin_dir = basename(dirname(__FILE__));
    load_plugin_textdomain( 'diopter-add-ons', false, $plugin_dir . '/languages' );
}
add_action('plugins_loaded', 'cth_diopter_plugins_init');

/* Enable shortcode in widget text content */
add_filter('widget_text', 'do_shortcode');

if(!function_exists('faicon_sc')) {

    function faicon_sc( $atts, $content="" ) {
    
        extract(shortcode_atts(array(
               'name' =>"magic",
               'class'=>'',
         ), $atts));

        $name = str_replace(array("fa fa-","fa-"), "", $name);

        $classes = 'fa fa-'.$name;
        if(!empty($class)){
            $classes .= ' '.$class;
        }
        
        return '<i class="'.$classes.'"></i>'. $content;
     
    }
        
    add_shortcode( 'faicon', 'faicon_sc' ); //Icon
}
if(!function_exists('diopter_instagram_sc')){
    function diopter_instagram_sc($atts, $content = ''){

        extract(shortcode_atts(array(
               'limit' =>"6",
               'get'=>'user',//tagged
               'clientid'=>'5d9aa6ad29704bcb9e7e151c9b7afcbc',
               'access'=>'3075034521.5d9aa6a.284ff8339f694dbfac8f265bf3e93c8a',
               'userid'=>'3075034521',
               'tagged'=>'diopter',
               'resolution'=>'thumbnail',
               'columns'=>'3'
         ), $atts));

        if($get == 'tagged'){
            $getval = $tagged;
        }else if($get == 'user'){
            $getval = $userid;
        }else {
            $getval = 'popular';
        }

        ob_start();

        ?>

        <div class="cththemes-instafeed grid-cols-<?php echo esc_attr($columns );?>" data-limit="<?php echo esc_attr($limit );?>" data-get="<?php echo esc_attr($get );?>" data-getval="<?php echo esc_attr($getval );?>" data-client="<?php echo esc_attr($clientid );?>" data-access="<?php echo esc_attr($access );?>" data-res="<?php echo esc_attr($resolution );?>"><div class='cth-insta-thumb'><ul class="cththemes-instafeed-ul" id="<?php echo uniqid('cththemes-instafeed');?>"></ul></div></div>

        <?php

        $output = ob_get_clean();

        return $output;

    }

    add_shortcode( 'diopter_instagram', 'diopter_instagram_sc' ); 
}